AIMP v5.40.2722 (01.07.2026)
============================
+ Аудиоконвертер: WavPack - поддержка кодирования в 32-bit float
* Общее: обновлены локализации
* Общее: кодек WavPack обновлен до v5.9
* Плагины: scrobbler - Last.fm - в случае ошибки доступа к сервису, в окне отображаются ссылки-заглушки на веб-версию каталога
- Исправлено: общее - ошибка создания файла в папке по шаблону, если имя папки заканчивается на точку
- Исправлено: общее - меню не прокручиваются колёсиком мыши, если опция "прокручивать неактивные окна при наведении" отключена
- Исправлено: общее - порт не извлекается из URL, если после токена порта нет "/" (регрессия 5.40)
- Исправлено: аудиоконвертер - статистика не учитывается, если включено удаление исходных файлов, а целевая папка - исходная
- Исправлено: аудиоконвертер - дизеринг не отключается автоматически при преобразовании 24-в-24 бит
- Исправлено: звуковой движок - VST - изменение частоты дискретизации приводит к зависанию некоторых плагинов
- Исправлено: плеер - не видит номера диска для CUE, которые прописаны как пользовательские поля в самом аудиофайле
- Исправлено: плеер - не срабатывает ручной переход на следующий трек, если следующий трек отсутствует физически и в плеере включен повтор трека
- Исправлено: плагины - BASS_AAC - не доигрывает некоторые файлы до конца
- Исправлено: плагины - CDDA - MusicBrainz - для некоторых релизов загружается неверное имя исполнителя
- Исправлено: ошибки из пришедших отчетов


AIMP v5.40.2716 (21.04.2026)
============================
- Исправлено: звуковой движок - плеер иногда не переходит на следующий трек, если включена пауза между треками (регрессия 2715)


AIMP v5.40.2715 (11.04.2026)
============================
* Звуковой движок: предзагрузка трека начинается с половины трека и минимум за минуту до его конца
- Исправлено: звуковой движок - не срабатывает переход на следующий трек при проигрывании очень коротких треков
- Исправлено: скин-движок - появление DropWheel может блокировать управление мышью на Wine / Windows 11
- Исправлено: редактор тегов - переименование файлов - "пропустить" / "пропустить всё" отменяет операцию
- Исправлено: редактор тегов - переименование файлов - некорректное взаимодействие с CUE-образами
- Исправлено: плагины - подкасты - не показываются данные, расположенные эксклюзивно в RSS-потоке
- Исправлено: ошибки из пришедших отчетов


AIMP v5.40.2709 (07.03.2026)
============================
* Плагины: WebLyrics - обновлен список провайдеров
- Исправлено: аудио-конвертер - MP3 - настройка частоты игнорировалась, был включен автовыбор частоты кодеком
- Исправлено: аудиоконвертер - ошибка валидации при переименовании файла
- Исправлено: звуковой-движок - DirectSound - не переключается на другое устройство автоматически
- Исправлено: звуковой движок - VST - изменение частоты дискретизации игнорировалось некоторыми плагинами
- Исправлено: звуковой движок - VST - порча памяти при определенной конфигурации конверсии
- Исправлено: плеер - интернет-радио - иногда не обновляется информация о треке
- Исправлено: плеер - интернет-радио - не показывает обложки из FLAC-потоков
- Исправлено: плеер - проигрываемый трек откатывается назад при сохранении тегов
- Исправлено: плейлист - ошибка при создании новой группы, если плейлисты уже находятся в какой-либо группе
- Исправлено: редактор тегов - некорректная сортировка записей по колонке с номером трека, если указано количество треков в альбоме
- Исправлено: редактор тегов - пересохраняет обложку в PNG
- Исправлено: редактор тегов - FLAC - значение поля AlbumArtist не видится в приложении Mp3tag
- Исправлено: ошибки из пришедших отчетов


AIMP v5.40.2703 (24.12.2025)
============================
* Общее: обновлены библиотеки BASS
* Общее: обновлены локализации
* Общее: кодек Monkey's Audio обновлен до v11.89
- Исправлено: аудиоконвертер - не показывается прогресс добавления файлов
- Исправлено: редактор тегов - главы - неточная навигация при работе с большими MP3-файлами
- Исправлено: ошибки из пришедших отчетов


AIMP v5.40.2700 (25.11.2025)
============================
* Общее: улучшена производительность
* Редактор тегов: редактор глав - подтверждение отмены несохраненных изменений
* Теги: OPUS - поддержка replaygain информации, записанной утилитой rsgain
* Теги: улучшен алгоритм распознавания кодировки
* Файловый менеджер: пропуск мета-файлов от MacOS
- Исправлено: общее - зависает IPC-клиент, если IPC-сервер недоступен
- Исправлено: общее - приложение может упасть/зависнуть при закрытии при завершении работы ПК (регрессия 2699)
- Исправлено: звуковой движок - при переключении устройства вывода "съедается" часть трека
- Исправлено: звуковой движок - спонтанное заикание при проигрывании при активном ресемплере
- Исправлено: плейлист - пропадает имя плейлиста при автоматическом наименовании при определенных обстоятельствах
- Исправлено: скин-движок - таймеры высокого разрешения могут зависнуть на неопределенное время при высокой нагрузке на систему
- Исправлено: редактор тегов - съедает точку в конце поля метаданных при автоматическом переименовании
- Исправлено: фонотека - переполнение при расчете суммарной длительности
- Исправлено: плагины - консольный кодировщик не распаковывается из .aimppack при установке в 64-битной версии приложения
- Исправлено: ошибки из пришедших отчетов


AIMP v5.40.2696 (01.10.2025)
============================
* Общее: обновлены локализации
* Очередь: улучшена производительность
* Плагины: планировщик - возможность клонировать событие
- Исправлено: редактор тегов - не работает пакетное переименование файлов, если в шаблоне не участвуют метаданные из тегов
- Исправлено: редактор тегов - рассинхронизация состояния в "неизвестных полях"
- Исправлено: редактор тегов - главы - диалог не сохраняет позицию на экране
- Исправлено: редактор тегов - главы - нарушается сортировка глав после ручного ввода времени
- Исправлено: редактор тегов - главы - не читается нулевая глава из Vorbis Comments
- Исправлено: редактор тегов - главы - перемотка назад работает некорректно
- Исправлено: редактор тегов - главы - погрешность измерения позиции воспроизведения
- Исправлено: редактор тегов - главы - PageDown/Up всегда выделяет первую строку, если ничего не выбрано
- Исправлено: скин-движок - рассинхронизация доступа при многопоточном рендеринге
- Исправлено: плагины - визуализации - не закрывается полноэкранный режим при отключении визуализации (регрессия 5.40)
- Исправлено: плагины - скробблер - Last.fm перетирает обложку трека
- Исправлено: плагины - планировщик - ошибка при отмене создания события
- Исправлено: ошибки из пришедших отчетов


AIMP v5.40.2694 (07.09.2025)
============================
* Плеер: поддержка поля icy-logo
* Теги: M4A - поддержка множественных data-полей в пределах одного атома
- Исправлено: плагины - MyClouds - ошибка доступа к уже добавленным в плейлист трекам после очистки кэша
- Исправлено: ошибки из пришедших отчетов


AIMP v5.40.2691 (15.08.2025)
============================
* Общее: обновлены библиотеки BASS
* Общее: обновлены локализации
* Общее: совместимость с Wine 10
* Общее: кодек Monkey's Audio обновлен до v11.36
- Исправлено: аудиоконвертер - MP3 - профиль ABR работает не так, как ожидается (регрессия 5.40)
- Исправлено: звуковой движок - повтор трека не учитывался при сквозной перемотке
- Исправлено: звуковой движок - щелчок в конце трека при включенном затухании (регрессия 5.40)
- Исправлено: звуковой движок - BASS - некоторые mod-файлы проигрываются не полностью
- Исправлено: звуковой движок - DSP - высокая задержка в случае повышения частоты дискретизации
- Исправлено: звуковой движок - VST - низкий FPS встроенных визуализаций
- Исправлено: звуковой движок - VST - порча памяти при определенной конфигурации конверсии
- Исправлено: интернет-радио - url-encoded метаданные не распаковываются
- Исправлено: плейлист - множественный экспорт не работает для выгруженных из памяти плейлистов
- Исправлено: ошибки из пришедших отчетов


AIMP v5.40.2683 (16.06.2025)
============================
+ Аудиоконвертер: поддержка относительных путей
+ Плагины: analog meter - установка скинов через общий механизм установки дополнений
* Звуковой движок: улучшен алгоритм передискретизации
* Плеер: A-B повтор - возможность задать миллисекунды через диалог
* Скин-движок: совместимость с приложением Start11
* Скин-движок: уменьшено потребление памяти во время загрузки скина
- Исправлено: звуковой движок - заикания в ресемплере при большом соотношении частот (регрессия 5.40)
- Исправлено: редактор тегов - данные в полях тегов с множественным значением иногда дублируются
- Исправлено: редактор тегов - ID3v2.4 - не читает множественные значения жанров
- Исправлено: скин-движок - незначительные ошибки и замечания
- Исправлено: ошибки из пришедших отчетов


AIMP v5.40.2675 (27.04.2025)
============================
* Общее: обновлены локализации
* Общее: кодек Monkey's Audio обновлен до v11.08
* Звуковой движок: ускорено построение волны
- Исправлено: общее - поставляемый с плеером libVorbis конфликтует с плагинами (регрессия 5.40)
- Исправлено: звуковой движок - при смене частоты дискретизации слышен кусок трека со старой частотой (регрессия 5.40)
- Исправлено: менеджер плейлистов - при смене трека менеджер переходил в модифицированное состояние
- Исправлено: редактор тегов - MP4 - безымянное поле в метаданных приводит к ошибке чтения тегов
- Исправлено: скин-движок - колесико мыши не пробрасывается из окна визуализации в главное (регрессия 5.40)
- Исправлено: фонотека - Alt+Click по кнопке сворачивания в дереве работает некорректно
- Исправлено: ошибки из пришедших отчетов


AIMP v5.40.2669 (19.03.2025)
============================
+ Общее: добавлен макрос %Total
+ Фонотека: закладки - возможность удалить закладки для несуществующих файлов
+ Фонотека: закладки - поддержка группировки в таблице
* Общее: обновлены локализации
* Общее: кодек FLAC обновлен до v1.5.0
* Общее: кодек Monkey's Audio обновлен до v10.96
* Общее: кодек OPUS обновлен до v1.5.2
* Общее: кодек WavPack обновлен до v5.8
* Редактор тегов: информация о файле - дата/время модификации файла
* Редактор тегов: расширено поле ввода при переименовании файла
* Скин-движок: окна-виджеты теперь не сворачиваются только, если закреплены на экране
* Плагины: MyClouds - Google.Drive - поддержка прекращена из-за ограничений доступа со стороны сервиса
* Плагины: расширено API
- Исправлено: аудиоконвертер - MP3 - некорректно работает режим кодирования VBR (регрессия 5.40)
- Исправлено: закладки - ошибки с автоматическим подхватом закладок
- Исправлено: звуковой движок - ASIO - проблемы с продолжением проигрывания после паузы на некоторых устройствах
- Исправлено: звуковой движок - заикания при проигрывании после переключения между устройствами (регрессия 5.40)
- Исправлено: плейлист - после отката изменений перестает работать повтор трека
- Исправлено: плейлист - после отката изменений не обновляется авто-имя
- Исправлено: скин-движок - при сворачивании закрепленного окна, рабочая область не восстанавливается
- Исправлено: редактор тегов - ID3v2 - не сохраняются главы, если в теге больше ничего нет
- Исправлено: редактор тегов - OptimFROG - не распознается программой, если он с максимальным сжатием
- Исправлено: редактор тегов - созданный AIMP встроенный CUE не читается в Foobar2K
- Исправлено: редактор тегов - не работает "перейти к папке" (регрессия 5.40)
- Исправлено: общее - мерцание интерфейса при работе по RDP (регрессия 5.40)
- Исправлено: ошибки из пришедших отчетов


AIMP v5.40.2655 (14.01.2025)
============================
* Общее: обновлены локализации
* Аудиоконвертер: OPUS - replay gain больше не пишется в заголовок файла - только в теги
- Исправлено: звуковой движок - при переключении треков на паузе плеер начинает трек с +5 секунд, если включено удаление тишины (регрессия 5.40)
- Исправлено: скин-движок - незначительные ошибки и замечания
- Исправлено: плейлист - default-плейлист удаляется в корзину при закрытии, даже, если его сохранение отключено
- Исправлено: плагины - планировщик - не работает опция "вернуться к предыдущему плейлисту" в некоторых случаях
- Исправлено: плагины - WebLyrics - не проходит валидация данных после выборки при многостраничном разборе (регрессия 5.40)
- Исправлено: ошибки из пришедших отчетов


AIMP v5.40.2653 (27.12.2024)
============================
* Общее: обновлены локализации
* Общее: совместимость с Wine 9.1
* Фонотека: возможность клонировать шаблон группировки
- Исправлено: звуковой-движок - ASIO - при открытии настроек останавливается воспроизведение (регрессия 5.40)
- Исправлено: звуковой движок - при перемотке на паузе плеер перескакивает на 5 секунд вперед, если включено удаление тишины
- Исправлено: скин-движок - незначительные ошибки и замечания
- Исправлено: ошибки из пришедших отчетов


AIMP v5.40.2650 RC 2 (19.12.2024)
=================================
+ Плагины: scrobbler - поддержка сервисов на движке Maloja
* Плагины: расширено API
- Исправлено: общее - окно настроек показывается за окном плеера, если кнопка на панели задач отключена (регрессия 5.40)
- Исправлено: звуковой движок - затыки при проигрывании CDDA (регрессия 5.40)
- Исправлено: звуковой движок - ограничитель импульса replay gain работал неверно в некоторых случаях (регрессия 5.40)
- Исправлено: интерфейс - мелкие косметические огрехи
- Исправлено: плагины - album art - пропадает обложка альбома при быстром переключении треков
- Исправлено: плагины - analog meter - застывает один из VU (регрессия 2645)
- Исправлено: плагины - scrobbler - утечка gdi-ресурса в окне с информацией о треке, которая приводит к падению приложения после некоторого времени (регрессия 5.40)
- Исправлено: плагины - информационная лента - невиден статус кнопок из-за фокусной обводки
- Исправлено: ошибки из пришедших отчетов


AIMP v5.40.2645 RC (08.12.2024)
===============================
* Общее: обновлены локализации
* Общее: оптимизация кода программы
* Плагины: расширено API
- Исправлено: ошибки из пришедших отчетов


AIMP v5.40.2643 Beta 4 (03.12.2024)
===================================
+ Редактор тегов: обложки альбомов - сохранение в JPEG с качеством в 90%
+ Редактор тегов: редактор глав - возможность автонумерации глав
* Общее: обновлены библиотеки BASS
* Плеер: теперь приоритет за текстом песни с разметкой независимо от его исходной кодировки и длины
* Плагины: расширено API
* Плагины: tak_deco_lib обновлен до v2.3.3
- Исправлено: ошибки из пришедших отчетов


AIMP v5.40.2640 Beta 3 (12.11.2024)
===================================
+ Плейлист: "отправить в..." - возможность создания файла-плейлиста с отправляемыми файлами
* Общее: %FileName получил необязательный числовой аргумент, указывающий формат выходных данных
* Общее: обновлены локализации
* Общее: оптимизация кода программы
* Звуковой движок: улучшен алгоритм обнаружения и удаления тишины на краях трека
- Исправлено: звуковой движок - прерывается радио, если в метаданных присутствует пустой или поврежденный APIC
- Исправлено: звуковой движок - "удаление тишины на краях" не срабатывает при рестарте проигрывания
- Исправлено: фонотека - после перехода на VCL 12.2 среднее стало считаться некорректно (регрессия 2624)
- Исправлено: плагины - ошибки совместимости со старыми плагинами (регрессия 2624)
- Исправлено: ошибки из пришедших отчетов


AIMP v5.40.2624 Beta 2 (18.09.2024)
===================================
* Общее: библиотека VCL обновлена до v12.2
- Исправлено: звуковой движок - слышна часть песни перед тем, как отработает "откат после долгой паузы"
- Исправлено: скин-движок - ошибки c позиционированием окон (регрессия 2623)
- Исправлено: ошибки из пришедших отчетов


AIMP v5.40.2623 Beta 2 (11.09.2024)
===================================
+ Общее: добавлен макрос %StrTrimDiacritic
+ Звуковой движок: поддержка 64-битных сэмплов
+ Звуковой движок: эффекты Реверберация, Эхо, Фланжер и Хорус теперь поддерживают многоканальный звук
+ Плагины: планировщик - опция "возвращаться к плейлисту" при проигрывании файла
+ Плагины: MyClouds - OneDrive - поддержка многостраничной выдачи
* Общее: улучшена работа с emoji-символами
* Плагины: подкасты - расширена информация об ошибке загрузки потока
* Плагины: MyClouds - поддержка изменений API облачных сервисов
* Плагины: MyClouds - WebDAV - улучшена совместимость
- Исправлено: звуковой движок - ASIO - транслируется звук только правого канала (регрессия 5.40)
- Исправлено: плейлист - папка Discarge трактовалась как папка диска
- Исправлено: утилиты - игнорируются ключи командной строки, если приложение не запущено (регрессия 5.40)
- Исправлено: плагины - Winamp DSP - не выгружаются второстепенные модули (регрессия 5.40)
- Исправлено: плагины - Winamp DSP - не распознает dll в архиве как плагин (регрессия 5.40)
- Исправлено: плагины - проблемы обратной совместимости
- Исправлено: ошибки из пришедших отчетов


AIMP v5.40.2619 Beta 1 (20.08.2024)
===================================
+ Закладки: автоматические закладки для треков
+ Плейлист: возможность отмены последних изменений
+ Плейлист: возможность группировки плейлистов
+ Плейлист: команда "вставить после текущего" теперь учитывает режим проигрывания "вразнобой"
+ Плейлист: новый диалог выбора папки при множественном экспорте плейлистов
+ Плейлист: расчет прогресса воспроизведения плейлиста
+ Редактор тегов: альтернативный поиск обложек альбомов с возможностью выбора результата
+ Редактор тегов: добавлен блок с информацией о качестве обложки альбома
+ Редактор тегов: добавлена колонка "исполнитель альбома"
+ Редактор тегов: возможность выбора альтернативного значения поля при групповом редактировании
+ Редактор тегов: установка "флажка" у поля ввода автоматически активирует его
* Аудиоконвертер: миграция на libmp3lame
* Общее: кодек Monkey's Audio обновлен до v10.74
* Общее: кодек TrueAudio обновлен до v2.3
* Общее: кодек Vorbis обновлен до v1.3.7
* Аудиоконвертер: кодировщики стали плагинами
* Звуковой движок: увеличена производительность
* Скин-движок: расширены потенциальные возможности
* Фонотека: улучшена группировка по датам
* Плагины: WebLyrics - обновлен список провайдеров
- Исправлено: фонотека - дерево группировки - сортировка не применяется к плейлисту при воспроизведении


AIMP v5.30.2561 (01.08.2024)
============================
* Общее: обновлены библиотеки BASS
- Исправлено: аудиоконвертер - поля Rating и PartOfCompilation не переносятся в Vorbis Comments
- Исправлено: плеер - проблемы навигации по треку в 64-битной версии приложения
- Исправлено: плеер - не восстанавливается скорость воспроизведения при старте проигрывания плейлисте, где она не задана
- Исправлено: плеер - теряется информация о размере виртуального трека из SACD (регрессия 2540)
- Исправлено: скин-движок - незначительные ошибки и замечания


AIMP v5.30.2560 (10.07.2024)
============================
- Исправлено: плеер - обнуляется информация об интернет-потоке в плейлисте при переходе на следующий трек (регрессия 2549)
- Исправлено: плагины - подкасты - эпизоды удваиваются при каждом обновлении подписки, если URL завязан на временную метку
- Исправлено: плагины - порча памяти в модуле поддержки плагинов Winamp в 64-битной версии приложения
- Исправлено: скин-движок - незначительные ошибки и замечания
- Исправлены прочие незначительные ошибки


AIMP v5.30.2555 (12.06.2024)
============================
+ Плагины: MyClouds - поддержка серверов, работающих только в режиме стриминга
* Общее: обновлены локализации
* Общее: совместимость с ExplorerPatcher
* Файловый менеджер: пропуск системной папки __MACOSX
- Исправлено: аудиоконвертер - ошибка при попытке прервать многопоточное кодирование
- Исправлено: звуковой движок - WASAPI Shared - ошибка определения формата 32-bit float
- Исправлено: звуковой движок - DSP/VST - не очищается кэш адаптера при старте нового трека
- Исправлено: обложки альбомов - в шаблонах без * не учитывается вариация по расширениям
- Исправлено: редактор тегов - не работают контекстные выражения (регрессия 2549)
- Исправлено: фонотека - несогласованные данные в сохраненном шаблоне сортировки, из-за чего шаблон не считается выбранным
- Исправлены прочие незначительные ошибки


AIMP v5.30.2549 (02.05.2024)
============================
+ Плагины: MyClouds - OneDrive - поддержка подпапок в "Shared With Me"
+ Плагины: SACD - поддержка DSD512
* Плагины: CDDA - MusicBrainz - поддержка многодисковых релизов
* Общее: кодек OPUS обновлен до v1.5.1
- Исправлено: общее - замечания по UI
- Исправлено: аудиоконвертер - не подгружаются настройки BASS-декодера
- Исправлено: аудиоконвертер - WMA - ошибка "Invalid floating-point operation" при кодировании в 24-bit Pro на х64 версии приложения
- Исправлено: звуковой движок - ошибки при работе с некоторыми VST2-плагинами
- Исправлено: плейлисты - XSPF - не грузится по ссылке, если сервер не сообщает размер файла
- Исправлено: редактор тегов - MP3 в DASH-контейнере определяется как .mp3
- Исправлено: редактор тегов - препроцессор макросов неправильно работает с CUE
- Исправлено: скин-движок - незначительные ошибки и замечания
- Исправлено: фонотека - смарт-обновление таблицы иногда работает некорректно


AIMP v5.30.2541 (06.03.2024)
============================
- Исправлено: плейлист - при отключенной опции "сохранять полные пути к файлам" теряются ссылки на файлы после перезапуска программы (регрессия 2540)


AIMP v5.30.2540 (29.02.2024)
============================
+ Звуковой движок: поддержка формата AC3 в составе контейнера MKA
+ Плейлист: M3U - поддержка тега #EXTGRP
+ Плейлист: XSPF - поддержка полей "annotation" и "info"
* Общее: обновлены локализации
* Общее: кодек WavPack обновлен до v5.7
* Плеер: улучшен алгоритм поиска CUE для аудиофайлов
* Плеер: улучшено удобство использования редактора горячих клавиш
* Плейлист: XSPF - более умное построение относительных путей
* Редактор тегов: неизвестные поля - возможность удалить все за один раз
* Редактор тегов: ускорена пакетная обработка ссылок на радиостанции
- Исправлено: аудиоконвертер - FLAC / OGG - не переносятся поля Key и Catalog
- Исправлено: звуковой движок - WavPack - всегда декодируется в 16-бит
- Исправлено: звуковой движок - WASAPI Shared - ошибка инициализации Xonar U5 с Sonic Studio на Windows 11
- Исправлено: звуковой движок - WASAPI Shared - ошибка определения формата 32-bit float
- Исправлено: интернет-радио - постоянные "переподключения" при воспроизведении high-res потоков
- Исправлено: плейлист - команда "отправить в" недоступна для виртуальных файлов (регрессия 5.30)
- Исправлено: плейлист - XSPF - адреса, представленные в utf8 с процентным кодированием, читаются некорректно
- Исправлено: плейлист - при отключенной опции "сохранять полные пути к файлам" теряются ссылки на файлы после перезапуска программы (регрессия 2540)
- Исправлено: редактор тегов - ошибки при работе с главами в ID3v2
- Исправлено: скин-движок - TASETabControl - не работает прокрутка вкладок при перемещении вкладки (регрессия 5.30)
- Исправлено: фонотека - файлы с флешки удаляются из базы при синхронизации на старте, если поменялась буква диска
- Исправлено: плагины - inputFFmpeg - нельзя перемотать трек, если он достиг конца
- Исправлены прочие незначительные ошибки


AIMP v5.30.2533 (20.12.2023)
============================
+ Плейлист: M3U - поддержка тега #EXTALBUMARTURL
* Звуковой движок: улучшен алгоритм обнаружения и удаления тишины на краях трека
* Плеер: команда на открытие вкладки "DSP/VST" в менеджере звуковых эффектов
- Исправлено: запись радио - в шаблоны не попадали данные, что были прописаны в файле плейлиста (регрессия 5.30)
- Исправлено: звуковой движок - некорректно определяет длительность некоторых MP3 VBR
- Исправлено: звуковой движок - ошибки при работе с некоторыми VST2-плагинами
- Исправлено: менеджер плейлистов - ошибка "файл не найден" при физическом удалении группы плейлистов (регрессия 5.30)
- Исправлено: плагины - BASS_ALAC - не может открыть ALAC с 64-битным заголовком атомов
- Исправлено: плагины - планировщик - не ставит на паузу по окончанию очереди (регрессия 5.30)
- Исправлены прочие незначительные ошибки


AIMP v5.30.2531 (04.12.2023)
============================
* Аудиоконвертер: преднастройка для кодировщика OGG aoTuV (спасибо Soolo)
- Исправлено: звуковой-движок - длительность тишины для пропуска не соответствует действительности
- Исправлено: звуковой движок - состояние нормализатора громкости сбрасывается после перезапуска программы (регрессия 5.30)
- Исправлено: звуковой движок - VST - AV при попытке повторной инициализации плагина
- Исправлено: плагины - скробблер - не работает скробблинг для радио (регрессия 5.30)
- Исправлено: плагины - проблемы обратной совместимости


AIMP v5.30.2527 RC 2 (01.11.2023)
=================================
* Плеер: добавлена скрытая опция MinimizeAppOnDblClick (см.справку)
* Фонотека: оптимизация запросов к БД
- Исправлено: звуковой движок - ошибки при работе с некоторыми VST2-плагинами
- Исправлено: скин-движок - prvPlaybackQueue.NextTrackInfo не обновляется при модификации очереди
- Исправлено: скин-движок - не работает связь с рейтингом файла (регрессия 2527)
- Исправлено: скин-движок - поиск текста песни не может быть прерван (регрессия 2527)
- Исправлено: скин-движок - ошибки с завершением драг-операций на отмене
- Исправлено: плеер - обнуляется информация о потоке при старте проигрывания через плагин aimp_openmpt
- Исправлено: плейлист - XSPF - импорт плейлиста, содержащего информацию о группах, завершается ошибкой
- Исправлено: редактор тегов - не сохраняются настройки поиска доп.информации
- Исправлено: эквалайзер - возможен ввод пустого имени для преднастройки
- Исправлено: фонотека - не работает поиск перемещенных локальных файлов (регрессия 2527)
- Исправлены прочие незначительные ошибки


AIMP v5.30.2524 RC (12.10.2023)
===============================
* Редактор тегов: выбор формата экспорта текста песни
* Редактор тегов: часть операций теперь работает в потоках
* Теги: поддержка EUC-кодировок
* Плагины: BASS_FLAC - обновлен до версии 2.4.5.4
- Исправлено: звуковой движок - ошибки при работе с некоторыми VST2-плагинами
- Исправлено: плагины - планировщик - команда "приостановить" так же снимала с паузы


AIMP v5.30.2520 Beta (02.10.2023)
=================================
+ Закладки: поиск перемещенных файлов
+ Фонотека: поддержка математических операторов для поля "год"
* Общее: обновлены локализации
* Интерфейс: подсказки для альтернативных действий элементов управления
* Интерфейс: улучшена поддержка ночного режима Windows
* Плейлист: ускорено взаимодействие с большими плейлистами
* Плагины: BASS_OPUS - обновлен до версии 2.4.2.4
- Исправлено: менеджер звуковых эффектов - не загоралась кнопка ОК диалога преднастроек эквалайзера (регрессия 2512)
- Исправлено: теги - AIFC - неверная информация о звуковом потоке
- Исправлено: теги - AAC - игнорируются ID3 / APE теги
- Исправлены прочие незначительные ошибки


AIMP v5.30.2512 Beta (03.09.2023)
=================================
* Плагины: возможность подключать VST-плагины напрямую из их родных папок
* Плагины: кодировщик во FLAC обновлен до v1.4.3
- Исправлено: звуковой движок - некорректно работает пиковая нормализация (регрессия 5.30)
- Исправлено: звуковой движок - WASAPI не доступен под Windows Vista
- Исправлено: запись радио - информация о станции недоступна (регрессия 5.30)
- Исправлено: скин-движок - не работает примагничивание окон (регрессия 5.30)
- Исправлено: фонотека - учет прослушиваний коротких треков с порогом в 100% не работает
- Исправлены прочие незначительные ошибки


AIMP v5.30.2510 Beta (20.08.2023)
=================================
* Общее: обновлены локализации
* Плагины: расширено API
* Плейлист: возможность поиска фразы целиком - нужно заключить текст в кавычки
- Исправлено: звуковой движок - ошибка при закрытии приложения, если активен хотя бы один стандартный звуковой эффект (регрессия 5.30)
- Исправлено: плеер - пропадает информация о внешнем файле при старте его проигрывания (регрессия 5.30)
- Исправлено: плейлист - ошибка при показе контекстного меню, если плейлист содержит виртуальные треки (регрессия 5.30)
- Исправлены прочие незначительные ошибки


AIMP v5.30.2505 Beta (08.08.2023)
=================================
+ Общее: добавлен макрос %ReplaceEx(..)
+ Звуковой движок: поддержка VST-плагинов
+ Звуковой движок: поддержка частоты дискретизации 768 кГц
+ Звуковой движок: возможность использовать несколько DSP-плагинов одновременно
+ Редактор тегов: возможность отмены последних трех изменений
+ Редактор тегов: поддержка поля "тональность"
+ Редактор тегов: детальная информация о возникающих ошибках
+ Плеер: добавлена опция "прокрутка колесиком мыши вне элементов регулирует громкость"
+ Плейлист: возможность удалить трек вместе с папкой
+ Плейлист: массовый экспорт и обновление плейлистов
+ Теги: опция "сохранять обложку в папку с треком"
+ Плагины: информационная лента - возможность отображения уведомлений от плеера
+ Плагины: информационная лента - добавлен макрос %Playlist
+ Плагины: информационная лента - "карточка" теперь запоминает выставленную пользователем позицию
* Общее: оптимизация под экраны с небольшим разрешением
* Плейлист: ускорена загрузка плейлистов в формате XSPF в два раза
* Фонотека: ускорено взаимодействие с большими БД


AIMP v5.11.2436 (02.10.2023)
============================
* Общее: обновлена цифровая подпись
* Плагины: BASS_OPUS - обновлен до версии 2.4.2.4


AIMP v5.11.2435 (20.08.2023)
============================
- Исправлено: плагины - MyClouds - не работает воспроизведение с DropBox


AIMP v5.11.2434 (31.07.2023)
============================
* Общее: обновлены локализации
* Плеер: поддержка обложек радиостанций, что передаются в теге streamUrl
* Плагины: BASS_HSL - обновлен до v2.4.4
- Исправлено: плейлист - не обновляются ссылки в выгруженных плейлистах при перемещение файла
- Исправлено: редактор тегов - вызов макроса %in приводит к падению программы


AIMP v5.11.2432 (07.06.2023)
============================
* Общее: обновлены локализации
* Общее: обновлены сторонние библиотеки
* Звуковой движок: улучшен алгоритм поиска преднастройки по жанру
- Исправлено: звуковой движок - ASIO - ошибка при инициализации устройства, если выбрано больше 8 каналов
- Исправлено: звуковой движок - MP4 - BASS пытался играть MP3-поток из видео файла, как обычный MP3-файл, что приводило к некорректному результату
- Исправлено: теги - ID3v2 - поле "исполнитель альбома" игнорирует множественные значения
- Исправлено: фонотека - проблемы с восстановлением позиции обзора после изменения данных
- Исправлено: плагины - WebLyrics - макрос \uXXXX не обрабатывается
- Исправлены прочие незначительные ошибки


AIMP v5.11.2429 (07.04.2023)
============================
* Плагины: WebLyrics - обновлен список провайдеров
- Исправлено: звуковой движок - нельзя ставить удаленные файлы на паузу (регрессия 2427)
- Исправлено: редактор тегов - ошибка при закрытии, если загружен плагин, расширяющий каталог сервисов поиска обложек альбомов
- Исправлено: редактор тегов - FLAC - происходит порча файла, при попытке записать метаданные размером больше 16 МБ


AIMP v5.11.2427 (29.03.2023)
============================
+ Редактор тегов: опция для принудительного удаления ID3v1
+ Плагины: WebLyrics - поддержка текстов песен в LRC-разметке
* Общее: добавлена литовская локализация
* Общее: кодек FLAC обновлен до v1.4.2
* Звуковой движок: возможность ставить радио на паузу
* Плейлист: клонирование записей с помощью drag-n-drop с зажатым Ctrl
- Исправлено: плеер - не переходит на следующую ссылку в плейлисте, если станция прекращает вещание во время проигрывания
- Исправлено: плеер - не работает поиск текста песни, если в тегах он есть, но загрузка из тегов запрешена
- Исправлено: плеер - ошибка при попытке открыть обложку альбома, полученную по URL-у больше 256 символов
- Исправлено: плейлист - XSPF - закодированные URL-адреса читаются неверно
- Исправлено: скин-движок - Linux - развернутое окно не прилегает к краям рабочей области
- Исправлено: редактор тегов - розовый цвет на обложке альбома не становится серым при снятии галочки с поля
- Исправлено: плагины - BASS_WV (64-bit) - приводит к падению приложения при декодировании некоторых файлов
- Исправлено: плагины - FFmpeg - не декодирует звук в формате MP3 (mp3float) из MP4-контейнера
- Исправлено: плагины - планировщик - не работает возврат к предыдущему плейлисту (регрессия 2417)


AIMP v5.11.2421 (30.01.2023)
============================
+ Аудиоконвертер: поддержка консольного кодировщика QAAC64
+ Плеер: интернет-радио - поддержка метаданных в формате JSON
+ Плеер: интернет-радио - поддержка потоков с глубиной дискретизации 24 бит и более
+ Плейлист: отображение данных из поля тега "комментарий"
+ Фонотека: группировка записей в таблице по папкам (используете колонку "имя файла")
* Общее: кодек WavPack обновлен до v5.6
* Общее: поддержка суррогатных символов в utf8-строках
* Скин-движок: использование памяти, необходимое для рендеринга текста, уменьшено на 33%
- Исправлено: плеер - главы в формате QuickTime (MP4) не читаются в 64-битной версии
- Исправлено: плеер - команды "предыдущий/следующий файл" игнорируются, если их вызвать в момент предзагрузки следующего трека
- Исправлено: плейлист - Linux - не работает перемещение записей через drag-n-drop
- Исправлено: фонотека - поиск перемещенных файлов - кнопка поиска неактивна пока не выберешь хотя бы одну запись
- Исправлено: фонотека - ошибка при запуске закладки, если плейлист с закладкой удален и нет проигрываемого плейлиста
- Исправлено: планировщик - конфликт команды "приостановить по окончанию файла" с опцией "добавлять паузу между треками"
- Исправлено: плагины - скробблер - нет ссылки у имени исполнителя


AIMP v5.10.2418 (21.12.2022)
============================
- Исправлено: звуковой движок - ошибка при попытке проиграть файл с количеством каналов больше 8
- Исправлено: скин-движок - ошибка при попытке нарисовать текст в области с нулевой площадью (регрессия)
- Исправлено: фонотека - не отображается название шаблонов при первом запуске (регрессия 5.10)
- Исправлено: аудио конвертер - дизеринг применяется всегда (регрессия)
- Исправлено: плагины - информационная лента - не всегда исчезает по таймауту (регрессия)


AIMP v5.10.2417 (12.12.2022)
============================
* Общее: обновлены сторонние библиотеки
* Общее: обновлены локализации
- Исправлено: звуковой движок - возникает ошибка "cannot allocate memory" при открытии некоторых интернет потоков
- Исправлено: редактор тегов - онлайн поиск - discogs - не показывает найденные результаты, если у записи нет поля notes
- Исправлено: редактор тегов - OPUS - некорректно записывается replaygain информация, если данные для album/track gain отсутсвуют
- Исправлено: фонотека - сбрасывается позиция в дереве группировки при обновлении мета-данных
- Исправлено: плагины - планировщик - зависает "выполнение операции", если пользователь вмешался в автоматическую очередь воспроизведения
- Исправлено: плагины - подкасты - не показывается меню для выбранного в дереве подкаста
- Исправлено: плагины - WebLyrics - возникает колизия в кэше, из-за чего один из запросов завершается ошибкой
- Исправлены прочие незначительные ошибки


AIMP v5.10.2414 (15.11.2022)
============================
* Звуковой движок: перезагрузка ASIO-драйвера в случае ошибки без перезапуска программы
- Исправлено: плеер - не подхватываются CUE, встроенные в .iso.wv
- Исправлено: плейлист - команда "переместить в" копирует файл, а не перемещает (регрессия 5.10)
- Исправлено: плейлист - зависает в состоянии "loading" после переименования файла в редакторе тегов (регрессия 5.10)
- Исправлено: плейлист - очередь не сохраняет ссылки на плейлисты (регрессия 5.10)
- Исправлено: редактор тегов - FLAC - прописывается укороченный вариант MIME-типа для JPEG вместо полного
- Исправлено: плагины - MyClouds - не подхватываются CUE, если они ссылаются на файл с тем же именем, но другим расширением
- Исправлены прочие незначительные ошибки


AIMP v5.10.2411 (08.11.2022)
============================
* Общее: улучшена совместимость с Linux (Wine)
- Исправлено: плеер - не проигрываются *.iso.wv (регрессия 5.03)
- Исправлено: плейлист - опция "автоматическое слияние одноименных групп" конфликтует с пакетным режимом редактора тегов
- Исправлено: плагины - WebLyrics - падает при попытке получить обложку для радио


AIMP v5.10.2410 RC (30.10.2022)
===============================
* Общее: обновлены локализации
* Теги: улучшен алгоритм распознавания кодировки
- Исправлено: плеер - запрос информации о следующем треке при завершенной очереди воспроизведения в режиме вразнобой, запускает повтор плейлиста, несмотря на настройки
- Исправлено: плагины - планировщик - событие с повтором в течении дня запускает действие 5 раз (регрессия 5.10)


AIMP v5.10.2408 Beta 2 (21.10.2022)
===================================
+ Общее: приложение вновь может быть запущено на Windows Vista и Windows XP
+ Общее: уменьшен размер runtime-библиотеки
+ Диалог настроек: вид "миниатюры" во вкладке выбора скинов
* Звуковой движок: выгрузка неиспользуемых ASIO-драйверов без перезапуска программы
* Плагины: MyClouds - поддержка изменений API сервиса Box.com
* Плагины: WebLyrics - расширен синтаксис правил разбора
* Плагины: WebLyrics - теперь выступает как провайдер обложек альбомов
- Исправлено: плейлист - очередь не сохраняет ссылки на плейлисты, в чьем имени есть символ "="
- Исправлено: фонотека - не записывает оценку в тег проигрываемого файла (регрессия)
- Исправлены незначительные ошибки и замечания


AIMP v5.10.2403 Beta (05.10.2022)
=================================
+ Общее: возможность сбросить настройки к значениям по умолчанию
+ Звуковой движок: добавлена поддержка системных декодеров (опционально)
+ Звуковой движок: поддержка файлов коррекции (WVC) для WavPack
+ Звуковой движок: поддержка форматов MDZ, ITZ, S3Z и XMZ
+ Интерфейс: возможность зафиксировать положение окна на экране (защита от случайного перемещения пользователем)
+ Менеджер звуковых эффектов: возможность ручного ввода значений
+ Плеер: aero peek - в подсказках к кнопкам навигации теперь отображается информация о следующем / предыдущем треке
+ Плеер: добавлен список недавних документов в контекстное меню кнопки на панели задач
+ Плеер: добавлена горячая клавиша для команды "главное окно на передний план"
+ Плеер: добавлены горячие клавиши команд "предыдущая закладка" / "следующая закладка"
+ Плейлист: добавлены новые режимы перемешивания
+ Плейлист: настройка для фокусировки проигрываемого трека в плейлисте
+ Плейлист: расширен набор опций для импорта одиночного файла при открытии из внешних приложений
+ Плейлист: список недавних запросов для быстрого поиска
+ Плейлист: список шаблонов для быстрой группировки плейлиста
+ Расширенный поиск: добавлен пункт меню "отправить в..."
+ Плагины: SACD - поддержка DSD в WavPack
* Общее: кодек WavPack обновлен до v5.5.0
* Общее: улучшена совместимость с Linux (Wine)
* Плейлист: новые файлы теперь добавляются в конец при синхронизации, если плейлист был отсортирован вручную
* Редактор тегов: добавлен список недавних использованных in-place выражений
* Редактор тегов: in-place выражения теперь включены по умолчанию
* Фонотека: шаблоны с генерированным автоматически именем теперь поддерживают локализацию
* Плагины: подкасты - возможность "создать смарт-плейлист" из дерева группировки


AIMP v5.03.2398 (25.08.2022)
============================
* Общее: значение быстрого поиска теперь сбрасываются при перезапуске приложения
- Исправлено: общее - не везде используется кодировка для ANSI заданная пользователем в настройках программы
- Исправлено: звуковой движок - ASIO - программа падает при попытке инициализации недоступного устройства, если драйвер подавляет обработку исключений
- Исправлено: скин-движок - некорректно работает прилипание к краям экрана при изменении размера окна (регрессия)
- Исправлено: скин-движок - скроллирование вертикального списка плейлистов с помощью жестов инвертировано
- Исправлено: редактор тегов - ошибка при открытии диалога "неизвестные поля тегов", если масштаб интерфейса системы = 100%
- Исправлено: плагины - BASS_ALAC - открытие некоторых M4A с кодеком ALAC приводили к ошибке "unsupported file format"
- Исправлено: плагины - MyClouds - опция "искать обложки в интернете" и "максимальный размер обложки для скачивания" влияет при работе с облаками
- Исправлено: плагины - MyClouds - приложение зависает, если облачный сервер не поддерживает команду content-range
- Исправлено: плагины - SACD - не воспроизводятся некоторые DSDIFF файлы с DST-компрессией


AIMP v5.03.2397 (01.08.2022)
============================
+ Плагины: MyClouds - поддержка WebDAV для Облако@Mail.ru
* Общее: обновлены библиотеки BASS
* Расширенный поиск: добавлен пункт меню "очистить очередь"
* Редактор тегов: улучшена совместимость с проводником Windows
* Плагины: MyClouds - удалены шаблоны для сервисов, что не поддерживают content-range
- Исправлено: общее - не открываются файлы, полный путь которых больше 260 символам, при работе на Windows 10
- Исправлено: аудиоконвертер - колонка "целевое имя файла" не учитывает режим кодирования и разбиение на главы
- Исправлено: редактор тегов - иногда запускается без списка переданных файлов
- Исправлено: плейлисты - XSPF - не загружается ссылка на картинку
- Исправлено: плагины - информационная лента - в 150% перепутаны иконки в тулбаре
- Исправлено: плагины - планировщик - действие "начать запись" не ожидает загрузки нового радиопотока, если в этот момент плеер играет другой
- Исправлено: плагины - планировщик - некорректно работает повтора в течение дня, если диапазон повтора покрывает все 24 часа
- Исправлено: плагины - BASS_AAC - открытие некоторых M4A приводило к переполнению стека и падению программы (регрессия)
- Исправлено: плагины - MyClouds  - приложение зависает, если облачный сервер не поддерживает команду content-range
- Исправлены прочие незначительные ошибки


AIMP v5.03.2394 (30.06.2022)
============================
* Общее: обновлен дизайн окна настроек
* Теги: улучшен алгоритм распознавания кодировки
- Исправлено: скин-движок - мерцает рамка окна при смене его активности, если опция "попиксельная полупрозрачность окон" отключена (регрессия)
- Исправлено: смарт-плейлисты - некорректно сохраняются null-значения полей типа "дата и время"
- Исправлено: плагины - API - провайдеры обложек, что не поддерживают интерфейс "IUnknown", не регистрируются в репозитории


AIMP v5.03.2392 (22.06.2022)
============================
+ Плейлист: добавлена команда "выбрать включенные"
* Общее: обновлены локализации
* Редактор тегов: смена регистра - теперь правило может быть применено только к выбранной части текста
* Скин-движок: улучшена поддержка Aero Snap
- Исправлено: звуковой движок - FLAC - шум вместо звука при проигрывании 8-битных файлов
- Исправлено: менеджер плейлистов - не применяются изменения настроек прообраза (регрессия)


AIMP v5.03.2388 RC (06.06.2022)
===============================
+ Общее: поддержка картинок в формате WebP (нужно положить libwebp.dll в папку с программой)
+ Плейлист: XSPF - поддержка относительных путей в прообразах
* Скин по умолчанию: информация о файле - добавлена возможность скрывать панель с дополнительной информацией
* Скин по умолчанию: информация о файле - добавлено поле "автор текста"
* Скин-движок: добавлено выравнивание размера окна при его изменении по границам других окон
* Скин-движок: улучшена совместимость со старыми скинами
* Плагины: tak_deco_lib обновлен до v2.3.3 (добавлена 64-битная версия)
- Исправлены прочие незначительные ошибки


AIMP v5.03.2387 RC (31.05.2022)
===============================
+ Плейлист: XSPF стал форматом плейлистов по умолчанию
+ Плейлист: экспорт в XSPF
* Плейлист: в контекстное меню вкладки плейлиста добавлена команда "воспроизвести", упрощающая возобновление прослушивания
* Редактор тегов: онлайн поиск - discogs - поддержка полей "номер диска", "часть компиляции", "стили" и "комментарий"
- Исправлено: инсталлятор - не показывается текст лицензии при работе по RDP
- Исправлено: плейлисты - M3U8 - заголовок записи игнорируется, если запись не имеет временной метки
- Исправлено: плагины - планировщик - плеер возвращается на один трек назад, после выполнения команды "проиграть файл", что была запущена по событию завершения трека
- Исправлены прочие незначительные ошибки


AIMP v5.03.2383 Beta (26.04.2022)
=================================
+ Интерфейс: возможность подстраивания цветовой схемы под цвет темы Windows
* Теги: улучшен алгоритм распознавания кодировки
- Исправлено: плагины - MyClouds - в облаках Mail.ru не работает разбивка по CUE
- Исправлены ошибки в 64-разрядном коде


AIMP v5.03.2381 Beta (12.04.2022)
=================================
+ Общее: нативная поддержка x64
+ Плеер: возможность менять шаг скорости и темпа
+ Плеер: добавлен макрос %chapter для проигрываемого файла
+ Аудиоконвертер: APE - поддержка глубины дискретизации в 32-бит
+ Аудиоконвертер: APE - поддержка многоканальных аудиофайлов
+ Редактор тегов: replaygain - определять альбом по папкам
+ Фонотека: локальные файлы - два новых шаблона: "лучшие треки" и "новые файлы"
+ Плагины: BASS_APE - добавлена поддержка 32-битных аудиофайлов
* Плагины: InputFFmpeg - библиотеки обновлены до версии v4.3.3
* Установщик: 7z SFX модуль больше не используется, т.к. он не нравится некоторым антивирусам


AIMP v5.02.2370 (12.04.2022)
============================
* Скин-движок: улучшена совместимость со старыми скинами
- Исправлено: общее - последний выбранный путь не сохраняется у некоторых файловых диалогов
- Исправлено: менеджер плейлистов - некорректно работает сортировка в менеджере плейлистов
- Исправлено: плагины - discogs - нельзя авторизоваться в странах, где смещение от UTC больше 3 часов
- Исправлены прочие незначительные ошибки


AIMP v5.02.2369 (26.03.2022)
============================
* Общее: обновлены локализации
* Общее: обновлены сторонние библиотеки
* Общее: переезд на новую версию библиотеки VCL
- Исправлено: менеджер очереди - двойной клик по записи не активирует вкладку плейлиста
- Исправлено: менеджер плейлистов - некорректно работает сортировка в менеджере плейлистов
- Исправлено: плагины - GUI API - некорректно работает масштабирование маргинов и шрифтов


AIMP v5.02.2363 Beta (10.02.2022)
=================================
* Плагины: расширено API
- Исправлено: звуковой движок - ASIO - попытка инициализировать недоступное устройство приводит к вылету программы
- Исправлено: редактор тегов - возникает ошибка "duplicates not allowed" при попытке поменять местами группы в таблице
- Исправлено: редактор тегов - MP4 - возникает ошибка при попытке сохранить теги в файл, где нет UDTA-атома
- Исправлено: редактор тегов - MP4 - пересохранение тегов приводит к повреждению файла, если исходная информация о главах была записана в UTF8-кодировке
- Исправлено: редактор тегов - WMA - пересохранение тегов приводит к дублированию тега WM/GenreID


AIMP v5.02.2361 Beta (01.02.2022)
=================================
+ Общее: поиск по настройкам программы
* Аудиоконвертер: кэширование операция ввода/вывода
* Плеер: настройка "повтор трека" теперь имеет приоритет перед настройкой "автоматически переходить на следующий трек"
* Плеер: переработана система кэширования обложек альбомов
* Плагины: MyClouds - поддержка изменений API сервиса DropBox
* Плагины: планировщик - команда "начать воспроизведение" - добавлена опция "начать плейлиста с начала"
- Исправлено: общее - ошибка установка пакета с плагином, если в архиве есть файл, чье имя в неправильной кодировке
- Исправлено: скин-движок - незначительные ошибки и замечания
- Исправлено: скин по умолчанию - не работает кнопка "очистить поисковую строку" в дереве группировки фонотеки
- Исправлено: плагины - информационная лента - не показывается по горячей клавише, если все опции показа выключены
- Исправлено: плагины - планировщик - дата и время повтора события иногда рассчитывается некорректно, если событие сработало в момент пробуждения ПК
- Исправлено: плагины - планировщик - таймер обратного отсчета показывает неверные данные, если осталось более суток


AIMP v5.01.2358 (28.12.2021)
============================
+ Общее: Windows Vista больше не поддерживается
+ Общее: отображение закладок и глав на полосе прогресса
+ Менеджер очереди: двойной клик на треке фокусирует его в плейлисте
* Общее: переезд на новую версию библиотеки VCL
* Редактор тегов: состояние узла "быстрый доступ" сохраняется между рабочими сессиями программы
* Скин-движок: расширены потенциальные возможности
* Плагины: last.fm - уменьшено количество запросов к сервису
* Плагины: планировщик - команда "вернуться на предыдущий плейлист" теперь восстанавливает и позицию воспроизведения тоже
* Плагины: Update Checker - возможность обновляться на ночные сборки (доступно в канале "версии в стадии разработки")
- Исправлено: аудиоконвертер - отсутвует разбиение по главам (регрессия)
- Исправлено: планировщик - временные метки сохраняются в конфигурационный файл в формате, зависящем от локали
- Исправлено: плеер - не отображаются обложки для радио, если не указан альбом (регрессия)
- Исправлено: редактор тегов - ID3v2 - некорректно сохраняются главы с пустым заголовком
- Исправлено: редактор тегов - FLAC - вместо поля Comment используется Description
- Исправлено: редактор тегов - онлайн поиск - discogs - вместо исполнителя трека подставляется исполнитель альбома
- Исправлено: скин-движок - ошибка в выражении прерывает загрузку скина
- Исправлено: скин-движок - незначительные ошибки и замечания
- Исправлено: скин по умолчанию - не отображается информация с wiki, когда плеер стоит на паузе


AIMP v5.00.2344 (09.11.2021)
============================
* Общее: улучшена производительность
* Закладки: список закладок для проигрываемого трека добавлен в контекстное меню полосы навигации
* Скин по умолчанию: возможность отключать окрашивание рамок окон в цвет акцента
* Скин-движок: расширены потенциальные возможности
* Скин-движок: улучшена производительность
- Исправлено: плагины - планировщик - нельзя выбрать дату в испанской локали
- Исправлено: плагины - планировщик - не работает настройка регулирования громкости в упрощенном режиме (регрессия)
- Исправлено: плагины - планировщик - опция "вывести ПК из спящего режима" не работает в некоторых случаях (регрессия)
- Исправлено: плагины - планировщик - опция "дождаться завершения проигрываемого трека" сдвигает время выполнения задачи при ее повторе
- Исправлено: плагины - MyClouds - нельзя задать адрес пользовательского WebDAV сервера (регрессия)
- Исправлено: смарт-плейлисты - настройки сортировки не импортируются из плейлистов, созданных в AIMP4
- Исправлены прочие незначительные ошибки


AIMP v5.00.2338 (21.10.2021)
============================
* Звуковой движок: возможность переназначения каналов для схем 5.0 и 7.0
* Редактор тегов: редактор глав - пробел теперь используется для паузы / продолжения воспроизведения
* Плагины: last.fm - уменьшено количество запросов к сервису
- Исправлено: плагины - информационная лента - регулятор прозрачность заблокирован от изменения (регрессия)
- Исправлены прочие незначительные ошибки


AIMP v5.00.2335 (15.10.2021)
============================
* Общее: обновлены локализации
* Общее: улучшена производительность
* Плейлист: возможность указать уровень вложенности имени в качестве аргумента для макросов %FileDir / %FileParentDir
- Исправлено: плейлист - файлы из MusicBee нельзя импортировать в плеер посредством drag-n-drop
- Исправлено: плагины - InputFFmpeg - файлы формата Web Media с расширением .weba игнорируются плагином
- Исправлены прочие незначительные ошибки


AIMP v5.00.2331 RC 2 (30.09.2021)
=================================
+ Общее: поддержка Windows 11
* Скин-движок: расширены потенциальные возможности
- Исправлено: звуковой движок - ASIO - вызов диалога с настройками приводит к зависанию программы, если устройство недоступно
- Исправлены прочие незначительные ошибки


AIMP v5.00.2329 RC (21.09.2021)
===============================
- Исправлено: редактор тегов - не запускается на Windows 7 (регрессия)
- Исправлено: регулятор громкости - некорректно отображается в ночном режиме
- Исправлены прочие незначительные ошибки


AIMP v5.00.2327 Beta 5 (16.09.2021)
===================================
+ Редактор тегов: поддержка папок из "быстрого доступа" Проводника Windows (Windows 10)
* Общее: обновлены локализации
* Общее: обновлены сторонние библиотеки
* Скин-движок: расширены потенциальные возможности
- Исправлены прочие незначительные ошибки


AIMP v5.00.2324 Beta 4 (31.08.2021)
===================================
* Общее: обновлены локализации
* Звуковой движок: эквалайзер расширен до 20 полос - добавлены полосы 43 Гц и 22 кГц
* Плагины: подкасты - отображение обложек альбомов в фонотеке
- Исправлено: инсталятор - невозможно выбрать сетевую папку в качестве целевой
- Исправлено: редактор тегов - шаблон, начинающийся с [, не может быть сохранен в конфигурационный файл
- Исправлено: плагины - MyClouds - не проигрываются файлы с Облако@Mail.ru (регрессия)
- Исправлены прочие незначительные ошибки


AIMP v5.00.2320 Beta 3 (12.08.2021)
===================================
* Общее: поддержка горизонтального скроллирования с тачпада
* Скин-движок: поддержка opentype шрифтов
* Скин-движок: улучшена совместимость со старыми скинами
* Плагины: BASS_MIDI - теперь возникает ошибка открытия файла, если ни один звуковой банк не подключен
* Плагины: подкасты - добавлена колонка "формат аудиофайла"
- Исправлено: аудиоконвертер - прогресс одиночных треков зависает на 99% при конверсии группы файлов в один
- Исправлено: плейлист - режим "вразнобой" не применяется к новому плейлисту, если опция "каждый плейлист имеет свой режим воспроизведения" выключена
- Исправлено: плагины - подкасты - база данных не переносится из AIMP4, если поле URLAudio имеет дубликаты
- Исправлены прочие незначительные ошибки


AIMP v5.00.2317 Beta 2 (13.07.2021)
===================================
* Скин по умолчанию: возможность скрывать области фонотеки и плейлиста
* Скин-движок: расширены потенциальные возможности
- Исправлено: общее - инвертированное скроллирование список во время операций drag-n-drop
- Исправлены прочие незначительные ошибки


AIMP v5.00.2315 Beta (29.06.2021)
=================================
* Общее: обновлены локализации
* Общее: обновлены библиотеки BASS
* Плеер: добавлена команда "выход" для иконки в трее
- Исправлено: плеер - игнорируются настройки импорта файлов из внешних приложений при бросании файлов на главное окно
- Исправлено: редактор тегов - FLAC - не сохраняются данные полей AlbumArtist / DiscTotal / TrackTotal (регрессия)
- Исправлено: скин-движок - теряется прозрачность при импорте скинов в форматах ACS3 и ACS2 (регрессия)
- Исправлено: плагины - визуализации - не работают визуализации на основе информации о пиках (регрессия)
- Исправлено: плагины - MyClouds - токен доступа не обновляется автоматически при проигрывании длинного списка
- Исправлено: плагины - SACD - не читается информация о replaygain
- Исправлены прочие незначительные ошибки


AIMP v5.00.2313 Beta (08.06.2021)
=================================
+ Общее: новый дизайн
+ Общее: улучшена производительность
+ Общее: поиск обложек альбомов - добавлена опция "искать обложку в тегах файла"
+ Общее: поиск текстов песен - добавлена опция "искать текст песни в тегах файла"
+ Закладки: перенесены в фонотеку
+ Закладки: возможность фильтровать / группировать закладки по имени, дате добавления, источнику, длительности, размеру файла
+ Закладки: возможность запустить проигрывание, проигнорировав временную метку
+ Закладки: поддержка пользовательских меток и комментариев
+ Закладки: поддержка редактирования нескольких закладок одновременно
+ Закладки: команда "перейти к источнику"
+ Плейлист: добавлена возможность автоматической сортировки плейлиста при добавлении новых файлов / изменении их мета-данных
+ Плейлист: добавлена опция "в каждом плейлисте свой режим воспроизведения (прямой / случайный)"
+ Плейлист: добавлена функция поиска перемещенных файлов
+ Смарт-плейлисты: общее - дополнительные условия при работе с датами
+ Смарт-плейлисты: фонотека - сортировка по нескольким полям сразу
+ Скин-движок: расширены потенциальные возможности
+ Скин-движок: улучшена производительность
+ Аудиоконвертер: добавлен звуковой сигнал по завершению конвертации (опционально)
+ Аудиоконвертер: добавлена колонка "целевое имя файла"
+ Аудиоконвертер: добавлена команда "перейти к файлу"
+ Аудиоконвертер: добавлена поддержка кодека WMA Pro
+ Аудиоконвертер: возможность нормализации громкости в процессе конвертации
+ Редактор тегов: новая утилита - редактор глав
+ Редактор тегов: добавлена возможность просмотреть содержимое неподдерживаемых полей тегов / удалить их
+ Редактор тегов: интерфейс - автоматическое растягивание полей под доступное для них место
+ Фонотека: команда "найти в фонотеке" теперь работает и с представленными плагинами источниками
+ Плагины: планировщик - поддержка неограниченного количества задач
+ Плагины: планировщик - повтор задачи по дням / неделям / месяцам / годам
+ Плагины: планировщик - повтор задачи в течение дня
+ Плагины: планировщик - новая команда: перейти на следующий трек
+ Плагины: планировщик - новая команда: начать / остановить запись радио
+ Плагины: планировщик - новая команда: поставить на паузу
+ Плагины: планировщик - новая команда: продолжить воспроизведение
+ Плагины: планировщик - новая команда: вернуться к предыдущему состоянию после воспроизведения указанной записи / плейлиста
+ Плагины: планировщик - возможность дослушать текущий трек до конца
+ Плагины: last.fm - заменен плагином Scrobbler
+ Плагины: MyClouds - поддержка изменений API сервиса pClouds.com
+ Плагины: scrobbler - отображение информации об исполнителе
+ Плагины: scrobbler - интеграция в скин по умолчанию
+ Плагины: scrobbler - поддержка сервисов libre.fm и listenbrainz.org


AIMP v4.70.2254 (12.08.2021)
============================
* Общее: поддержка горизонтального скроллирования с тачпада
- Исправлено: общее - инвертированное скроллирование список во время операций drag-n-drop
- Исправлено: плеер - игнорируются настройки импорта файлов из внешних приложений при бросании файлов на главное окно
- Исправлено: плагины - MyClouds - токен доступа не обновляется автоматически при проигрывании длинного списка
- Исправлено: плагины - SACD - не читается информация о replaygain
- Исправлено: инсталятор - невозможно выбрать сетевую папку в качестве целевой


AIMP v4.70.2251 (23.05.2021)
============================
- Исправлено: запись радио - не работает разбиение на треки для HLS-потоков, если запись ведется без перекодирования
- Исправлено: плагины - WebLyrics - макрос \n не обрабатывается


AIMP v4.70.2248 (04.04.2021)
============================
+ Звуковой движок: поддержка формата TrueHD в составе контейнера MKA
+ Редактор тегов: возможность импортировать текст песни из SRT в тег файла
+ Плейлист: добавлены макросы %inc и %dec
* Плейлист: макросы %StrLeft и %StrRight теперь поддерживают строки в качестве второго аргумента
* Фонотека: улучшен алгоритм поиска перемещенных файлов
* Фонотека: улучшена производительность
- Исправлено: звуковой движок - не проигрываются WAV-файлы с 8-ми битными сэмплами
- Исправлено: плейлист - возникает ошибка "вы не можете открыть это расположение" при открытии диалога сохранения, если имя плейлиста имеет двоеточие
- Исправлено: фонотека - возникает ошибка при физическом удалении проигрываемого файла
- Исправлено: фонотека - синхронизация при запуске программы пропускает аудио файлы, поддержка которых реализуется за счет плагинов
- Исправлено: фонотека - опция "синхронизировать оценку с файлом" не влияет на импорт файлов
- Исправлено: фонотека - не выравниваются записи по сетке при прокрутке списка колесиком мыши


AIMP v4.70.2242 (01.02.2021)
============================
* Фонотека: улучшена производительность
* Фонотека: улучшена поддержка сборников
- Исправлено: общее - регулятор громкости AIMP некорректно работает с мультимониторной конфигурацией экрана
- Исправлено: аудиоконвертер - при использовании макроса %FileName для переименования у целевых файлов появляется двойное расширение
- Исправлено: редактор тегов - при использовании макроса %FileName для переименования у целевых файлов появляется двойное расширение
- Исправлено: редактор тегов - не читает теги у некоторых файлов в формате AIFF


AIMP v4.70.2239 (22.12.2020)
============================
* Аудиоконвертер: OGG Vorbis - расширен список поддерживаемых частот дискретизации
- Исправлено: диалог выбора папок - некорректно восстанавливается положение диалога на экране
- Исправлено: теги - Vorbis Comments - значения поля исполнитель альбома не пишется в OPUS (регрессия)
- Исправлено: плеер - не отображаются теги из некоторых HLS-потоков
- Исправлено: плейлист - ошибка при закрытии программы, если она установлена на носителе без возможности записи
- Исправлено: плагины - MyClouds - не авторизируется на сервисе Mail.ru, если пароль содержит спец.символы


AIMP v4.70.2236 (22.11.2020)
============================
* Общее: обновлены локализации
* Общее: уменьшено количество обращений к файлам при запуске плеера
* Аудиоконвертер: преднастройки для AAC+ на базе консольных кодировщиков
* Теги: Vorbis Comments - исполнитель альбома теперь записывается в поле "AlbumArtist" вместо "Album Artist".
* Плагины: MyClouds - поддержка нового механизма авторизации в Google.Drive
* Плагины: WebLyrics - обновлен список провайдеров
- Исправлено: визуализации - графическое представление отстает от звука (регрессия)
- Исправлено: менеджер звуковых эффектов - нельзя выставить баланс в ноль с помощью клавиатуры
- Исправлено: фонотека - "поиска перемещенных файлов" при автоматической синхронизации может приводить к подвисанию интерфейса программы.


AIMP v4.70.2233 (08.10.2020)
============================
* Общее: обновлены локализации
* Плагины: WebLyrics - обновлен список провайдеров
- Исправлено: общее - несовместимость с приложением Sonic Studio
- Исправлено: скин-движок - незначительные ошибки и замечания


AIMP v4.70.2231 (30.09.2020)
============================
* Общее: обновлены локализации
* Общее: теперь при запуске трека обновляются метаданные и в плейлисте, и в фонотеке
* Плейлист: улучшен алгоритм генерации относительных путей
* Плагины: BASS_MIDI - небольшие улучшения в удобстве использования диалога настройки
* Плагины: CDDA - вместо сервиса FreeDB теперь используется MusicBrainz
- Исправлено: интернет-радио - не проигрываются радиостанции с сервиса 101.ru
- Исправлено: теги - MP4 - некорректно кодируется рейтинг композиции
- Исправлено: теги - Vorbis Comments - иногда возникает ошибка "файл занят другим приложением" при сохранении
- Исправлены незначительные ошибки и замечания


AIMP v4.70.2227 (01.09.2020)
============================
* Фонотека: улучшена производительность
* Плагины: MyClouds - поддержка изменений API облачных сервисов
* Плагины: WebLyrics - поддержка URL-кодировки в правилах для парсера
- Исправлено: звуковой движок - плеер проигрывает один трек с Audio CD и останавливается, если включена опция "пред.загрузка следующего трека" и треки были добавлены в плейлист как файлы
- Исправлено: звуковой движок - replaygain - не очищается кэш перед анализом нового файла, что иногда приводит к менее точным результатам расчетов
- Исправлено: теги - MP4 - вместо битрейта аудиопотока показывается общий битрейт
- Исправлено: теги - Vorbis Comments - не считывается рейтинг, записанный старыми версиями плеера (регрессия)
- Исправлено: фонотека - не работает выставление оценки альбому (регрессия)
- Исправлено: плагины - подкасты - не отображается длительность у некоторых подкастов
- Исправлено: плагины - информационная лента - зависает при запуске на Windows XP
- Исправлены незначительные ошибки и замечания


AIMP v4.70.2224 (22.07.2020)
============================
* Общее: обновлены локализации
* Общее: диалог выбора папок теперь запоминает свои размеры между рабочими сессиями
* Плейлист: добавлен макрос %RemoveFileExt
- Исправлено: звуковой движок - replaygain - предусиление работает некорректно
- Исправлено: обложки альбомов - иногда перестают показываться обложки, назначенные для радиостанций вручную, если включено кэширование
- Исправлено: плейлист - drag-n-drop операция перемещает файлы, а не копирует (регрессия)
- Исправлено: редактор тегов - не работает онлайн поиск в MusicBrainz / Discogs
- Исправлено: скин-движок - многострочный RTL-текст показывается в обратном порядке (регрессия)
- Исправлено: скин-движок - регулятор громкости, что показывается в области уведомлений, масштабируется некорректно
- Исправлено: скин-движок - незначительные ошибки и замечания
- Исправлены незначительные ошибки и замечания


AIMP v4.70.2221 (07.07.2020)
============================
- Исправлено: плагины - информационная лента - опция "показывать всегда" перестает работать после переоткрытия диалога настроек
- Исправлено: плагины - MyClouds - не проигрываются файлы, чье имя содержит иероглифы
- Исправлены незначительные ошибки и замечания


AIMP v4.70.2220 RC 3 (16.06.2020)
=================================
* Общее: сообщение WM_APPCOMMAND теперь поддерживается и второстепенными окнами приложения
* Редактор тегов: возможность пакетно удалить теги из WAV-файлов
* Редактор тегов: улучшена совместимость с проводником Windows
- Исправлено: плеер - не отображаются теги из некоторых HLS-потоков
- Исправлено: плеер - отображается некорректная информация об аудиопотоке для файлов в формате WavPack4 (регрессия)
- Исправлено: плеер - при записи интернет-радио разбиение по трекам происходит с задержкой, если запись ведется без транскодирования
- Исправлено: плагины - проверка обновлений - сбрасывается канал обновлений при смене языка программы
- Исправлено: плагины - InputFFmpeg - не читает некоторые файлы в формате OMA
- Исправлено: фонотека - количество прослушиваний остается всегда на нуле, если индивидуально для файла сбросить его статистику


AIMP v4.70.2217 RC 2 (17.05.2020)
=================================
* Общее: обновлены локализации
* Редактор тегов: добавлен пункт "удалить" в контекстное меню полей ввода
* Теги: теперь программа игнорирует пробелы вокруг разделителя множественных значений
* Фонотека: добавлена колонка "каталог"
- Исправлено: поиск обложек альбомов - нельзя использовать абсолютные пути в качестве шаблонов
- Исправлено: скин-движок - TASEPanel - нестандартные режимы смешивания работают некорректно, если применена маска
- Исправлено: скин-движок - TASETextDisplayEx - не показывается однострочный текст, если высота элемента меньше, чем нужно (регрессия)
- Исправлено: скин-движок - прикрепленное к краю экрана окно не переносится на другой монитор при отключении текущего
- Исправлены незначительные ошибки и замечания


AIMP v4.70.2215 RC (02.05.2020)
===============================
+ Плагины: визуализация AlbumArt - возможность менять режим отображения кликом по дисплею визуализации
* Общее: обновлены локализации
- Исправлено: скин-движок - TASETextDisplayEx - тень текста обрезается, если alignment отличен от taLeftJustify (регрессия)
- Исправлено: теги - MP4 - игнорируется поле с оценкой
- Исправлены незначительные ошибки и замечания


AIMP v4.70.2213 Beta 3 (16.04.2020)
===================================
* Общее: обновлены локализации
* Плагины: MyClouds - поддержка изменений API сервиса Облако@Mail.Ru
- Исправлено: аудиоконвертер - кнопки "настройки" и "старт" не видны при запуске программы, если масштаб интерфейса задан вручную
- Исправлено: плейлист - не разворачивается группа с проигрываемым треком, если включена опция "автоматически сворачивать неиспользуемые группы"
- Исправлено: плеер - не открываются CUE-файлы, содержащие поле "COMPILATION"
- Исправлено: скин-движок - встроенные окна могут масштабироваться дважды при ручном переключении масштаба
- Исправлено: скин-движок - TASETextDisplayEx - программа падает при попытке задать AutoSize, если alignment отличен от taLeftJustify (регрессия)


AIMP v4.70.2211 Beta 2 (04.04.2020)
===================================
- Исправлены найденные ошибки


AIMP v4.70.2210 Beta 1 (31.03.2020)
===================================
+ Звуковой движок: запись радио - добавлена опция "не записывать трек, если файл с таким именем уже есть"
+ Звуковой движок: максимальная скорость воспроизведения увеличена до 3х
+ Звуковой движок: replaygain - значение по умолчанию теперь используется в качестве опорного при анализе "на лету"
+ Редактор тегов: автозаполнение тегов - поддержка макросов %albumartist% и %totaltracks%
+ Плеер: возможность назначить горячие клавиши для управления скоростью и темпом воспроизведения
+ Плейлист: возможность выбора треков рамкой
+ Плейлист: добавлена опция "автоматически сворачивать неиспользуемые группы"
+ Плейлист: клавиша пробел теперь включает / выключает автовоспроизведение у выбранных файлов
+ Плейлист: настройки содержимого трек-листа теперь вызываются из диалога "сохранить как"
+ Плейлист: навигация по плейлисту по мере набора текста
+ Плагины: информационная лента - переработан диалог настройки
+ Плагины: информационная лента - добавлена опция "показать перед окончанием трека"
+ Плагины: информационная лента - настройки прозрачности теперь применимы и к "карточке"
+ Плагины: BASS_MIDI - добавлена возможность подключать несколько звуковых банков одновременно
+ Плагины: MyClouds - поддержка категории "доступные мне" для OneDrive и Google.Drive
+ Плагины: Update Checker - возможность обновляться до тестовых версий
* Фонотека: новая фоновая операция больше не прерывает активную операцию


AIMP v4.60.2180 (25.03.2020)
============================
- Исправлено: плеер - дублируются значения настроек вывода звука в выпадающих списках
- Исправлено: теги - ID3v2 - некорректно распознает ANSI-кодировку слов с буквами из разных языков


AIMP v4.60.2177 (24.02.2020)
============================
* Общее: обновлены локализации
- Исправлено: аудиоконвертер - OGG Vorbis - недоступны дробные значения качества (регрессия)
- Исправлено: общее - ошибка с интерпретацией MIME-типа "image/jpg" (регрессия)
- Исправлено: обложки альбомов - не работает кэширование (регрессия)
- Исправлено: обложки альбомов - не показываются обложки в формате GIF в диалоге "информация о файле" (регрессия)
- Исправлены незначительные ошибки и замечания


AIMP v4.60.2167 (30.12.2019)
============================
* Общее: обновлены локализации
* Плейлист: добавлены макросы %FileCreatedDateAndTime и %FileModifiedDateAndTime
- Исправлено: плейлист - не обновляется текстовое представление оценки трека при ее изменении
- Исправлено: плейлист - чрезмерное потребление ОЗУ при импорте аудиофайлов, содержащих встроенные в теги обложки альбомов
- Исправлено: скин-движок - незначительные ошибки
- Исправлено: редактор тегов - не отображаются обложки альбомов в формате GIF
- Исправлено: редактор тегов - в проводнике Windows перестают отображаться теги файлов в формате FLAC после интеграции туда обложки альбома
- Исправлено: теги - MP3 - некорректно определяются параметры аудиопотока у некоторых файлов
- Исправлено: плагины - подкасты - не отображаются даты релизов у некоторых подкастов


AIMP v4.60.2161 (28.11.2019)
============================
* Общее: обновлены локализации
* Плагины: расширено API
* Плеер: добавлен ключ командной строки /VOLUME
* Расширенный поиск: выбранные для поиска плейлисты теперь запоминаются и между рабочими сессиями
* Расширенный поиск: обновлен внешний вид диалога
- Исправлено: общее - нельзя удалить файл физически, если он идет следующим после проигрываемого и включена опция"предзагрузка следующего трека"
- Исправлено: скин-движок - некорректно отображается окно фонотеки в некоторых скинах, если включен ночной режим
- Исправлено: редактор тегов - ID3v2 - не учитывается поле TMOO
- Исправлено: плагины - MyClouds - не проигрываются файлы, чей путь превышает 260 символов
- Исправлены незначительные ошибки и замечания


AIMP v4.60.2156 (21.10.2019)
============================
+ Смарт-плейлисты: добавлена возможность сортировать записи по шаблону даже при включенной синхронизации с источником
+ Интерфейс: больше не нужно удерживать Ctrl для переключения вкладок плейлистов колесиком мыши
- Исправлено: общее - ошибка Access Violation при открытии диалога с настройками (регрессия)
- Исправлено: скин-движок - незначительные ошибки
- Исправлены незначительные ошибки и замечания


AIMP v4.60.2153 (13.10.2019)
============================
+ Плеер: добавлена опция "восстанавливать позицию воспроизведения при запуске программы"
* Общее: обновлены локализации
* Звуковой движок: replaygain - повышено качество анализа
- Исправлено: общее - ошибка на закрытии программы, если есть активная задача поиска обложки трека / текста песни
- Исправлено: звуковой движок - треск при изменении громкости трека, если включена тонкомпенсация громкости
- Исправлено: звуковой движок - прерывается проигрывание трека с CD ближе к концу, если включена опция "предзагрузка следующего трека"
- Исправлено: плеер - не проигрывается контейнер MPEG-DASH на Windows 7 (регрессия)
- Исправлено: планировщик - некорректно обрабатывается ситуация, когда в момент проигрывания последнего трека из очереди/плейлиста, в очередь/плейлист добавляются новые треки
- Исправлено: скин-движок - ошибка "duplicates not allowed" после переименования объекта из скрипта
- Исправлено: скин-движок - некорректно работает режим наложения GrayScale
- Исправлено: скин-движок - незначительные ошибки
- Исправлено: теги - ID3v2 - программа некорректно обрабатывает #0-разделитель при чтении ID3v2.3
- Исправлено: плагины - GUI API - не работают некоторые свойства объектов (регрессия)


AIMP v4.60.2146 (28.08.2019)
============================
* Общее: обновлены локализации
* Плагины: визуализация AlbumArt - теперь для рендеринга используется обложка альбома в оригинальном разрешении
- Исправлено: аудиоконвертер - ошибка при кодировании с использованием кодека Monkey's Audio
- Исправлено: смарт-плейлисты - не обновляется содержимое плейлистов, использующих оценку в качестве критерия отбора, при изменении оценки у группы файлов через плейлист
- Исправлено: плагины - MyClouds - не показываются подпапки для облачного диска OneDrive


AIMP v4.60.2142 RC 2 (08.08.2019)
=================================
* Обложки альбомов: менеджер кэша теперь учитывает номер диска
* Звуковой движок: добавлена опция "предварительная загрузка следующего трека"
- Исправлено: общее - ошибки с отображением в "ночном режиме"
- Исправлено: скин-движок - дублировались пункты "плейлист" и "фонотека" в меню окна при использовании некоторых скинов
- Исправлено: редактор тегов - в некоторые поля тегов нельзя записать значения размером более 260 символов
- Исправлено: редактор тегов - неквадратные обложки альбомов отображаются обрезанными


AIMP v4.60.2137 RC 1 (18.07.2019)
=================================
* Общее: обновлены иконки во второстепенных окнах
* Общее: возможность включать/выключать ночной режим вручную
* Скин-движок: возможность задать горячую клавишу для показа/скрытия второстепенных окон
* Плейлист: поддержка расширений IPTV для M3U/M3U8 плейлистов
* Плагины: InputFFmpeg был заменен плагином BASSWebM
- Исправлено: общее - ошибки с отображением в "ночном режиме"
- Исправлено: интернет-радио - некорректно обновляются мета-данные треков при проигрывании HTTP-Live потоков
- Исправлено: плагины - last.fm - не локализуются некоторые ссылки в диалоге с информацией о файле


AIMP v4.60.2133 Beta 6 (24.06.2019)
===================================
+ Общее: поддержка ночного режима, введенного Windows 10
* Общее: библиотека иконок для типов файлов - отдельный набор иконок для форматов M3U и CUE
* Плагины: визуализация AlbumArt - алгоритм заливки изменена на "TV like" - обложка больше не обрезается
- Исправлено: скин-движок - TASETextDisplay - неправильно центрируется текст по вертикали в некоторых случаях
- Исправлено: скин-движок - размеры скрытых фоновых элементов иногда восстанавливаются при загрузке скина некорректно
- Исправлено: тексты песен - неподдерживаемые теги расширенной версии формата LRC больше не показываются
- Исправлено: теги - MP3 - некорректно определяются параметры потока с переменном битрейтом (регрессия)
- Исправлены незначительные ошибки и замечания


AIMP v4.60.2129 Beta 5 (18.05.2019)
===================================
* Общее: обновлены локализации
* Общее: сохранение настроек и плейлистов теперь безопасно к неожиданному завершению работы ОС
* Плеер: интернет-радио - поддержка метаданных в формате JSON
* Фонотека: создание смарт-плейлиста из контекстного меню дерева группировки теперь автоматически заполняет шаблон сортировки на основе сортировки фонотеки
- Исправлено: звуковые эффекты - ошибка при показе подсказки для регулятора громкости
- Исправлено: редактор тегов - Vorbis Comments - теряется информация о версии библиотеки, создавшей файл
- Исправлено: скин-движок - цвет шрифта иногда меняется во время прокрутки содержимого фонотеки
- Исправлено: скин-движок - TASELayoutItem - свойство AutoHide не работает для элементов с Align = alClient
- Исправлено: скин-движок - TASELayoutScrollView всегда реагирует на колесико мыши даже, если нечего скроллировать
- Исправлено: скин-движок - TASEScrollBarXXX - игнорируется значение свойства AllowFading
- Исправлено: скин-движок - TASETextDisplayEx - некорректно работает AutoSize, если alignment отличен от taLeftJustify
- Исправлено: скин-движок - TASETextDisplayEx - некорректно работает HitTestByText, если AlignmentVertical отличен от taAlignTop
- Исправлено: фонотека - неверный порядок иероглифов в алфавитном указателе
- Исправлено: фонотека - проблемы с восстановлением параметров отображения при переключении между источниками данных
- Исправлено: плагины - last.fm - плагин иногда вызывал зависание программы при попытке показать информацию о проигрываемой композиции
- Исправлены незначительные ошибки и замечания


AIMP v4.60.2124 Beta 4 (03.04.2019)
===================================
* Скин-движок: TASESliderVertical / TASESliderHorizontal - поддержка пользовательских локализаций для TextLabels
* Скин-движок: TASETextDisplay / TASETextDisplayEx / TASEButton - добавлены настройки выравнивания текста и возможность авто-подгона размеров элемента под контент
* Плагины: визуализацию AlbumArt теперь можно отключить
* Плагины: расширено API для аудиодекодеров
- Исправлено: общее - макросы %FileCreatedDate / %FileCreatedTime / %FileModifiedDate / %FileModifiedTime не работают для виртуальных файлов
- Исправлено: тексты песен - не работает макрос %FileName% (регрессия)
- Исправлено: плагины - FFmpeg вызывает сбой в программе при старте проигрывания (регрессия)
- Исправлено: плагины - LastFm - возникает ошибка при старте трека, если открыт диалог с информацией о файле с списком похожих исполнителей
- Исправлены незначительные ошибки и замечания


AIMP v4.60.2120 Beta 3 (11.03.2019)
===================================
* Смарт-плейлисты: папки - теперь содержимое сортируется по имени файла, если шаблон сортировки не указан
* Фонотека: ускорено отображение данных в режимах  "карточки" и "миниатюры"
- Исправлено: скин-движок - макрос %time() не принимает локализируемые аргументы
- Исправлено: скин-движок - поле ввода - положение текста рассчитывается некорректно, если у включено отображение тени
- Исправлено: скин-движок - событие TASEPanel.OnMouseUp не работает
- Исправлено: плагины - FFmpeg - значение album gain инициализируется некорректно для файлов в формате OPUS, если track gain не указан в заголовке
- Исправлено: плагины - FFmpeg - подключение плагина приводит к тому, что плеер перестает видеть некоторые поля тегов у поддерживаемых форматов файлов
- Исправлены незначительные ошибки и замечания


AIMP v4.60.2115 Beta 2 (03.02.2019)
===================================
* Общее: обновлены локализации
* Общее: обновлены библиотеки BASS
* Звуковой движок: добавлена возможность отключить интерполяцию сэмлов для трекерной музыки
* Редактор тегов: добавлены кнопки для копирования / вставки текста песни в/из буфер обмена
* Редактор тегов: ID3v2.4 - поддержка множественных значений полей тегов
* Скин-движок: скрипты - ускорен биндинг объектов по их имени
* Скин-движок: TASETextDisplayEx - ускорена работа при включенном WordWrap
* Плагины: MyClouds - поддержка изменений API сервиса OneDrive
- Исправлено: смарт-плейлисты - фильтр по расширению не работает для образов, разбитых по CUE
- Исправлено: редактор тегов - автозаполнение с помощью сервисов Discord и MusicBrainz заносит данные в поле ISRC вместо поля "каталог"
- Исправлено: редактор тегов - расчет BPM - при записи данных в тег используется другой алгоритм округления данных нежели в диалоге предпросмотра
- Исправлено: редактор тегов - удаление обложки для радиостанции в редакторе не удаляет ее из локальной базы данных
- Исправлено: фонотека - не восстанавливается позиция в списке после перезапуска программы в режиме отображения "карточки" и "миниатюры"
- Исправлено: плагины - last.fm - показ окна с информацией о треке приводит к зависанию программы, если описание к треку большое по объему
- Исправлены незначительные ошибки и замечания


AIMP v4.60.2113 Beta (17.01.2019)
=================================
+ Общее: поддержка облачных хранилищ
+ Общее: поддержка подкастов
+ Интерфейс: возможность отключения автоматического скрытия окон в режиме панели инструментов рабочего стола
+ Звуковой движок: возможность переназначения каналов
+ Звуковой движок: максимальный уровень скорости и темпа увеличен до 2x
+ Звуковой движок: максимальная пауза между треками увеличена до 15 минут
+ Звуковой движок: расширены настройки модуля удаления тишины
+ Звуковой движок: тонкомпенсирующий регулятор громкости (опционально)
+ Плеер: возможность записи только одного трека с интернет радио
+ Плеер: возможность установки обложек альбомов для интернет-радио
+ Плеер: добавлены макросы %bitdepth и %comment (только для проигрываемого трека)
+ Плеер: добавлена опция "перейти на следующий трек и встать на паузу"
+ Плеер: добавлена опция "поставить на паузу при запуске программы"
+ Плейлист: смарт-плейлисты - папки - возможность фильтрации файлов по их расширению
+ Аудиоконвертер: добавлена возможность ставить процесс на паузу
+ Аудиоконвертер: добавлена возможность переопределить горячие клавиши
+ Редактор тегов: обновлен интерфейс программы
+ Редактор тегов: возможность переопределить горячие клавиши
+ Редактор тегов: пакетное скачивание обложек альбомов / текстов песен
+ Редактор тегов: пакетное копирование тегов ID3v2-ID3v1
+ Редактор тегов: поиск и загрузка информации об альбоме из musicBrainz / discogs / last.fm
+ Редактор тегов: поддержка in-place выражений для текстовых полей тегов
+ Плагины: last.fm - возможность отключить скробблинг для удаленных файлов
+ Плагины: last.fm - возможность указать папки-исключения для скробблинга
+ Плагины: last.fm - отображение статуса скробблинга на иконке в трее
+ Плагины: last.fm - отображение похожих исполнителей


AIMP v4.51.2084 (01.12.2018)
============================
* Общее: обновлены локализации
* Звуковой движок: поддержка динамической смены формата вещания при воспроизведении интернет-радио
* Плагины: last.fm - информация о файле -  если для трека не заданы теги, то теперь они берутся для альбома или исполнителя
* Плагины: last.fm - минимальный порог для скробблинга теперь равен 1%
- Исправлено: аудиоконвертер - не удаляются исходники аудиофайлов с CUE после конвертации даже при включенной одноименной опции
- Исправлено: плеер - автоматическая подстройка эквалайзера в некоторых случаях неправильно расставляет приоритет преднастройкам
- Исправлено: плейлист - буква диска в именах файлов заменяется на другую после обновления тегов одноименной командой, если в базе данных фонотеке эти файлы значатся за другим диском
- Исправлено: плейлист - не создается автоматическая закладка для текущего плейлиста при завершении работы программы (регрессия)
- Исправлены незначительные ошибки и замечания


AIMP v4.51.2080 (07.07.2018)
============================
* Общее: добавлен макрос %today()
- Исправлено: общее - алгоритм определения UTF8 работает некорректно, если системная локаль китайская
- Исправлено: общее - не работает сворачивание на панель задач, если отображение кнопки на панели задач отключено
- Исправлено: плеер - программа зависает во время проигрывания интернет радио, если включено "удаление тишины"
- Исправлено: плейлист - в некоторых случаях название плейлиста строилось только по имени первого файла
- Исправлено: плейлист - назначенное автоматикой имя плейлиста нельзя задать в качестве пользовательского
- Исправлено: тексты песен - поиск текстов песен в интернет не работает при проигрывании нелокальных файлов
- Исправлено: тексты песен - LRC - атрибут "offset" обрабатывается некорректно
- Исправлено: фонотека - возникает ошибка "диск не найден" при запуске программы, если в списке активного мониторинга есть ссылки на несуществующие разделы
- Исправлено: фонотека - программа зависает, если во время фонового обновления БД открыть меню с метками при условии, что до этого оно не открывалось
- Исправлено: фонотека - положение полосы прокрутки таблицы сбрасывается сразу после удаления из нее записей


AIMP v4.51.2077 (08.05.2018)
============================
* Редактор тегов: макрос %random() теперь может работать без значения, в этом случае максимальное значение = количеству файлов для обработки
- Исправлено: скин-движок - некоторые доступные из скриптов значения не учитывали текущий масштаб
- Исправлено: скин-движок - TASETextDisplayEx - некорректно работает AutoSize, если alignment отличен от taLeftJustify


AIMP v4.51.2075 (01.05.2018)
============================
* Плагины: улучшена совместимость с плагинами от v2.60
- Исправлено: аудиоконвертер - не все треки конвертируются в некоторых случаях при использовании режима "одна папка в один файл"
- Исправлено: плеер - replaygain - коэффициент предусиления для значений из тегов влияет на значение по умолчанию
- Исправлено: плейлист - клик по заголовку группы выделяет в ней все треки, в том числе скрытые по фильтру
- Исправлено: теги - ID3v2 - данные из USLT поля иногда интерпретируются некорректно
- Исправлено: фонотека - диалог настройки дерева группировки - значение сортировки по умолчанию отображается некорректно


AIMP v4.51.2073 (12.04.2018)
============================
* Редактор тегов: добавлен макрос %random(a)
- Исправлено: плагины - API - сервис IAIMPServiceFileTagEditor не поддерживает работу вне главного потока
- Исправлено: плагины - inputFFmpeg - не показывался битрейт для файлов в формате OPUS (регрессия)
- Исправлено: плагины - InputFFmpeg - утечка памяти при проигрывании файлов, содержащих несколько потоков
- Исправлены незначительные ошибки и замечания


AIMP v4.51.2070 (01.04.2018)
============================
+ Аудиоконвертер: новый режим кодирования - "одна папка - один результирующий"
+ Звуковой движок: добавлена возможность удаления тишины более 0.5 секунд
+ Звуковой движок: теперь можно задать разное предусиление для значения из тегов и анализа на лету
+ Редактор тегов: автонумерация с определенного числа
+ Редактор тегов: поддержка команд "удалить слово слева/справа от курсора" в полях ввода
+ Тексты песен: поддержка текстов песен, встроенных в CUE
+ Плагины: добавлена визуализация, отображающая обложку альбома
* Скин по умолчанию: возможность выбрать размер текста для окна с текстом песни
* Фонотека: таблица - возможность выбрать действие на двойной клик по записи в таблице
* Фонотека: таблица - теперь карточки группируются по первому полю
* Фонотека: ядро - увеличена производительность движка БД
- Исправлено: общее - иконки в диалогах очень маленькие, если приложение запущено на мониторе с масштабом не менее 200%
- Исправлено: аудиоконвертер - не работает "физическое удаление исходных файлов" в случае преобразования сэта с CUE
- Исправлено: аудиоконвертер - при расчете общего прогресса не учитывалась длительность каждого из файлов
- Исправлено: аудиоконвертер - в статистике не учитываются все части выходного файла, если он был разделен на несколько физических файлов во время конвертации
- Исправлено: плеер - в некоторых случаях функция "продолжать воспроизведение плейлистов с места их остановки" работала некорректно
- Исправлено: редактор тегов - неправильный переход к следующему файлу в списке, если изменяемое поле участвует в сортировке данных в таблице
- Исправлено: редактор тегов - не читается поле "исполнитель альбома" из файлов в формате OPUS
- Исправлено: скин-движок - масштабирование текста в фонотеке / плейлисте работает некорректно на системах с высоким DPI, если скин не поддерживает масштабирование
- Исправлено: скин-движок - незначительные ошибки и замечания
- Исправлено: фонотека - иногда программа могла зависнуть при отмене фоновых операций
- Исправлено: фонотека - не работает группировка / фильтрация по колонке "авторские права"
- Исправлено: фонотека - быстрый поиск по дереву группировки влияет сразу на все источники данных
- Исправлено: плагины - inputFFmpeg - вместо битрейта аудиопотока отображается общий битрейт файла
- Исправлено: плагины - last.fm - программа зависала при автоматическом показе окна с информацией о треке при запуске программы
- Исправлены незначительные ошибки и замечания


AIMP v4.50.2058 (27.12.2017)
============================
- Исправлено: плеер - не работает запись интернет-радио без перекодирования (регрессия)
- Исправлено: скин-движок - лишнее пересоздание окна при восстановлении его состояния, если оно было развернуто на весь экран (регрессия)
- Исправлено: скин-движок - разметка содержимого фонотеки / плейлиста не всегда пересчитывается корректно после изменения масштаба текста
- Исправлено: скин-движок - незначительные ошибки и замечания
- Исправлено: утилиты - иногда не передаются файлы из плеера (регрессия)


AIMP v4.50.2055 (17.12.2017)
============================
* Скин-движок: возможность использования старого механизма масштабирования
* Скин-движок: верхний порог для коэффициента масштабирования был поднят до 500%
- Исправлено: аудиоконвертер - некорректный шаблон по умолчанию для консольного кодировщика FAAC (регрессия)
- Исправлено: скин-движок - незначительные ошибки и замечания
- Исправлено: смарт-плейлисты - в некоторых случаях не обновляются мета-данные треков при синхронизации
- Исправлено: плеер - не обновляется информация о проигрываемой композиции для потоков в формате OGG / FLAC / OPUS
- Исправлено: плейлист - не создается автоматическая закладка для текущего плейлиста при завершении работы программы
- Исправлено: редактор тегов - поля с множественными значениями читаются из M4A некорректно в определенных случаях
- Исправлено: редактор тегов - функция "все слова с большой буквы" работает неправильно в некоторых случаях
- Исправлено: плагины - inputFFmpeg - информация о replaygain не считывается из тегов файла в формате OPUS
- Исправлены незначительные ошибки и замечания


AIMP v4.50.2048 (19.11.2017)
============================
* Общее: кодек LAME обновлен до v3.100
- Исправлено: тексты песен - не работает поиск текстов песен для треков из CUE
- Исправлено: фонотека - неправильная обработка метаданных трека, если заголовок содержит feat.
- Исправлено: фонотека - фильтр по метке "не задано" не работал в некоторых случаях
- Исправлено: скин-движок - незначительные ошибки и замечания
- Исправлено: тексты песен - парсер формата LRC некорректно обрабатывал квадратные скобки
- Исправлено: плагины - InputFFmpeg - информация об исполнителе альбома не считывается из тегов файла
- Исправлено: плагины - InputFFmpeg - утечка памяти
- Исправлены незначительные ошибки и замечания


AIMP v4.50.2042 (30.10.2017)
============================
* Общее: обновлены сторонние библиотеки
- Исправлено: плейлист - изменение состояния блокировки плейлиста не применяется, если плейлист не был ни разу активирован в программе
- Исправлены незначительные ошибки и замечания


AIMP v4.50.2037 RC 2 (17.10.2017)
=================================
* Тексты песен: расширены настройки поиска текстов песен в папках
* Фонотека: ускорен поиск и загрузка статистики о треке
- Исправлено: скин-движок - незначительные ошибки
- Исправлено: скин по умолчанию - незначительные ошибки
- Исправлено: плейлист - сортировка файлов по времени создания не учитывает миллисекунды
- Исправлено: плагины - inputFFmpeg - информация о replaygain не считывается из тегов файла


AIMP v4.50.2031 RC (23.09.2017)
===============================
- Исправлено: плеер - некорректно определяет длительность файла в формате FLAC, если длительность более 24 часов
- Исправлено: плеер - некорректно определяет частоту дискретизации у некоторых файлов в формате WavPack
- Исправлено: плеер - не может определить битрейт 64-битных M4A файлов
- Исправлено: плеер - опция "блокировать отключение монитора" не работала в мини-плеере
- Исправлено: скин-движок - небольшие графические ошибки, что возникают при ручном масштабировании скина
- Исправлено: фонотека - данные в дереве группировки в некоторых случаях сортируются некорректно
- Исправлены незначительные ошибки и замечания


AIMP v4.50.2026 Beta 3 (06.09.2017)
===================================
+ Фонотека: таблица - возможность настраивать список полей для группировки
+ Фонотека: таблица - возможность настраивать список полей, используемых для отображения информации о группе
* Фонотека: навигация по значениям полей теперь осуществляется по ctrl+click
- Исправлено: общее - вспомогательные окна могут выходить за границы экрана при появлении
- Исправлено: аудиоконвертер - статистика не обнуляется перед запуском нового процесса конвертации
- Исправлено: плеер - поле "каталог" не сохраняются в CUE
- Исправлено: плеер - не добавляются файлы из проводника при команде "проиграть все", в конце которых имеется " -".
- Исправлено: скин-движок - пустые строчки текста песни не выводятся на экран
- Исправлено: скин-движок - скроллирование колесиком мыши перестает работать после сворачивания и восстановления окна
- Исправлено: скин-движок - TASETextDisplayEx - обрезается содержимое при использовании шрифта с тенью
- Исправлено: скин-движок - TASETextDisplayEx - текущая строка текста песни смещается вправо, если к ней применено форматирование
- Исправлено: фонотека - закрытие плеера во время обновления БД фонотеки приводит к зависанию программы
- Исправлено: фонотека - таблица - не сохраняется ширина панели с информацией о группах
- Исправлено: фонотека - таблица - отмена сортировки приводит к сбросу состояния развернутости групп в списке
- Исправлено: плагины - API - результат работы уведомления AIMP_SERVICE_OPTIONSDIALOG_NOTIFICATION_CAN_SAVE не учитывается при закрытии окна кнопкой "ОК"
- Исправлено: установщик - установка портативной версии удаляет ярлыки от обычной версии
- Исправлены незначительные ошибки и замечания


AIMP v4.50.2023 Beta 2 (21.08.2017)
===================================
+ Плеер: поддержка формата ATRAC3
+ Скин-движок: добавлен новый режим наложения - "в градациях серого"
+ Скин-движок: возможность переопределить масштаб для скинованных окон
+ Скин по умолчанию: поддержка масштаба в 125%
- Исправлено: общее - обрезаются элементы управления при работе на системе с нестандартным масштабом
- Исправлено: плеер - новые поля тегов не сохраняются в CUE
- Исправлено: плеер - не проигрываются MKA файлы, содержащие аудио в формате FLAC
- Исправлено: плеер - некорректно рассчитывается позиция воспроизведения при проигрывании некоторых файлов в формате MKA
- Исправлено: плеер - перестали проигрываться некоторые файлы в формате AAC (регрессия)
- Исправлено: скин-движок - возникает ошибка при смене скина на масштабе, отличном от 100%
- Исправлено: скин-движок - неправильно строится волна для waveform-навигатора (регрессия)
- Исправлено: скин-движок - окно теряет фокус после разворачивания из свернутого состояния
- Исправлено: cкин-движок - режимы наложения работают некорректно с полупрозрачными текстурами
- Исправлено: тексты песен - возникает ошибка при попытке открытия файла в формате LRC, если в нем содержится только одна временная метка
- Исправлено: тексты песен - парсер формата SRT не учитывает пустые строки в качестве текста
- Исправлено: установщик - возникает ошибка "no profiles" при попытке обновиться до новой версии, если плеер до этого ни разу не запускался
- Исправлены незначительные ошибки и замечания


AIMP v4.50.2020 Beta (08.08.2017)
=================================
+ Общее: поддержка мониторов высокого разрешения
+ Общее: поддержка мониторов с разным масштабом интерфейса
+ Плеер: добавлены декодеры для форматов WebM и matroska audio
+ Плеер: добавлена опция "откатываться на 5 секунд назад после долгой паузы"
+ Плеер: добавлена опция "продолжать воспроизведение плейлистов с места их остановки"
+ Плеер: добавлена опция "переходить на следующий трек при удалении проигрываемого трека из плейлиста"
+ Плеер: поддержка текстов песен в форматах .LRC и .SRT (используемый скин должен поддерживать эту возможность)
+ Плейлист: поддержка мониторинга за изменениями прообраза в виде плейлиста
+ Плейлист: поиск файлов - возможность вызвать диалог с информацией о файле из окна поиска
+ Плейлист: поиск файлов - в контекстное меню добавлен пункт "найти в фонотеке"
+ Скин-движок: поддержка масштабирования
+ Скин-движок: расширены потенциальные возможности
+ Аудиоконвертер: возможность закрыть программу по завершении конвертирования
+ Аудиоконвертер: по завершению процесса конвертирования теперь показывается статистика (опционально)
+ Редактор тегов: добавлены поля: автор текста, настроение, дирижер, каталог, компиляция, ISRC, рейтинг, кодировщик
+ Редактор тегов: добавлена возможность автоматического поиск текста песни в интернете (нужен плагин)
+ Фонотека: новый движок для БД - производительность выросла на порядок
+ Фонотека: добавлены новые поля - автор текста, настроение, дирижер, комментарий
+ Фонотека: возможность быстрого сброса колоночных фильтров через контекстное меню кнопки фильтрации
+ Фонотека: возможность сброса статистики для выбранных файлов
+ Фонотека: возможность изменять размер панели с информацией в режиме "карточек" в скине по умолчанию
+ Фонотека: окно настройки видимости колонок больше не закрывается после первого клика
+ Плагины: API - добавлены интерфейсы для работы и поиска текстов песен


AIMP v4.13.1897 (25.06.2017)
============================
* Аудиоконвертер: добавлена специальная сборка кодека LAME  с поддержкой юникода
- Исправлено: звуковой движок - при завершении проигрывания при закрытии приложения иногда может возникнуть треск
- Исправлено: звуковой движок - плеер зависает при потере аудио фокуса, если в качестве метода вывода используется DirectSound
- Исправлено: плейлист - плейлист в формате AIMPPL4 с относительными путями открывается некорректно, если относительное имя файла начинается с + или -
- Исправлено: редактор тегов - WAV-файл, отредактированный в AIMP, иногда открывается с ошибкой в adobe audition
- Исправлены незначительные ошибки и замечания


AIMP v4.13.1895 (07.05.2017)
============================
* Аудиоконвертер: кодировщик для MP3 формата теперь поставляется вместе с программой
- Исправлено: плеер - ошибка с открытием файлов из контекстного меню AIMP, что интегрируется в проводник
- Исправлено: плагины - API - добавление файлов в плейлист с флагом AIMP_PLAYLIST_ADD_FLAGS_FILEINFO в некоторых случаях вызывает внутреннее исключение
- Исправлены незначительные ошибки и замечания


AIMP v4.13.1893 (06.04.2017)
============================
- Исправлено: плагины - API - отсутствует реализация интерфейса IAIMPPlaylistQueue2 (регрессия)
- Исправлены незначительные ошибки и замечания


AIMP v4.13.1891 (02.04.2017)
============================
* Плеер: поддержка ID3v1 тега для удаленных файлов
* Фонотека: ускорено построение дерева группировки
- Исправлено: аудиоконвертер - FLAC - возникает ошибка при конвертировании на некоторых компьютерах
- Исправлено: аудиоконвертер - FLAC / OGG - кодировщики неправильно воспринимают множественные значения в полях тегов
- Исправлено: звуковой движок - происходит зависание UI, если декодер долго не отвечает
- Исправлено: фонотека - неправильно генерировалось имя целевого плейлиста при перетаскивании файлов из дерева группировки
- Исправлено: фонотека - отчет для полей с множественными значениями строился неправильно
- Исправлено: плагины - last.fm - плагин иногда вызывал зависание программы при попытке показать информацию о проигрываемой композиции


AIMP v4.13.1889 (08.03.2017)
============================
* Фонотека: отчеты - расширено количество позиций в таблицах
- Исправлено: интернет-радио - в некоторых случаях отображается название станции вместо названия трека
- Исправлено: фонотека - отчеты - треки с одинаковым заголовком и исполнителем трактовались как одно целое


AIMP v4.13.1887 (19.02.2017)
============================
- Исправлено: плеер - ошибка с открытием нескольких файлов из проводника (нужно переассоциировать файлы)


AIMP v4.13.1886 (14.02.2017)
============================
+ Плагины: информационная лента - возможность назначить горячую клавишу на показ ленты
* Общее: кодек FLAC обновлен до v1.3.2
* Общее: кодек WavPack обновлен до v5.1.0
* Звуковой движок: улучшен алгоритм построения карты ремаппинга каналов
* Звуковой движок: улучшена совместимость с внешними звуковыми картами при выводе с использованием эксклюзивного доступа к устройству
* Фонотека: дерево группировки  - поиск теперь ведется только по полностью загруженным уровням
* Фонотека: отчеты - теперь используется поле исполнитель вместо исполнителя альбома
* Фонотека: таблица - уменьшено потребление памяти в режимах, когда отображаются обложки альбомов
- Исправлено: общее - ошибка при установке пакетов с дополнениями, если один из файлов в архиве не сжат
- Исправлено: диалог настроек - ассоциация с файлами - всегда выбран первый набор иконок
- Исправлено: диалог настроек - горячие клавиши - группы отображаются вразнобой
- Исправлено: диалог настроек - обложки - установка обновленного пакета при открытом диалоге настроек не обновляет отображаемую информацию об обложке
- Исправлено: плеер - не обновляется информация о проигрываемой композиции, если интернет радиостанция присылает мета-данные очень часто
- Исправлено: плеер - в некоторых случаях происходит зависание приложения при записи эфира в момент переключении треков на радиостанции
- Исправлено: плейлист - информация о размере файла сохраняется неверно при экспорте в формат AIMPPL4, если значение больше 2 ГБ
- Исправлено: плейлист - окно подтверждения удаления файла с диска показывалось под окнами, если плеер свернут в трей
- Исправлено: аудиоконвертер - ключи командной строки  в некоторых случаях обрабатываются неверно
- Исправлено: редактор тегов - ключи командной строки  в некоторых случаях обрабатываются неверно
- Исправлено: редактор тегов - кодировка ANSI используется вместо UTF8 при экспорте CUE / текста песни в файл
- Исправлено: редактор тегов - не обновляется кэш после расчета BPM


AIMP v4.12.1880 (06.01.2017)
============================
* Общее: совместимость с TeamViewer QuickConnect
* Звуковой движок: улучшена совместимость с внешними звуковыми картами
* Фонотека: мониторинг файлов - возможность выбрать сразу несколько папок
- Исправлено: общее - командная строка - ключи регистрозависимы
- Исправлено: общее - командная строка - неправильно воспринимаются значения, в которых содержатся символы  ; или =
- Исправлено: общее - неправильный шаг прокрутки списков при использовании тачпада
- Исправлено: редактор тегов - не добавляет файлы, переданные через командную строку
- Исправлено: фонотека - не работают ссылки быстрого перехода (регрессия)
- Исправлено: фонотека - не работает поиск по дереву (регрессия)
- Исправлены незначительные ошибки и замечания


AIMP v4.12.1878 (25.12.2016)
============================
* Звуковой движок: поддержка ASIO устройств с количеством выходных каналов более 30
- Исправлено: скин-движок - главное окно не становится активным после закрытия дочернего окна
- Исправлено: фонотека - дерево группировки - в некоторых случаях сбрасывается выделение в значение по умолчанию при использовании группировки "по папкам"
- Исправлено: фонотека - дерево группировки - сортировка записей работает некорректно в некоторых случаях
- Исправлены незначительные ошибки и замечания


AIMP v4.12.1873 RC (10.12.2016)
===============================
* Плейлист: алгоритм генерации автоимени теперь учитывает исполнителя и название альбома
- Исправлено: звуковой движок - появляются искажения звука после автоматического переключения на следующий трек в сете, если задействован ресемплер, и время эффекта плавного перехода между треками меньше 200 мсек
- Исправлено: плеер - отображается не полная информация о треке при проигрывании удаленного файла, если он в формате OPUS / FLAC / OGG
- Исправлено: плейлист - программа воспринимает список ссылок как одну при использовании drag-n-drop
- Исправлены незначительные ошибки и замечания


AIMP v4.12.1870 Beta (28.11.2016)
=================================
* Общее: обновлены сторонние библиотеки
* Плеер: ускорено добавление файлов
- Исправлены незначительные ошибки и замечания


AIMP v4.12.1860 Beta (05.11.2016)
=================================
* Общее: программу больше не нужно запускать от имени администратора для установки дополнений и настройки ассоциаций с файлами
* Общее: упрощенная установка пакетов с дополнениями в виде *.zip / *.aimppack файлов
* Аудиоконвертер: настройки выключения компьютера больше не блокируются при конвертации
* Аудиоконвертер: преднастройка для fdkaac кодировщика (спасибо Soolo)
- Исправлено: плеер - в некоторых случаях при открытии плейлиста начинает воспроизводиться второй трек вместо первого
- Исправлено: плеер - иногда не срабатывают клики по иконке в области уведомлений
- Исправлено: звуковой движок - ошибка синхронизации потоков, приводящая к зависанию программы
- Исправлено: информация о файле - диалог отображается под окнами фонотеки / плейлиста, если они отделены от главного окна, и включен режим "поверх всех окон"
- Исправлено: фонотека - значение опции "объединять пустые уровни группировки, когда это возможно" игнорируется
- Исправлено: фонотека - локальные файлы - функция "автоматически удалять несуществующие файлы из БД" в некоторых случаях работает некорректно
- Исправлено: фонотека - локальные файлы - функция мониторинга файлов не отслеживает изменения содержимого файлов
- Исправлено: фонотека - локальные файлы - ошибка при построении запроса может привести к зависанию программы
- Исправлено: фонотека - смарт-плейлисты - исчезает контент плейлиста после пересохранения настроек смарт-плейлиста
- Исправлено: фонотека - смарт-плейлисты - фильтрация по колонкам с поддержкой множественных значений работает неправильно
- Исправлены незначительные ошибки и замечания


AIMP v4.11.1841 (09.10.2016)
============================
- Исправлено: плейлист - опция "добавлять все содержимое папки, если передан один файл" работает некорректно в некоторых случаях (регрессия)
- Исправлено: плейлист - нет возможности выбрать несколько свернутых групп с клавиатуры
- Исправлено: фонотека - таблица - миниатюры - воспроизведение по двойному клику всегда начинается с первого в группе трека
- Исправлено: фонотека - незначительные ошибки и замечания
- Исправлено: плагины - API - ошибка при генерации хеш-кода для некоторых изображений (регрессия)


AIMP v4.11.1839 (30.09.2016)
============================
+ Плейлист: возможность поиска по номеру трека в плейлисте
+ Фонотека: таблица - локальные файлы - отображение средней оценки для группы
+ Фонотека: таблица - миниатюры - возможность разворачивания групп
* Фонотека: таблица - скорость подгрузки обложек альбомов выросла в 10 раз
* Фонотека: таблица - положение группы в списке больше не влияет на сортировку записей
- Исправлено: плеер - не обновляются информация о проигрываемой композиции интернет радиостанции в некоторых случаях
- Исправлено: плейлист - неверно работает сортировка по длительности / количеству каналов
- Исправлено: редактор тегов - копирование обложки альбома в буфер обмена создает некорректный BMP-поток
- Исправлено: фонотека - программа вылетает при закрытии диалога "поиск перемещенных файлов" при активном процессе поиска
- Исправлено: фонотека - смарт-плейлисты - не работает отрицание для операторов "содержит", "начинается с" и "заканчивается на" для колонок c поддержкой множественных значений (thanks to vasiliy)
- Исправлено: инсталятор - возникает ошибка "out of memory" на этапе создания деинсталлера на некоторых компьютерах
- Исправлены незначительные ошибки и замечания


AIMP v4.10.1831 (31.08.2016)
============================
+ Расширенный поиск: возможность указать определенные плейлисты для поиска
+ Расширенный поиск: поисковая строка и результат теперь запоминаются на время рабочей сессии
* Скин-движок: оптимизация рендеринга
- Исправлено: общее - иногда возникает ошибка при запуске программы, которая приводит к ее вылету, если подключен плагин aimp_VK
- Исправлено: общее - не отображается содержимое легенды для макросов
- Исправлено: скин-движок - неправильно рассчитывается положение float-arrow
- Исправлено: редактор тегов - MP4 - кодировка заголовков глав QuickTime распознается некорректно в некоторых случаях
- Исправлено: фонотека - в смарт-плейлисте перестают отображаться данные, если в настройках фильтрации указать колонку для сортировки
- Исправлены незначительные ошибки и замечания


AIMP v4.10.1827 (08.08.2016)
============================
* Общее: обновлены сторонние библиотеки
* Редактор тегов: добавлено автоматическое удаление лишних пробелов при сохранении изменений
* Фонотека: инверсия выделения по нажатию num * в таблице
- Исправлено: общее - иногда возникает ошибка при запуске программы, которая приводит к ее вылету
- Исправлено: плагины - API - файл не может быть загружен, если ссылка содержит символ ":" в пути
- Исправлено: плагины - CDDA - не работает поиск данных в CDDB
- Исправлены незначительные ошибки и замечания


AIMP v4.10.1823 RC (22.07.2016)
===============================
+ Плагины: расширено API
* Плеер: опция "показывать информацию о треке на панели задач" теперь так же влияет на обложку альбома в aero peek.
- Исправлено: плеер - неправильно определяется битрейт файла в формате MP3 в некоторых случаях
- Исправлено: фонотека - возникает ошибка при применении фильтра по колонке
- Исправлено: фонотека - порча памяти при использовании фонотеки в качестве прообраза для смарт-плейлиста
- Исправлены незначительные ошибки и замечания


AIMP v4.10.1820 Beta 2 (06.07.2016)
===================================
+ Звуковой движок: поддержка waveform-навигатора для удаленных файлов
+ Смарт-плейлисты: возможность использовать локальный / удаленный файл плейлиста как прообраз
+ Плагины: CDDA - поддержка CUE в качестве CDText-а
+ Плагины: BASS_HLS - поддержка HTTP live streaming (бета)
* Фонотека: быстрый переход между шаблонами дерева группировки теперь происходит через ctrl+shift+click в таблице
- Исправлено: звуковой движок - прекращает воспроизведение в некоторых случаях после завершения сессии удаленного рабочего стола
- Исправлено: редактор тегов - ошибки при редактировании треков CUE
- Исправлено: фонотека - поиск в дереве группировки работает очень медленно
- Исправлены незначительные ошибки и замечания


AIMP v4.10.1816 Beta 1 (18.06.2016)
===================================
- Исправлены найденные ошибки


AIMP v4.10.1815 Beta 1 (15.06.2016)
===================================
+ Плеер: MP4 - поддержка глав QuickTime, что зашиты в секции аудиоданных
+ Плеер: интернет-радио - возможность пропускать короткие треки при записи
+ Плеер: интернет-радио - отображение процентов буферизации
+ Плеер: интернет-радио - фоновая запись текущего трека
+ Редактор тегов: автозаполнение тегов - возможность исключить трек из автозаполнения
+ Редактор тегов: автозаполнение тегов - улучшено удобство использования диалога настройки
+ Редактор тегов: возможность обрезки обложек альбомов
+ Редактор тегов: возможность редактирования CUE
+ Редактор тегов: поддержка WAV формата
+ Фонотека: добавлена команда "проиграть выбранные файлы"
+ Фонотека: новый вид отображения групп в таблице - миниатюры
+ Фонотека: поиск-фильтрация в дереве группировки
+ Плагины: расширено API


AIMP v4.02.1725 (11.06.2016)
============================
* Плейлист: импорт плейлистов в формате WPL
* Плагины: улучшена совместимость с плагинами от v2.60
- Исправлено: общее - настройки отображения иконки в трее сбрасываются после перезапуска программы
- Исправлено: редактор тегов - при изменении размеров обложки альбома меняется формат
- Исправлено: фонотека - в некоторых случаях работает очень медленно
- Исправлены незначительные ошибки и замечания


AIMP v4.02.1721 (30.05.2016)
============================
* Общее: обновлены сторонние библиотеки
- Исправлено: общее - макрос %FileFormat извлекает расширение из URL с точкой
- Исправлено: плейлист - расширенный поиск - не работает поиск по нескольким ключевым словам в разных полях тегов
- Исправлено: редактор тегов - APEv2 - некорректно сохраняются многострочные поля, если в них есть ";"
- Исправлено: редактор тегов - показывает последнюю картинку из файла вместо front cover.
- Исправлено: фонотека - возникает ошибка при показе списка возможных значений для фильтра по колонке
- Исправлено: фонотека - зависает в некоторых случаях при старте приложения
- Исправлены незначительные ошибки и замечания


AIMP v4.02.1717 (08.05.2016)
============================
* Плагины: analog meter - возможность указать любой угол отклонения стрелки
* Плагины: analog meter - возможность указать разные текстуры и параметры для левого и правого прибора
- Исправлено: плагины - analog meter - исправлены найденные ошибки
- Исправлено: плагины - API - не работает IAIMPServiceHttpClient.post (регрессия)
- Исправлены незначительные ошибки и замечания


AIMP v4.02.1713 (26.04.2016)
============================
+ Плагины: analog meter - добавлена поддержка скинов
* Общее: обновлены сторонние библиотеки
- Исправлено: общее - программа не запускается, если включен режим совместимости  (регрессия)
- Исправлено: плеер - не показываются обложки альбомов для образов с CUE (регрессия)
- Исправлено: теги - MP4 - игнорируется поле с оценкой
- Исправлено: фонотека - команда "(показать все)" игнорирует алфавитный фильтр в некоторых случаях
- Исправлены незначительные ошибки и замечания


AIMP v4.02.1711 (17.04.2016)
============================
+ Звуковой движок: добавлена поддержка формата wave64 (поддерживаются кодеки PCM и IEEE_FLOAT)
* Звуковой движок: информация о спектре теперь имеет логарифмическую шкалу
* Звуковой движок: информация о спектре теперь рассчитается для слышимого диапазона частот (от 20 гц до 20 КГц) вне зависимости от настроек вывода
* Плейлист: возможность переключения плейлиста через контекстное меню вкладки
* Интерфейс: табличные элементы - изменение направления сортировки по колонке, что участвует в группировке данных, теперь так же влияет на порядок групп
* Плагины: analog meter - адаптирован для FullHD экранов
* Обложки альбомов: менеджер кэша теперь учитывает год выпуска альбома
- Исправлено: аудиоконвертер - MP3 - не пишется VBR header в целевой файл
- Исправлено: аудиоконвертер - MP3 - режим joint stereo используется всегда при кодировании c CBR / ABR
- Исправлено: менеджер звуковых эффектов - при сбросе настроек звуковых эффектов сбрасываются и параметры нормализации звука
- Исправлено: плеер - интернет радио - отображаются HTML-коды вместо мета-данных
- Исправлено: плеер - нулевое значение replaygain воспринимается как отсутствующее
- Исправлено: плейлист - ошибка при отмене ввода имени для нового плейлиста при открытии файла из внешнего приложения
- Исправлено: скин-движок - TASESpectrumDisplay - меняется количество колонок при изменении размера элемента
- Исправлено: скин-движок - рамка изменения размера окна не примагничивается к границе экрана, если панель задач спрятана
- Исправлено: фонотека - команда "(показать все)" игнорирует алфавитный фильтр
- Исправлено: фонотека - фильтры - оператор "содержит" регистрозависим для не латинских букв
- Исправлены незначительные ошибки и замечания


AIMP v4.01.1705 (19.03.2016)
============================
- Исправлено: закладки - выбранные закладки удаляются после сортировкой мышью (регрессия)
- Исправлено: скин-движок - некоторые скины от AIMP3 открываются с ошибками (регрессия)
- Исправлено: интерфейс - не работает in-place редактирование в табличных элементах (регрессия)


AIMP v4.01.1703 (15.03.2016)
============================
* Общее: иконки FIJO flat идут в качестве иконок по умолчанию (спасибо zigar)
* Аудиоконвертер: добавлена колонка "имя файла"
* Плейлист: добавлена опция  "добавлять все содержимое папки, если передан один файл" в разделе "открытие файлов из внешних приложений"
* Плейлист: перечитывание тегов в плейлисте теперь обновляет и БД фонотеки
* Фонотека: возможность добавления записей в закладки
* Фонотека: возможность обновления оценки в БД фонотеки при обновлении тегов, если включена опция "синхронизировать оценку с тегами файла"
* Фонотека: возможность перетаскивать содержимое группы за ее миниатюру
* Фонотека: улучшен алгоритм поиска изменений в наблюдаемых папках
- Исправлено: общее - CUE парсер игнорирует апостроф в начале или конце значения
- Исправлено: плеер - макрос %index игнорируется при копировании в буфер обмена
- Исправлено: смарт-плейлисты - не работает автоматическая синхронизация с папками (регрессия)
- Исправлено: редактор тегов - сфокусированная запись всегда попадает в выборку, даже если она не выбрана
- Исправлено: фонотека - клик СКМ / ПКМ в колонке с оценкой меняет ее
- Исправлено: фонотека - метки в контекстном меню не сортируются по имени
- Исправлено: фонотека - нет возможности прокрутить список меток за ползунок, если одна из них выбрана
- Исправлено: фонотека - процесс добавления / обновления файлов в базе прерывался в случае ошибки при чтении одного из них
- Исправлено: фонотека - фильтрация работает некорректно, если в фильтре используются операции сравнения NOT OR / NOT AND
- Исправлено: интерфейс - таблицы с группами - ошибка при удалении содержимого группы, если группа имеет фокус
- Исправлены незначительные ошибки и замечания


AIMP v4.00.1697 (22.02.2016)
============================
* Общее: обновлены сторонние библиотеки
* Плейлист: макрос %! теперь влияет на следующий идущий макрос, а не на всю строку
- Исправлено: плейлист - теряется фокус после работы быстрого поиска
- Исправлено: редактор тегов - дублируются некоторые жанры после повторного открытия окна
- Исправлено: редактор тегов - иногда возникает ошибка доступа к памяти при групповом переименовании файлов
- Исправлено: фонотека - навигация по ссылкам работает некорректно (регрессия)
- Исправлено: фонотека - таблица - не сохраняется сортировка по колонкам после перезапуска приложения
- Исправлено: плагины - API - ошибка в методе IAIMPExtensionPlaybackQueue.OnSelect (регрессия)
- Исправлено: плагины - last.fm - в окне с описанием отсутствуют переносы строк


AIMP v4.00.1695 (14.02.2016)
============================
- Исправлено: фонотека - не сохраняется порядок и видимость столбцов


AIMP v4.00.1694 (14.02.2016)
============================
* Общее: обновлена цифровая подпись
* Аудиоконвертер: расширен список шаблонов для кодировщика NeroAAC
- Исправлено: общее - CUE парсер не распознает поля с множественными значениями в некоторых случаях
- Исправлено: плеер - программа зависает при переключении трека на радиостанциях, вещающих в формате FLAC
- Исправлено: закладки - не сохраняется новая позиция закладок после сортировки
- Исправлено: интерфейс - табличные элементы - выделение нескольких записей с помощью рамки иногда работает некорректно
- Исправлено: скин-движок - незначительные ошибки и замечания
- Исправлено: аудиоконвертер - не работает прокрутка списка во время процесса преобразования
- Исправлено: аудиоконвертер - при кодировании в MusePack программа пишет ID3v2 теги вместо APEv2
- Исправлено: аудиоконвертер - при нажатии кнопки "перейти" открывается папка плагинов, если путь не задан
- Исправлено: редактор тегов - ID3v2 - не видит некоторые поля после пересохранения файла в audacity
- Исправлено: редактор тегов - приложение зависает при открытии файла с поврежденной обложкой альбома
- Исправлено: редактор тегов - расчет replaygain в режиме "определять альбом по тегам" работает некорректно
- Исправлено: фонотека - возникает ошибка, если в момент построения дерева группировки происходит перерисовка окна
- Исправлено: фонотека - смарт-плейлисты - очень низкая производительность выборки при множественных условиях
- Исправлено: фонотека - пользовательские шаблоны группировки работают некорректно
- Исправлено: фонотека - программа зависает в некоторых случаях при удалении нескольких файлов из папки, что мониторится фонотекой
- Исправлено: фонотека - флаг, отвечающий за отключение рекурсивного добавления файлов из папки, не сохраняется при закрытии программы
- Исправлены незначительные ошибки и замечания


AIMP v4.00.1687 (18.01.2016)
============================
* Скин-движок: полоса навигации по треку - теперь показывается подсказка с позицией под курсором мыши
- Исправлено: общее - команда "переместить в..." не работает для проигрываемого файла
- Исправлено: интерфейс - табличные элементы - выделение всех записей по ctrl+a переводит фокус на первую запись
- Исправлено: менеджер плейлистов - при перетаскивание папок в список плейлисты создаются пустыми
- Исправлено: плеер - интернет-радио - мета информации о новом треке показывается существенно опережает звук
- Исправлено: редактор тегов - OGG / FLAC / OPUS - некорректно сохраняются многострочные поля, если в них есть ";"
- Исправлено: скин-движок - значение кадра по умолчанию элемента TASEAnimator всегда 0, независимо от биндинга.
- Исправлено: скин-движок - исправлены некоторые проблемы совместимости старых скинов
- Исправлено: скин-движок - локализация пользовательского контекстного меню не обновляется до перезапуска программы / скина
- Исправлено: скин-движок - мерцает подсказка в фонотеке / плейлисте в windows 7 при отключенной композиции рабочего стола
- Исправлено: скин-движок - не перерисовывается содержимое окна после изменении положения элемента из скрипта
- Исправлено: фонотека - импорт базы из AIMP3 - не переносятся сетевые файлы
- Исправлено: фонотека - команда "найти в фонотеке" не работает, если выбран режим "без группировки"
- Исправлено: фонотека - некорректно работает учёт прослушиваний при смене скорости воспроизведения
- Исправлены незначительные ошибки и замечания


AIMP v4.00.1683 (29.12.2015)
============================
* Скин-движок: waveform-навигатор - повышена точность анализа
- Исправлено: общее - плеер зависает при закрытии в некоторых случаях, продолжая воспроизведение плейлиста
- Исправлено: плеер - некорректно определяется кодировка мета данных онлайн-потока на украинском
- Исправлено: плеер - файлы из CUE списка не отправляются в редактор тегов
- Исправлено: скин-движок - в некоторых случаях отменяется процедура построения волны waveform-навигатора
- Исправлено: фонотека - ПКМ по содержимому колонки "метки" открывает меню общего назначения, вместо меню управления метками
- Исправлено: фонотека - поиск новых файлов при старте программы не работает в некоторых случаях
- Исправлено: фонотека - не работает скроллирование жестами


AIMP v4.00.1680 (22.12.2015)
============================
+ Интерфейс: добавлена возможность включения обратного отсчета времени в контексте навигационной полосы
+ Интерфейс: добавлена темная версия скина - bliss dark
- Исправлено: общее - приложение не работает на некоторых системах из-за сбоя в libsoxr.dll / aimp_vorbis.dll
- Исправлено: общее - CUE парсер игнорирует символы-разделители в значениях полей без кавычек (регрессия)
- Исправлено: скин-движок - имя плейлиста после переименования не сразу обновляется в видимых скин-элементах
- Исправлено: редактор тегов - replaygain из файла с CUE не показывается в диалоге "информация о файле"
- Исправлены незначительные ошибки и замечания


AIMP v4.00.1678 (15.12.2015)
============================
- Исправлено: менеджер плейлистов - не работает сортировка вручную
- Исправлено: плеер - треккерная музыка - некоторые файлы начинают проигрываться с шумами на фоне после перемотки
- Исправлено: плейлист - плейлисты, добавленные в плеере с помощью drag-n-drop, всегда добавляются в конец списка
- Исправлено: скин - карточка с информацией о файле в плейлисте показывает обложку от проигрываемого трека
- Исправлено: скин-движок - не работает опция "плавное изменение прозрачности"
- Исправлено: скин-движок - ПКМ по бегущей строке вызывает контекстное меню окна помимо диалога с информацией о файле
- Исправлено: фонотека - дерево группировки - двойной клик не сворачивает / разворачивает выбранный узел
- Исправлено: фонотека - заголовок вкладки "локальные файлы" не принимает файлы, в отличии от вкладок плейлистов
- Исправлено: фонотека - смарт-плейлисты - исчезает сортировка по полю "рейтинг" после перезапуска программы
- Исправлены незначительные ошибки и замечания


AIMP v4.00.1675 RC 3 (30.11.2015)
=================================
* Диалог настроек: добавлена кнопка "ОК"
* Диалог настроек: множественный выбор во вкладке выбора скина
* Плейлист: добавлена возможность пересканировать теги только у выбранных файлов
* Аудиоконвертер: MP3 - добавлена возможность выбрать выходную частоту дискретизации
* Редактор тегов: добавлена возможность выбрать все типы тегов одни кликом
- Исправлено: плейлист - M3U - парсер не понимает комментарии
- Исправлено: скин - отсутствует контекстное меню в мини-плеере
- Исправлено: cкин-движок - шрифт некоторых элементов некорректно реагирует на смену оттенка
- Исправлено: скин-движок - незначительные ошибки
- Исправлено: фонотека - миграция с AIMP3 - не подхватываются метки.
- Исправлено: плагины - SACD - позиционирование работает некорректно на файлах размером больше 4 ГБ
- Исправлены незначительные ошибки и замечания


AIMP v4.00.1670 RC 2 (13.11.2015)
=================================
+ Аудиоконвертер: добавлена возможность отключить группировку
* Общее: CUE парсер теперь понимает множественные значения полей
* Редактор тегов: поле "жанр" теперь запоминает пользовательские значения
- Исправлено: менеджер плейлистов - ошибка в момент клика по крестику, что доступен при включенной опции "удалять плейлист при закрытии вкладки"
- Исправлено: скин-движок - добавляется пробел при переходе в поле ввода по клавише tab
- Исправлено: скин-движок - не работает обратная навигация по элементам с помощью shift+tab
- Исправлено: скин-движок - опции временного отключения прозрачности окна конфликтуют с режимом отображения в виде панели инструментов рабочего стола
- Исправлено: скин-движок - ошибка при выходе из приложения, если курсор мыши находится над пристыкованным окном
- Исправлено: скин-движок - TASEPanel - не открывается назначенное контекстное меню
- Исправлено: скин-движок - TASEVisualDisplay - не работает хит-тест маска при включенной визуализации
- Исправлено: фонотека - ошибка при попытке поставить оценку нескольким файлам
- Исправлено: фонотека - у файлов отображается не та буква диска в некоторых случаях
- Исправлено: плагины - незначительные ошибки в новом API
- Исправлены незначительные ошибки и замечания


AIMP v4.00.1667 RC 1 (30.10.2015)
=================================
- Исправлено: общее - диалог выбора папки - пропадает имя родительской папки при создании новой
- Исправлено: общее - проблемы с закрытием приложения через контекстное меню кнопки на панели задач
- Исправлено: общее - URL не перетаскиваются из одного в другой плейлист
- Исправлено: плеер - интернет-радио - некорректно отображаются русские символы в некоторых случаях
- Исправлено: плейлист - диалог управления плейлистами - двойной клик по полосе прокрутки выделяет запись под ней
- Исправлено: плейлист - при перемещении файла плейлиста на панель вкладок, он не импортируется как плейлист
- Исправлено: скин-движок - подсказка для списка закладок в выпадающем меню не скинуется
- Исправлено: скин-движок - подсказка в плейлисте не учитывает масштаб плейлиста
- Исправлено: расширенный поиск - колонка "№ очереди" по умолчанию почти не видна
- Исправлено: расширенный поиск - начинается проигрываться выбранный трек при двойном клике по разделителю колонок
- Исправлено: фонотека - локальные горячие клавиши, содержащие только модификатор shift, не работают
- Исправлено: фонотека - поле "композитор" не поддерживает множественные значения
- Исправлено: фонотека - при перемещении папки в дерево группировки с помощью drag-n-drop, папка добавляется в "default" плейлист и сразу начинается воспроизведение.
- Исправлены незначительные ошибки и замечания


AIMP v4.00.1663 Beta 4 (16.10.2015)
===================================
+ Плагины: обновлен API для плагинов до v4
- Исправлено: плеер - функция "остановить после текущего трека" не работает при проигрывании радио
- Исправлено: скин-движок - в некоторых случаях размер окна восстанавливается неправильно при запуске программы
- Исправлено: редактор тегов - в некоторых случаях зависает при сохранении изменений
- Исправлено: редактор тегов - пропала иконка у кнопки переименования файла
- Исправлено: фонотека - отчет - в секции "любимые альбомы" теперь используются данные из поля "исполнитель альбома"
- Исправлено: фонотека - таблица прокручивается к началу при выставлении оценки в таблице
- Исправлены незначительные ошибки и замечания


AIMP v4.00.1658 Beta 3 (26.09.2015)
===================================
* Фонотека: алгоритм пересчета рейтинга ускорен на два порядка
- Исправлено: плейлист - окно подтверждения удаления файла не фокусируется, если приложение неактивно (регрессия)
- Исправлено: плейлист - проблемы со снятием выделения с свернутых групп
- Исправлено: скин-движок - фонотека - клик ПКМ при открытом контекстном меню не вызывает контекстное меню повторно
- Исправлено: фонотека - диалог "поиск перемещенных файлов" не реагирует на выделение записей
- Исправлено: фонотека - допускает повторную индексацию уже добавленных файлов при определенных обстоятельствах
- Исправлено: плагины - last.fm - не скробблятся треки, содержащие знак & (регрессия)
- Исправлены незначительные ошибки и замечания


AIMP v4.00.1655 Beta 3 (20.09.2015)
===================================
+ Смарт-плейлисты: добавлена возможность пост-сортировки списка по заданному шаблону
+ Редактор тегов: добавлена возможность копирования / вставки изображений из буфера обмена
+ Фонотека: добавлена возможность автоматического объединения пустых уровней в режиме "без группировки"
+ Фонотека: добавлена возможность автоматического поиска перемещенных файлов
+ Фонотека: добавлена возможность автоматического удаления несуществующих файлов из базы данных
+ Фонотека: добавлена возможность отправлять файлы в указанный плейлист из дерева группировки
* Общее: обновлены сторонние библиотеки
* Общее: парсер CUE теперь игнорирует поля без данных
* Плейлист: алгоритм построения очереди случайного воспроизведения ускорен в 3 раза
* Скин-движок: waveform-навигатор - повышена точность анализа
- Исправлено: общее - таблицы - пропала возможность выделять файлы рамкой, кликнув мышкой в пустом месте
- Исправлено: плейлист - быстрый поиск - нет навигации между результатами с помощью стрелок
- Исправлено: плейлист - возникает ошибка при клике по заголовку группы в некоторых случаях
- Исправлено: плейлист - заголовок окна подтверждения удаления файла содержит имя проигрываемого файла
- Исправлено: плейлист - неправильно работает групповое выделение записей, если к содержимому применен фильтр
- Исправлено: плеер - бегущая строка не обновляется при при изменении оценки
- Исправлено: плеер - интернет-радио - меню выбора макроса работает некорректно
- Исправлено: плеер - зависание при проигрывании некоторых поврежденных файлов в формате WAV
- Исправлено: плеер - эквалайзер - пропало отображение линии preamp-а
- Исправлено: скин-движок - не скрывается мини-плеер, если он прикреплен к краю экрана
- Исправлено: скин-движок - не получается развернуть AIMP кликом СКМ по иконке в трее
- Исправлено: скин-движок - не отображается целевая зона стыковки, если дочернее окно стыкуется сверху главного
- Исправлено: скин-движок - окно не разворачивается на весь экран по двойному клику в зоне заголовка, если в этом месте лежит встроенное окно
- Исправлено: скин-движок - незначительные ошибки и замечания
- Исправлено: скин по умолчанию - waveform отображается при воспроизведении радио, даже если он отключен в настройках
- Исправлено: скин по умолчанию - косметические недочеты
- Исправлено: редактор тегов - ошибка при сохранении, если запущен плеер
- Исправлено: фонотека - дерево группировки - режим "без группировки" учитывает регистр
- Исправлено: фонотека - не воспроизводятся треки по двойному клику
- Исправлено: фонотека - не отображается информация о виртуальных файлах в диалоге "информация о файле"
- Исправлено: фонотека - нет всплывающих подсказок у некоторых кнопок
- Исправлено: фонотека - некорректная сортировка по размеру
- Исправлено: фонотека - неправильно рассчитывается общая длительность файлов в таблице
- Исправлено: плагины - last.fm - не скробблятся треки, содержащие знак %
- Исправлено: плагины - last.fm - не отображается информация о пользователе в диалоге "информация о файле"


AIMP v4.00.1650 Beta 2 (31.08.2015)
===================================
+ Фонотека: теперь данные грузятся только для видимых колонок
* Общее: имена макросов в меню со списком всех доступных макросов теперь выделяются жирным
* Скин-движок: waveform-навигатор - повышена точность анализа
* Скин-движок: waveform-навигатор - поддержка текущий настроек replaygain
* Скин-движок: waveform-навигатор - увеличена скорость построения "волны"
* Фонотека: ускорен поиск новых файлов
- Исправлено: общее - в некоторых случаях возникает ошибка при закрытии приложения, которая могла приводить к зависанию
- Исправлено: общее - меню с списком макросов не работает для форматной строки для захвата интернет радио
- Исправлено: плейлист - всплывающая подсказка мешает поставить оценку треку в плейлисте
- Исправлено: плейлист - команда "поставить после текущего" вырезает треки даже из заблокированного от изменений плейлиста
- Исправлено: плейлист - программа зависает при попытке выставить оценку для категории
- Исправлено: редактор тегов - при выделении файла, для которого редактор не смог прочитать теги - отображается информация от предыдущего трека
- Исправлено: скин - размер шапки окна визуализации отличается от размера других второстепенных окон
- Исправлено: скин-движок - ошибка при разворачивании свернутого закрепленного окна
- Исправлено: скин-движок - показ мини-плеер активируется после смены скина
- Исправлено: скин-движок - полоса прокрутки не реагирует на клик средней кнопкой мыши
- Исправлено: скин-движок - правая и средняя кнопки мыши позволяют изменять размер окон
- Исправлено: скин-движок - размер окна изменяется в некоторых случаях при разворачивании окна из свернутого состояния
- Исправлено: скин-движок - фон AlbumArt элемента считывается некорректно при открытии скинов от AIMP3
- Исправлено: фонотека - нарушается порядок файлов при переносе их в плейлист с помощью drag-n-drop
- Исправлено: фонотека - не учитывается исполнитель альбома при группировке
- Исправлено: фонотека - сортировка по колонке не сбрасывается при ее скрытии
- Исправлено: фонотека - фильтрация по колонке не сбрасывается при ее скрытии
- Исправлено: фонотека отправляет в редактор несуществующие файлы
- Исправлено: плагины - last.fm - некорректно работает с множественными значениями полей тегов
- Исправлено: плагины - last.fm - не отправляется длительность трека при скробблинге
- Исправлены незначительные ошибки и замечания


AIMP v4.00.1647 Beta 2 (18.08.2015)
===================================
* Звуковой движок: поддержка частоты дискретизации 352 кГц
* Общее: добавлено отображение подсказок при изменении положения ползунков в диалоге управления звуковыми эффектами с помощью колесика мыши или клавиатуры
* Общее: шаблоны форматирования - список доступных функций вынесен в подменю
* Скин по умолчанию: добавлена возможность уменьшения ширины главного окна до 450 пкс
* Скин-движок: плейлист - отображение подсказки для записи, если текст не виден полностью
* Скин-движок: увеличена скорость загрузки скинов в формате ACS4
* Скин-движок: waveform-навигатор - отображение "волны" по мере ее построения
* Фонотека: редактор шаблона дерева группировки - поддержка drag-n-drop
* Фонотека: редактор шаблона дерева группировки - поддержка множественного выделения
- Исправлено: менеджер плейлистов - ошибка при загрузки неактивных плейлистов кликом по галочке в заголовке группы
- Исправлено: менеджер плейлистов - ошибка при импорте папок как плейлистов, если в списке есть хоть один плейлист с прообразом-папкой
- Исправлено: плеер - удаление преднастройки эквалайзера приводит к ошибке
- Исправлено: плейлист - добавление файлов - не отображается прогресс поиска файлов и папок
- Исправлено: редактор тегов - ID3v2 - некорректно читаются многозначные поля
- Исправлено: скин-движок - в некоторых случаях возникает ошибка при финализации фейдинга в TabControl элементе
- Исправлено: скин-движок - иногда возникает ошибка при загрузке скина, в котором используется эффект размытия
- Исправлено: скин-движок - настройка насыщенности применяется некорректно для расшаренных текстур
- Исправлено: скин-движок - неправильно перерисовываются элементы, лежащие поверх элемента BluredGlass, если к нему назначена маска
- Исправлено: скин-движок - поведение полосы прокрутки в элементах фонотеки отличается от поведения аналогичного элемента в плейлисте
- Исправлено: скин-движок - элементы фонотеки - не работает поиск по мере набора текста, если на букву назначена горячая клавиша
- Исправлено: скин-движок - waveform-навигатор показывает данные не полностью в некоторых случаях
- Исправлено: фонотека - возникает ошибка, если спрятать все колонки в таблице
- Исправлено: фонотека - группировка по датам работает некорректно
- Исправлено: фонотека - не работает перечитывание тегов после редактирования CUE
- Исправлено: фонотека - не работает под windows XP
- Исправлено: фонотека - не сохраняются некоторые настройки
- Исправлено: фонотека - некорректно работает с заблокированными от изменений плейлистами
- Исправлено: фонотека - нет всплывающей подсказки для шаблона группировки, если он не полностью виден на экране
- Исправлено: фонотека - редактор фильтров некорректно сохраняет уровни вложенности больше 1
- Исправлены незначительные ошибки и замечания


AIMP v4.00.1645 Beta 1 (08.08.2015)
===================================
+ Общее: в именах файлов больше не фигурирует номер версии программы
+ Общее: макросы - однобуквенные / двухбуквенные макросы заменены адекватными названиями
+ Общее: макросы - расширен список макросов для проигрываемого файла, добавлены макросы: %AlbumGain, %TrackGain и %lyrics
+ Общее: макросы - расширен список функций для работы со строковыми данными
+ Общее: команды "копировать в" / "переместить в" - возможность сохранения структуры каталогов
+ Интерфейс: новый дизайн программы
+ Интерфейс: анимация окон больше не тормозит UI
+ Интерфейс: возвращение ползунка прокрутки в исходное положение при отведении курсора мыши
+ Плеер: добавлена возможность ограничить количество попыток переподключения к интернет-радиостанции
+ Плейлист: быстрый поиск - изменен алгоритм: не удовлетворяющее искомой строке содержимое теперь скрывается
+ Плейлист: добавлена команда "переместить в..."
+ Плейлист: добавлена команда "найти в фонотеке"
+ Плейлист: смарт-плейлисты - построение плейлиста на основе данных из фонотеки с возможностью фильтрации и группировки данных
+ Плейлист: смарт-плейлисты - построение плейлиста на основе одной или нескольких папок
+ Плейлист: смарт-плейлисты - синхронизация с прообразом теперь происходит в отдельном потоке
+ Плейлист: теперь файлы плейлиста импортируются каждый в свою вкладку при значении "создать новый плейлист" настройки "открытие файлов из внешних приложений"
+ Менеджер плейлистов: возможность подсчета общей продолжительности выбранных плейлистов
+ Менеджер плейлистов: поддержка drag-n-drop в окне предпросмотра списка песен
+ Скин-движок: расширены потенциальные возможности
+ Теги: поддержка множественных значений для тегов APEv2, ID3v2, vorbis comments, M4A
+ Аудиоконвертер: поддержка консольного кодировщика aften.exe для кодирования в AC3 (спасибо Soolo)
+ Фонотека: интегрирована в основное приложение
+ Фонотека: артикль "the" больше не вырезается при добавлении файлов в БД
+ Фонотека: возможность автоматического дублирования выставляемой оценки в теги файла
+ Фонотека: возможность выбрать разные наборы колонок для табличного режима отображения и режима отображения в виде карточек
+ Фонотека: возможность изменения высоты алфавитного указателя
+ Фонотека: возможность задать пользовательский фильтр данных для шаблонов группировки
+ Фонотека: возможность перетаскивания альбома за его обложку
+ Фонотека: возможность прокрутки списка песен колесиком мыши без фокусировки элемента
+ Фонотека: возможность ускоренной прокрутки списка песен с зажатым ctrl
+ Фонотека: генератор отчетов - поддержка полей с множественными значениями
+ Фонотека: добавлена команда "переместить в..."
+ Фонотека: колонка с именем файла теперь отображает имя файла без пути
+ Фонотека: поддержка алфавитного указателя для любого типа группировки
+ Фонотека: поддержка скинов
+ Фонотека: режим отображения "без группировки" - возможность показа списка песен без учета подпапок
+ Фонотека: улучшена поддержка сетевых файлов
+ Плагины: планировщик - автовыключение - возможность плавного уменьшения громкости
+ Плагины: планировщик - добавлена кнопка "ОК"
+ Плагины: SACD - ISO - теперь плагин отображает одновременно и стерео, и 5.1 треки


AIMP v3.60.1503 (26.09.2015)
============================
- Исправлено: плейлист - окно подтверждения удаления файла не фокусируется, если приложение неактивно (регрессия)
- Исправлено: плагины - last.fm - не скробблятся треки, содержащие знак & (регрессия)


AIMP v3.60.1502 (20.09.2015)
============================
* Общее: обновлены сторонние библиотеки
* Общее: парсер CUE теперь игнорирует поля без данных
* Плейлист: алгоритм построения очереди случайного воспроизведения ускорен в 3 раза
- Исправлено: плейлист - заголовок окна подтверждения удаления файла содержит имя проигрываемого файла
- Исправлено: плейлист - при сохранении плейлиста вкладка не переименовывается под введенное имя файла
- Исправлено: плагины - незначительные ошибки в API
- Исправлено: плагины - last.fm - не скробблятся треки, содержащие знак %
- Исправлено: плагины - last.fm - не отображается информация о пользователе в диалоге "информация о файле"
- Исправлены незначительные ошибки и замечания


AIMP v3.60.1500 (31.08.2015)
============================
- Исправлено: плеер - неправильно определяется длительность WAV-файлов в некоторых случаях
- Исправлено: плеер - некорректно считывается обложка альбома из ID3v2 в некоторых случаях
- Исправлено: плейлист - диалог сохранения - не сохраняются выбранные настройки в пределах рабочей сессии
- Исправлено: плейлист - функция "поставить после текущего" вырезает трек даже из заблокированного плейлиста
- Исправлено: плагины - last.fm - информация о длительности файла не отправляется на сервер
- Исправлены незначительные ошибки и замечания


AIMP v3.60.1497 (15.07.2015)
============================
- Исправлено: ошибка с чтением индексной карты иконок для файлов при повтором применении иконок в рамках одной рабочей сессии
- Исправлено: интернет-радио - информационная лента возникает каждый раз, когда приходят мета-данные, даже, если они не изменились
- Исправлено: плеер игнорирует пользовательскую очередь при физическом удалении проигрываемого файла
- Исправлено: плеер переходит на следующий трек при возникновении ошибки открытия файла даже, если опция "автоматически переходить на следующий трек"  отключена
- Исправлено: скин-движок - возникает ошибка, если при нажатии скинованной кнопки попробовать загрузить другой скин
- Исправлено: теги - WAV - не читаются теги, если секция с тегами расположена после секции с данными
- Исправлено: плагины - SACD - парсер не видит треков, если в образе нет мета-информации о треках
- Исправлены незначительные ошибки и замечания


AIMP v3.60.1495 (03.06.2015)
============================
+ Плагины: SACD - поддержка многопоточного декодирования
+ Плагины: SACD - поддержка SACD образов в формате ISO (экспериментально)
* Редактор тегов: APEv2 тег, записанный в MP3 файл, теперь автоматически удаляется при сохранении изменений
- Исправлено: звуковой движок - в некоторых случаях неправильно парсятся мета-данные при проигрывании интернет-радио
- Исправлено: плеер - в некоторых случаях неправильно определяется битрейт файла в формате MP3
- Исправлено: плеер - формат аудиопотока интернет-радиостанции в FLAC в контейнере OGG, отображается как OGG vorbis.
- Исправлено: плейлист - иногда возникает ошибка, приводящая к блокированию перерисовки
- Исправлено: плейлист - неестественная сортировка при добавлении папок
- Исправлено: плейлист - удаление последнего в плейлисте проигрываемого трека приводит к повтору плейлиста, даже если опция повтора выключена
- Исправлено: редактор тегов - кэш обложек альбомов не обновляется после редактирования обложки альбома
- Исправлено: редактор тегов - нет возможности предпрослушивания треков в форматах TAK / OFR / OFS
- Исправлено: плагины - last.fm - данные о скробблинге в некоторых случаях отправляются дважды, после скробблинга в режиме "без подключения к сети"
- Исправлено: плагины - проверка обновлений - закрытие диалога с настройками не отменяет процесс загрузки обновления


AIMP v3.60.1492 (24.04.2015)
============================
* Общее: функция "перейти к файлу" больше не порождает отдельный процесс проводника (спасибо алексу)
* Плеер: улучшено качество звучания треккерной музыки
* Плагины: analog meter - визуализация теперь поставляется в виде отключаемого плагина
* Плагины: last.fm - отображение статуса скробблера на иконке в области уведомлений
- Исправлено: аудиоконвертер - "перемещать в" - невозможно прописать двоеточие к пути
- Исправлено: звуковой движок - зависает при переподключении к устройству
- Исправлено: общее - поле ввода не фокусируется кликом ПКМ
- Исправлено: плеер - сбрасывается очередь случайного проигрывания при закрытии плеера
- Исправлено: плеер - трек мог проиграться дважды в некоторых случаях при включенном режиме случайного воспроизведения
- Исправлено: редактор тегов - ошибка при чтении файла в формате AIFF, если в конце файла есть паддинг
- Исправлено: скин-движок - ошибки c позиционированием окон
- Исправлено: плагины - ошибки в API
- Исправлено: плагины - last.fm - прогресс скробблинга не отображается


AIMP v3.60.1483 (27.02.2015)
============================
* Редактор тегов: OPUS - replaygain информация теперь пишется в заголовок файла
* Теги: OPUS - поддержка replaygain информации, расположенной в заголовке файла
- Исправлено: звуковой движок - в некоторых случаях неправильно парсятся мета-данные при проигрывании интернет-радио
- Исправлено: звуковой движок - при запуске файла из внешнего приложения слышен отрывок предыдущего трека, если плеер был закрыт
- Исправлено: плеер - OPUS - неправильно рассчитывается частота дискретизации и длительность
- Исправлено: плейлист - некорректно работает функция "перечитать данные из прообраза"
- Исправлено: плейлист - при запуске программы проигрываемая запись не фокусируется
- Исправлено: плейлист - при определенных условиях пустой файл плейлиста оказывается в корзине после закрытия программы
- Исправлено: плейлист - пустые названия треков при разборе CUE в диалоге поиска новых файлов
- Исправлено: плейлист - форматная строка - незначительные ошибки
- Исправлено: скин-движок - незначительные ошибки
- Исправлены незначительные ошибки и замечания


AIMP v3.60.1479 (06.02.2015)
============================
* Плейлист: отключено равномерное случайное воспроизведение групп
* Плейлист: ускорена работа быстрого поиска
* Плагины: last.fm - оффлайн кэш увеличен до 1000 треков
* Плагины: last.fm - теперь скробблинг происходит по истечению 4х минут, если указанный % от длительности трека больше этого значения
- Исправлено: звуковой движок - BASS - не работает воспроизведение интернет-радио под windows 10
- Исправлено: звуковой движок - в некоторых случаях неправильно парсятся мета-данные при проигрывании интернет-радио
- Исправлено: звуковой движок - программа зависает, если нажать паузу и тут же закрыть приложение
- Исправлено: плейлист - запускается воспроизведение другого плейлиста при закрытии текущего, даже если опция "по окончании воспроизведения плейлиста" стоит в значении "перейти в режим ожидания"
- Исправлено: редактор тегов - команда "папка с файлом" работает неправильно для URL
- Исправлено: редактор тегов - отсутствует вкладка "информация" для виртуальный треков
- Исправлено: редактор тегов - поиск обложки в google / yandex - параметры запроса не экранируются
- Исправлено: скин-движок - ошибки c позиционированием окон после изменения разрешения экрана
- Исправлено: скин-движок - ошибки c позиционированием окон после восстановления из минимизированного состояния, если в минимизированном состоянии сменить скин
- Исправлено: скин-движок - при клике на дисплее обложки альбома открывается миниатюрная копия вместо оригинала
- Исправлено: скин-движок - незначительные ошибки
- Исправлено: плагины - last.fm - в некоторых случаях возникает ошибка при попытке добавления / удаления трека из списка любимых
- Исправлено: плагины - last.fm - не работает поиск обложек альбомов, если трек не содержит информации об альбоме
- Исправлено: плагины - last.fm - обложка альбома, отображаемая в диалоге "информация о файле" плагина, отличается от той, что отображается в плеере
- Исправлено: плагины - last.fm - отправка скробблинг-сообщения происходит до окончания трека
- Исправлено: плагины - планировщик - будильник не проигрывает незагруженные в плеер плейлисты
- Исправлены незначительные ошибки и замечания


AIMP v3.60.1470 (16.01.2015)
============================
- Исправлено: общее - парсер CUE файлов не понимает нижний регистр у ключевых команд
- Исправлено: общее - плеер не видит аудиотреки на CD-extra дисках при запуске проигрывания из меню автозапуска
- Исправлено: общее - подвисает интерфейс при закрытии окна настроек на странице обложек
- Исправлено: аудиоконвертер - ошибка при попытке экспорта в MP3 со следующими параметрами: stereo, VBR.
- Исправлено: звуковой движок - некорректный расчет позиции воспроизведения при проигрывании сэтов
- Исправлено: плейлист - файл "default.aimppl" оказывается в корзине после каждого закрытия программы, если опция "сохранять "default" плейлист" отключена
- Исправлено: редактор тегов - не работает автодополнение в поле "жанр"
- Исправлено: редактор тегов - не работает групповое удаление / применение изменений к определенным типам тегов
- Исправлено: скин-движок - ошибка в плейлисте, приводящая к исчезновению элемента
- Исправлено: скин-движок - смещение окна плеера при восстановлении из мини-плеера, если панель задач расположена сверху экрана
- Исправлено: фонотека - воспроизведение в фонотеке не учитывается в статистике
- Исправлено: фонотека - в некоторых случаях не добавляются файлы в базу путем их перетаскивания в окно программы
- Исправлено: плагины - last.fm - некоторые треки скробблятся по несколько раз
- Исправлены незначительные ошибки и замечания


AIMP v3.60.1465 (29.12.2014)
============================
- Исправлено: звуковой движок - на трекерной музыке слышны артефакты ресемплирования
- Исправлено: звуковой движок - после перезапуска при паузе не отображается текущая позиция прогресс-бара
- Исправлено: плейлист - порядок групп инвертируется при переносе нескольких свернутых групп
- Исправлено: скин-движок - парсер спотыкался на некоторых выражениях
- Исправлены незначительные ошибки и замечания


AIMP v3.60.1460 RC 4 (22.12.2014)
=================================
* Менеджер плейлистов: ускорена загрузка файлов для "предпросмотра"
- Исправлено: звуковой движок - плеер зависает при зацикленном проигрывании очень коротких файлов
- Исправлено: общее - ошибка при попытке множественного выделения записей с помощью мыши в пустой таблице
- Исправлено: общее - ошибка при выходе из программы windows XP
- Исправлено: плагины - плеер не подхватывает плагин фонотеки
- Исправлены незначительные ошибки и замечания


AIMP v3.60.1457 RC 4 (19.12.2014)
=================================
* Плагины: BASS_MIDI - добавлена поддержка звуковых банков в формате SFZ
* Скин-движок: переделан механизм контроля за расположением окон при смене разрешения экрана
- Исправлено: общее - утечка памяти при добавлении в плейлист треккерной музыки
- Исправлено: редактор тегов - не правильно распознается поле жанр в M4A формате в некоторых случаях
- Исправлено: плейлист - возникает исключение при попытке воспроизвести файл из внешних программ в AIMP, если в нем включен случайный режим воспроизведения
- Исправлено: плейлист - не считываются теги при импорте внешних плейлистов в форматах отличных от AIMPPL
- Исправлено: плагины - API - не работает макрос %IN
- Исправлено: плагины - CDDA - не обновляется имя диска в подменю доступных приводов
- Исправлено: плагины - информационная лента - не инициализируются параметры во вкладке с настройками при подключении плагина через менеджер плагинов
- Исправлено: плагины - информационная лента - ошибка при закрытии окна настроек, если активно окно предпросмотра
- Исправлены незначительные ошибки и замечания


AIMP v3.60.1453 RC 3 (10.12.2014)
=================================
- Исправлено: звуковой движок - долгое кэширование данных при работе с некоторыми радиостанциями
- Исправлено: звуковой движок - проигрываемый трек не выгружается из памяти после ручного переключения на другой трек
- Исправлено: обложки альбомов - отображается обложка от другого альбома в результате сбоя в менеджере кэширования
- Исправлено: скин-движок - активная вкладка плейлиста находится вне зоны видимости при запуске программы в некоторых случаях
- Исправлено: скин-движок - плейлист - некорректно рассчитывается ширина текста при использовании не моноширинных шрифтов
- Исправлено: плагины - CDDA - ошибка при сканировании диска, не содержащего аудиотреков
- Исправлено: плагины - CDDA - ошибка в парсере ответов от CDDB сервера
- Исправлены незначительные ошибки и замечания


AIMP v3.60.1451 RC 2 (02.12.2014)
=================================
* Звуковой движок: улучшен алгоритм расчета replaygain "на лету"
- Исправлено: общее - не работают некоторые ключи командной строки
- Исправлено: звуковой движок - не доигрывает треки до конца в некоторых случаях
- Исправлено: звуковой движок - некорректный расчет позиции воспроизведения трека
- Исправлено: плейлист - команда "поставить после проигрываемого" ставит выбранный трек через 1, если он расположен до проигрываемого трека
- Исправлено: редактор тегов - неправильно считывает оценку из ID3v2 в некоторых случаях
- Исправлено: скин-движок - элемент TASEScrollBar неправильно реагировал на прокрутку колесиком мыши
- Исправлено: скин-движок - ошибочная визуализация возможности прикрепления главного окна к краю экрана после закрытия откреплённого плейлиста
- Исправлено: элементы управления - клик ПКМ по ползунку не передает ему фокус
- Исправлено: last.fm - некорректная обработка некоторых ошибок сервиса
- Исправлены незначительные ошибки и замечания


AIMP v3.60.1447 RC 1 (19.11.2014)
=================================
+ Редактор тегов: автонумерация - возможность приведения нумерации к виду ХХХ, ХХХ/ХХХ
* Скин-движок: уменьшено потребление памяти во время загрузки скина
* Скин-движок: уменьшено потребление памяти скином в два раза
- Исправлено: звуковой движок - заикания при проигрывании файлов с битрейтом более 5 мбит/сек
- Исправлено: звуковой движок - программа в некоторых случаях зависает при удалении/добавлении USB-звуковой карты
- Исправлено: плеер - в некоторых случаях не подгружаются обложки альбомов, если кэширование отключено
- Исправлено: плеер - некоторые файлы в формате AAC не проигрывались до конца
- Исправлено: плейлист - только что созданный плейлист удаляется при закрытии мимо корзины
- Исправлено: редактор тегов - кодировка по умолчанию определялась неправильно при загрузке CUE из внешнего файла
- Исправлено: скин-движок - ошибка при запуске на windows XP
- Исправлено: скин-движок - при сворачивании закрепленного окна, рабочая область не восстанавливается


AIMP v3.60.1441 RC 1 (12.11.2014)
=================================
+ Редактор тегов: возможность массовой транслитерации / изменения регистра
+ Редактор тегов: обновлен интерфейс главного окна
* Диалог настроек: окно поиска скина среди установленных
* Диалог настроек: сортировка списка пунктов в меню настроек сразу после смены языка
- Исправлено: звуковой движок - ASIO - изменение bit-depth во время проигрывания приводит к шуму
- Исправлено: звуковой движок - некорректное разложение каналов при проигрывание файлов с моно дорожкой
- Исправлено: звуковой движок - проблемы с навигацией по файлам, размер которых больше 4 ГБайт
- Исправлено: общее - не открываются файлы, полный путь которых равен ровно 260 символам
- Исправлено: общее - ошибка при попытке считать теги из файла с нулевым размером
- Исправлено: плеер - в некоторых случаях не подгружаются обложки  альбомов
- Исправлено: плеер - если поставить трек в очередь два раза подряд, то при проигрывании удаляются обе позиции, а не одна
- Исправлено: плеер - зависает состояние бегущей строки при отмене операции переподключения к интернет радио станции
- Исправлено: плеер - информация о предыдущем треке отображается на несколько секунд в бегущей строке после открытия нового файла
- Исправлено: плеер - неверно определяет количество каналов и разрядность файлов в формате TAK
- Исправлено: скин-движок - многочисленные глюки после сворачивания / разворачивания окон
- Исправлено: скин-движок - не получает данные для визуализации  в некоторых случаях, что приводит к морганию завязанных на них элементов
- Исправлено: скин-движок - плейлист не пересчитывается после сворачивания / разворачивания всех групп
- Исправлено: элементы управления - многострочное поле ввода не уведомляет об изменениях
- Исправлено: элементы управления - ошибки с перерисовкой при перемещении фокуса с одного элемента на другой
- Исправлено: элементы управления - повторный клик по кнопке показа выпадающего списка не закрывает список
- Исправлено: элементы управления - у сфокусированного элемента отсутствует фейдинг-анимация
- Исправлены незначительные ошибки и замечания


AIMP v3.60.1433 Beta 3 (21.10.2014)
===================================
+ Элементы управления: поддержка навигации с помощью клавиатуры
* Общее: добавлены кнопки для вызова списка поддерживаемых макросов
* Плеер: ошибка о недоступном файле больше не появляется при возобновлении проигрывания при старте программы
* Плейлист: ускорена загрузка плейлиста в формате AIMPPL
* Скин-движок: возможность размытия фона теперь доступна только для windows 7
* Скин-движок: убрана возможность принудительного отключения размытия фона в скине
- Исправлено: аудиоконвертер - не переносятся обложки альбомов
- Исправлено: звуковой движок - зацикленное воспроизведение файла длительностью меньше 1 секунды останавливается после нескольких итераций
- Исправлено: инсталятор - возможность установки программы без указания целевого каталога
- Исправлено: информация о файле - не обновляется информация о размере файла в бегущей строке после сохранения изменений
- Исправлено: менеджер плагинов - некорректная работа множественной загрузки/выгрузки плагинов
- Исправлено: плагины - исправлены ошибки в новом API
- Исправлено: плеер - некорректно работает опция "остановить при удалении проигрываемого трека из плейлиста"
- Исправлено: плеер - некорректное определение длительности файлов в формате TAK в некоторых случаях
- Исправлено: плейлист - изменяется название радиостанции в плейлисте, если выключить плеер без остановки воспроизведения трека
- Исправлено: плейлист - ошибки с пересчетом индексов воспроизведения
- Исправлено: плейлист - появляются звёздочки оценки у радиостанции при переподключении к ней
- Исправлено: редактор тегов - ошибка при попытке изменить размер обложки альбома в формате BMP
- Исправлено: скин-движок - игнорируются значения MagnetRectOffsets при максимизации минимизированного с помощью горячей клавиши окна
- Исправлено: скин-движок - не работают кнопки смены визуализации после её отключения
- Исправлено: скин-движок - панель вкладок плейлистов перематывается на начало при смене скина, упуская активную вкладку из зоны видимости
- Исправлено: скин-движок - перепутаны стерео каналы в провайдере prvVisual
- Исправлено: скин-движок - развернутое на весь экран окно после сворачивания всегда восстанавливается на главном мониторе
- Исправлено: скин-движок - ширина строк списка закладок в выпадающем меню отличается от высоты пунктов меню
- Исправлены незначительные ошибки и замечания


AIMP v3.60.1425 Beta 2 (19.09.2014)
===================================
+ Плагины: last.fm - возможность указать, через сколько скробблить трек
- Исправлено: звуковой движок - интерфейс плеера замирал ~ на 1 секунду при нажатии на стоп / паузу
- Исправлено: звуковой движок - некорректная информация о битрейте проигрываемого файла
- Исправлено: звуковой движок - плеер зависает в некоторых случаях при смене устройства вывода по умолчанию
- Исправлено: информация о файле - отсутствует расширенная информация о проигрываемой радиостанции
- Исправлено: информация о файле - не обновляется информация о размере файла после сохранения изменений
- Исправлено: информация о файле - ошибка округления миллисекунд при выводе времени в формате "mm:ss"
- Исправлено: менеджер закладок - добавление файлов в плейлист работает некорректно
- Исправлено: менеджер закладок - не сохраняется путь к последней открытой папке
- Исправлено: плейлист - ошибка при попытке отправить URL-запись в другой плейлист
- Исправлено: скин-движок - некорректно рассчитывается позиция окна "quick file info", если панель задач находится на второстепенном дисплее
- Исправлено: скин-движок - ошибка при откреплении мини-плеера с помощью мыши
- Исправлено: скин-движок - уменьшено количество морганий обложки альбома при смене треков
- Исправлено: скин-движок - у элемента TextDisplay появляется минус при перемотке трека на начало
- Исправлено: скин-движок - незначительные ошибки и замечания
- Исправлено: last.fm - неправильная логика скробблинга тега "исполнитель альбома"
- Исправлено: last.fm - игнорируется поле "альбом" при получении обложки альбома для проигрываемого трека
- Исправлено: last.fm - остановка воспроизведения из-за сбоя в плагине при проигрывании виртуальных файлов
- Исправлено: last.fm - плагин не скробблит альбомы
- Исправлено: ошибки с локализацией некоторых элементов
- Исправлены незначительные ошибки и замечания


AIMP v3.60.1421 Beta 1 (29.08.2014)
===================================
+ Шаблоны: добавлены макросы для даты и времени изменения файла
* Редактор тегов: отображение информации о глубине дискретизации для некоторых форматов
* Обложки альбомов: оптимизирован алгоритм поиска и загрузки
* Расчет replaygain: производительность увеличена на 60%
- Исправлено: звуковой движок - не учитывает смену устройства по умолчанию при выводе звука через WASAPI
- Исправлено: скин-движок - ошибки при выполнении некоторых выражений
- Исправлено: плеер - возникает ошибка при открытии файлов из внешних источников
- Исправлено: плеер - исчезает кнопка вызова аудио параметров после клика на нее
- Исправлено: плеер - не показывается расширенная информация об ошибке подключения к радиостанции
- Исправлено: плеер - не подхватываются CUE, встроенные в .iso.wv
- Исправлено: плеер - не подхватываются CUE, содержащий в комментарии слово file
- Исправлено: плеер - нет команды "поставить в очередь" в контекстном меню проводника
- Исправлено: плеер - повторный выбор визуализации не активирует ее
- Исправлено: плейлист - функция "пересканировать теги" не подхватывает изменения из CUE-файлов
- Исправлено: плейлист - некорректно загружается содержимое плейлистов при перетаскивании
- Исправлено: аудиоконвертер - отсутствует WMA encoder
- Исправлено: элементы управления - вводимое в цифровое поле значение не проверяется "на лету" на допустимость
- Исправлено: элементы управления - залипание вложенного контекстного меню при переходе на недоступный пункт меню или разделитель
- Исправлено: обложки альбомов - возникает сообщение об ошибке при загрузки обложки, если она расположена в подпапке
- Исправлено: обложки альбомов - в некоторых случаях обложка в формате JPG отображается как черный квадрат
- Исправлено: обложки альбомов - нет доступа к каталогам обложек альбомов для виртуальных файлов
- Исправлено: редактор тегов - отсутствует вкладка текст песни
- Исправлено: last.fm - не скробблит альбомы
- Исправлено: last.fm - ошибка в плеере после отзыва авторизации через профиль на сайте
- Исправлено: last.fm - остановка воспроизведения из-за сбоя в плагине
- Исправлено: плагины - SACD - ошибка при открытии файлов в формате DSF
- Исправлено: ошибки с локализацией некоторых элементов
- Исправлено: незначительные ошибки и недоработки


AIMP v3.60.1416 Beta 1 (08.08.2014)
===================================
+ Общее: новый plugin API
+ Общее: поддержка DEP и ASLR
+ Общее: папка modules расформирована, вместо нее появились папки .\system, .\system\data, .\system\encoders
+ Звуковой движок: расширены настройки нормализации громкости
+ Звуковой движок: настройки нормализации громкости вынесены в отдельную вкладку
+ Звуковой движок: replaygain - добавлена возможность указать значение по умолчанию
+ Звуковой движок: replaygain - добавлена возможность указать корректировку для используемого значения
+ Интеграция в систему: команда "поставить в очередь" была добавлена в контекстное меню проводника
+ Мини-плеер: теперь можно регулировать громкость колесиком мыши, не переводя фокус на мини-плеер
+ Обложки альбомов: возможность автоматической загрузки обложек из интернета (на текущий момент используется плагин для сервиса last.fm)
+ Обложки альбомов: возможность добавить логотип для интернет радиостанции
+ Обложки альбомов: добавлены настройки поиска обложек на диске / в интернете
+ Плейлист: добавление файлов в плейлист теперь происходит в отдельном потоке
+ Плейлист: случайное воспроизведение - все индексы теперь хранятся на уровне каждого файла плейлиста
+ Плейлист: случайное воспроизведение - улучшен алгоритм - старается равномерно проигрывать файлы из разных групп, не допускать последовательного проигрывания двух подряд идущих файлов
+ Плейлист: уменьшено количество обращений к файлам при загрузке плейлиста / добавлении файлов
+ Аудиоконвертер: добавлена кнопка перехода к целевой папке
+ Редактор тегов: возможность отключения группировки по папкам в списке файлов
+ Редактор тегов: дисплей обложки альбома научился принимать файлы / картинки из браузера / ссылки на картинки из сети
+ Редактор тегов: поддержка формата AIFF
+ Плагины: общее - в менеджер плагинов добавлен фильтр по статусу
+ Плагины: общее - все плагины теперь хранятся в подпапках
+ Плагины: общее - отказ от поддержки плагинов типа input от winamp, т.к. они не поддерживают многопоточность
+ Плагины: визуализации - убран лимит на разрешение экрана для плагинов нового типа
+ Плагины: информационная лента - добавлена опция "показывать всегда"
+ Плагины: информационная лента - возможность выбора целевого экрана
+ Плагины: last.fm - плагин теперь работает с сервисом на прямую - ему больше не требуется установленный last.fm клиент
+ Плагины: last.fm - возможность добавлять / убирать файл из списка любимых композиций
+ Плагины: last.fm - возможность отправки значения поля AlbumArtist вместо artist
+ Плагины: last.fm - возможность показа окошка с информацией о проигрываемом файле
+ Плагины: last.fm - встроенный кэш на 100 записей для работы вне сети
+ Плагины: SACD - плагин для воспроизведения аудио высокого разрешения в форматах DSDIFF / DSF
- Исправлено: общее - ошибка с отображением иконки плеера посреди экрана при наведении мыши на aero peek
- Исправлено: общее - баг с позицией кнопки приложения на панели задач в windows 8 при многоэкранной конфигурации


AIMP v3.55.1355 (14.07.2014)
============================
* Фонотека: добавлен пункт "добавить в плейлист AIMP" в контекстное меню дерева группировки
- Исправлено: общее - мерцание иконки в трее при запуске плеера
- Исправлено: общее - программа зависает при добавлении поврежденных файлов в формате OGG в некоторых случаях
- Исправлено: общее - файлы из проводника не добавляются в список при первом запуске программы
- Исправлено: звуковой движок - неправильно определяет список поддерживаемых форматов для некоторых типов устройств
- Исправлено: менеджер плейлистов - с помощью drag-n-drop можно назначить в качестве прообраза не поддерживаемый плеером файл
- Исправлено: плейлист - запись, содержащая URL, не отправляется из одного плейлиста в другой с помощью контекстного меню
- Исправлено: скин-движок - сброс настроек скина при выходе из программы
- Исправлено: скин-движок - новое имя плейлиста не обновляется в скин-элементе PlaylistBox
- Исправлено: скин-движок - в некоторых случаях возникает ошибка при откреплении мини-плеера от края экрана с помощью мыши


AIMP v3.55.1350 (16.06.2014)
============================
* Звуковой движок: диалог с настройками - список поддерживаемых параметров теперь запрашивается при попытке изменить формат, а не при инициализации вкладки диалога.
* Звуковой движок: запись радио - максимальная задержка до начала записи нового трека увеличена до 30 сек.
* Звуковой движок: запись радио - файл разметки в формате CUE теперь сохраняется на жесткий диск после каждого трека
* Звуковой движок: улучшена совместимость с ассистентом удаленного рабочего стола при использовании интерфейса WASAPI
* Плейлист: пустые плейлисты с назначенным прообразом больше не будут удаляться при закрытии программы
* Плейлист: расширенный поиск теперь показывает последний введенный запрос при открытии
* Редактор тегов: поддержка кириллических URL - введенный URL автоматически преобразуется в punycode и обратно.
- Исправлено: общее - мерцание иконки в трее при запуске плеера
- Исправлено: общее - в некоторых случаях плеер сворачивается в трей вместо панели задач
- Исправлено: звуковой движок - сбиваются настройки воспроизведения на некоторых устройствах при открытии диалога настроек
- Исправлено: плейлист - окно с подтверждением удаления файла из плейлиста не возвращает фокус предыдущему активному окну при закрытии
- Исправлено: редактор тегов - не может прочитать обложку альбома из ID3v2.4 тега в некоторых случаях
- Исправлено: редактор тегов - файл в формате FLAC перестает читаться программой, если из него удалить встроенный CUE
- Исправлено: плагины - информационная лента мерцает при показе, если перед этим она была скрыта мышью
- Исправлено: незначительные ошибки и недоработки


AIMP v3.55.1345 (26.03.2014)
============================
* Диалог преднастроек эквалайзера: добавлена автоматическая сортировка преднастроек по алфавиту
* Диалог преднастроек эквалайзера: добавлена возможность навигации по списку по мере набора
* Плеер: улучшена совместимость с zaycev.fm
* Скин-движок: добавлена возможность изменения размера аниматора
- Исправлено: звуковой движок - ASIO - проблемы с продолжением проигрывания после паузы на некоторых устройствах
- Исправлено: звуковой движок - программа иногда зависает во время проигрывания
- Исправлено: звуковой движок - треск при включенной нормализации по амплитуде на некоторых треках
- Исправлено: звуковые эффекты - настройки сведения применяются некорректно
- Исправлено: плагины - будильник - проигрывается другой плейлист, если указанный плейлист ни разу не был активирован после перезапуска программы
- Исправлено: плеер - в некоторых случаях не отображается QFI при первом запуске
- Исправлено: плеер - папка по умолчанию для записи интернет радио сохраняется в конфигурационный файл
- Исправлено: плейлист - не сохраняется фокус и курсор воспроизведения при синхронизации данных с прообразом
- Исправлено: скин-движок - игнорируется значение свойства PeakSegmentation
- Исправлено: скин-движок - ломается поведение дочерних окон после их закрытия по alt+f4
- Исправлено: скин-движок - проблемы с инициализацией значений по умолчанию при старте программы


AIMP v3.55.1338 (31.01.2014)
============================
* Менеджер звуковых эффектов: добавлена возможность быстро включить/выключить все настройки плавного перехода
* Плейлист: функция "вставить после текущего" помимо перемещения файла в плейлисте теперь ставит его в начало очереди воспроизведения
- Исправлено: "отправить в" - игнорируется введенный шаблон, если у файла нет тегов
- Исправлено: плагины - CDDA - кэш не обновляется в некоторых случаях
- Исправлено: плагины - CDDA - информация о композиции отображается в неправильной кодировке в случае получения данных из CDDB
- Исправлено: плеер - диалог подтверждения удаления файла не возвращает фокус предыдущему окну после закрытия
- Исправлено: скин-движок - значение свойства SizeMaximal не учитывалось для client-контейнеров
- Исправлено: редактор тегов - ID3v2 - для полей "комментарий", "жанр", "ссылка" берется последнее значение из тега, а не первое, как для остальных полей.
- Исправлено: редактор тегов - некорректно работает автозаполнение тегов на основе имени файла
- Исправлено: фонотека - программа зависает при попытке переместить файл с помощью drag-n-drop, если в целевой папке уже есть файл с таким именем
- Исправлены незначительные ошибки и замечания


AIMP v3.55.1332 (21.12.2013)
============================
- Исправлено: плейлист - нельзя бросить файл в конец в некоторых случаях
- Исправлено: редактор тегов - обрезает текст песни по первой строчке


AIMP v3.55.1331 (20.12.2013)
============================
* Звуковой движок: WASAPI exclusive - добавлена поддержка обоих режимов вывода звука - push и event
* Менеджер звуковых эффектов: нормализация громкости - значение коэффициента усиления теперь отображается в формате "% dB / % x"
* Редактор тегов: парсинг строки при автозаполнение информации на основе имени файла теперь идет с конца
- Исправлено: аудиоконвертер - ошибка при кодировании в OGG с настройкой качества ниже 4-х
- Исправлено: менеджер закладок - сбрасывается положение курсора в таблице при удалении записи
- Исправлено: плейлист - при закрытии вкладки файл плейлиста удаляется, минуя корзину
- Исправлено: скин-движок - первоначальный размер контейнера рассчитывается некорректно в некоторых случаях
- Исправлено: скин-движок - хит-тест рассчитывается некорректно в некоторых случаях
- Исправлены незначительные ошибки и замечания


AIMP v3.55.1324 (15.11.2013)
============================
* Звуковой движок: возвращена функция нормализации звука, обновлен алгоритм
- Исправлено: звуковой движок - программа зависает при навигации по треку с помощью колесика мыши
- Исправлено: звуковой движок - при определенных настройках плеер перескакивает через трек при проигрывании сэта
- Исправлено: общее - положение окон после перезапуска смещается на высоту панели задач, если она прикреплена к верхнему краю экрана
- Исправлено: расширенный поиск - клик по СКМ не выделяет запись в таблице
- Исправлены незначительные ошибки и замечания


AIMP v3.55.1320 (04.11.2013)
============================
* Менеджер закладок: добавлена возможность сортировки записей кликом по колонке таблицы
- Исправлено: диалог подтверждения замены файла - не работали кнопки "заменить все" и "пропустить все"
- Исправлено: звуковой движок - в некоторых случаях возникали заикания при запуске воспроизведения
- Исправлено: звуковой движок - программа зависает при проигрывании файла длительностью меньше 1 секунды, если включен "повтор трека"
- Исправлено: звуковой движок - плеер не проигрывает последние 20-50 мсек трека
- Исправлено: плеер - файл в формате CUE в некоторых случаях открывается некорректно
- Исправлены незначительные ошибки и замечания


AIMP v3.55.1312 RC 2 (15.10.2013)
=================================
* Звуковой движок: включение / выключение эффектов теперь происходит более плавно
* Расширенный поиск: добавлен пункт меню "расположение файла"
* Расширенный поиск: добавлена возможность добавлять файлы в очередь кликом средней кнопки мыши
- Исправлено: плеер - интерфейс программы зависает при воспроизведении треков
- Исправлено: плеер - ручное переключение файлов происходит с задержкой
- Исправлено: плейлист - при перетаскивании группы файлов есть лишние слоты
- Исправлено: скин-движок - незначительные ошибки и замечания
- Исправлены незначительные ошибки и замечания


AIMP v3.55.1307 RC (07.10.2013)
===============================
* Звуковой движок: переработана система кэширования - уменьшены задержки при чтении
* Переход ко времени: возможность разделения минут и секунд пробелом вместо ":"
* Справка: добавлена возможность поиска
* Теги: поддержка replaygain для формата MusePack v8
- Исправлено: звуковой движок - в некоторых случаях возникает ошибка при переключении между треками
- Исправлено: звуковой движок - игнорируется информация о битрейте, передаваемая в секции мета-данных
- Исправлено: звуковой движок - "сведение треков" обрезает конец трека, если время сведения меньше секунды
- Исправлено: плеер - в полноэкранном режиме визуализации не работают локальные горячие клавиши
- Исправлено: плеер - вылетает при закрытии, если активен DSP-плагин
- Исправлено: плеер - мультимедиа клавиши нельзя назначить как локальные горячие клавиши
- Исправлено: плеер - неправильно загружается содержимое файла разметки, если открыть его как плейлист
- Исправлено: плейлист - настройки прокрутки записей с помощью колесика мыши не учитываются
- Исправлено: плейлист - не сохраняется выставленный масштаб при закрытии программы
- Исправлено: плейлист - при перетаскивании группы файлов есть лишние слоты
- Исправлено: скин-движок - незначительные ошибки и замечания
- Исправлено: управление плейлистами - после удаления плейлиста выделение восстанавливается некорректно


AIMP v3.55.1298 Beta (12.09.2013)
=================================
+ Общее: добавлена возможность перетаскивать ссылки из браузера в плейлист / диалог добавления ссылок
+ Закладки: возможность добавлять плейлист в закладки
+ Закладки: диалог управления закладками - добавлен быстрый поиск по закладкам
+ Закладки: диалог управления закладками - улучшено юзабилити
+ Звуковой движок: антиклиппинг
+ Звуковой движок: возможность выбрать качество/скорость передискретизации
+ Звуковой движок: возможность использования дизеринга при понижении глубины дискретизации
+ Звуковой движок: для передискретизации теперь используется библиотека SoXR
+ Звуковой движок: увеличена производительность
* Плагины: удален плагин "каталог интернет радиостанций", доступ к каталогам теперь осуществляется через браузер
* Плеер: настройки сведения и затухания перенесены в менеджер звуковых эффектов
* Плеер: расширены настройки сведения звука
- Исправлено: звуковой движок - падение при нехватки памяти при инициализации буфера для кэширования
- Исправлено: плеер - положение окна восстанавливается некорректно, если оно было прикреплено к краю экрана с помощью drag-n-drop
- Исправлено: плеер - в некоторых случаях данные из ID3v2 заменяются на данные из ID3v1 даже, если кодировка различается
- Исправлено: плеер - вылетает при попытке активировать DSP-плагин
- Исправлено: плеер - мета-информация о радиостанции, введенная пользователем, пропадает при воспроизведении
- Исправлено: теги - MP4 - не отображается информация о битрейте для некоторых файлов
- Исправлено: редактор тегов - физическое удаление файла не работает, если файл проигрывается в редакторе тегов


AIMP v3.51.1288 (07.08.2013)
============================
* Звуковой движок: обновлен декодер для формата TAK
* Звуковой движок: переработана система кэширования - уменьшена нагрузка на процессор
* Плейлист: улучшен алгоритм автоименования плейлистов
* Редактор тегов: прогресс выполнения текущей операции теперь показывается в кнопке на панели задач
* Скин-движок: размеры окон теперь автоматически корректируется после смены разрешения экрана
- Исправлено: аудиоконвертер - ошибки при выборе параметров для кодирования в формат OGG vorbis
- Исправлено: аудиоконвертер - ошибки при выборе параметров для кодирования в формат WMA
- Исправлено: диалог выбора папок - не работают горячие клавиши ctrl + up / ctrl + down
- Исправлено: диалог сохранения файлов - запрос на перезапись файла не показывается в некоторых случаях
- Исправлено: звуковой движок - в некоторых случаях не проигрывались файлы с длинными путями
- Исправлено: звуковой движок - падение программы при захвате радио, если в заголовке трека есть кракозябры
- Исправлено: звуковой движок - файлы, проигрываемые по сети, нельзя ставить на паузу
- Исправлено: незначительные ошибки и недоработки
- Исправлено: общее - не работают клавиши ctrl + page up / ctrl + page down во второстепенных окнах, если они заданы в качестве локальных горячих клавишах в плеере
- Исправлено: общее - ошибки в некоторых локализациях
- Исправлено: общее - парсер форматной строки неправильно воспринимает сочетание символов "\,"
- Исправлено: плейлисты - "default"-плейлист остается на диске после закрытия вкладки, даже если не стоит опция "сохранять "default"-плейлист"
- Исправлено: плейлисты - менеджер плейлистов удаляет плейлисты мимо корзины
- Исправлено: плейлисты - при удалении свёрнутых групп, идущая ниже группа раскрывается
- Исправлено: редактор тегов - M4A тег отсутствует в списках для группового удаления / применения значений тегов
- Исправлено: редактор тегов - не видит файлы в библиотеке windows
- Исправлено: редактор тегов - неправильный порядок файлов в окне с результатами расчета replaygain / BPM
- Исправлено: скин pandemic AIO - нельзя таскать окно плеера за заголовок
- Исправлено: скин-движок - блокируется изменение размера окна, если при развернутом на весь экран окне сменить скин на другой без поддержки полноэкранного режима
- Исправлено: скин-движок - конвертер игнорировал специальные для all-in-one скинов настройки
- Исправлено: фонотека - ошибки в расчетах при генерации отчета
- Исправлено: фонотека - при добавлении файла в фонотеку не учитывается его первоначальный рейтинг


AIMP v3.50.1277 (19.06.2013)
============================
- Исправлено: незначительные ошибки и недоработки
- Исправлено: общее - в некоторых случаях плеер не ассоциировался с файлами
- Исправлено: общее - ошибки в файлах локализации
- Исправлено: общее - функция "все слова с большой буквы" в некоторых случаях меняет регистр на верхний у всего слова
- Исправлено: плейлист - долгое добавление файлов
- Исправлено: редактор тегов - не работает автозаполнение тегов


AIMP v3.50.1270 RC 2 (04.06.2013)
=================================
* Плеер: горячая клавиша для включения / выключения эквалайзера
* Плеер: окно расширенного поиска теперь запоминает свою позицию
* Плеер: переделан механизм ассоциации с файлами - теперь используется подход, рекомендованный microsoft
* Фонотека: переделан алгоритм расчета рейтинга - рейтинг теперь зависит от времени
- Исправлено: звуковой движок - в некоторых случаях возникают помехи при проигрывании файлов с высокой частотой дискретизации
- Исправлено: незначительные ошибки и недоработки
- Исправлено: плеер - в некоторых случаях не сохраняются закладки
- Исправлено: плеер - менеджер очереди не сохраняет порядок файлов после закрытия плеера
- Исправлено: плеер - не работает опция "приостановить работу горячих клавиш"
- Исправлено: редактор тегов - жанр их списка не сохраняется в M4A файл
- Исправлено: скин-движок - в некоторых случаях возникает ошибка при попытке загрузить скин со встроенными шрифтами
- Исправлено: скин-движок - отсутствует проверка на целостность скина
- Исправлено: скин-движок - ошибки в позиционировании равнозначных контейнеров с ограниченным размером
- Исправлено: скин-движок - свойство ClipChildren игнорируется при расчете HitTest-а
- Исправлено: фонотека - сфокусированный файл пропадает из зоны видимости при сортировке


AIMP v3.50.1259 RC 1 (08.05.2013)
=================================
* Общее: поиск обложки альбома в подпапках cover / scan
* Общее: увеличена скорость запуска программы
- Исправлено: QFI - клик по обложке альбома открывает временную копию, а не оригинал с диска
- Исправлено: аудиоконвертер не прописывает replaygain для альбома при ведении файла разметки в формате CUE
- Исправлено: незначительные ошибки и недоработки
- Исправлено: общее - плеер игнорирует поле "SONGWRITER" при чтении файла разметки в формате CUE
- Исправлено: редактор тегов - не работает опция исключения файла из группового переименования
- Исправлено: скин-движок - ошибки в позиционировании зависимых окон, если окно-мастер склеено с главным окном
- Исправлено: скин-движок - ошибки в позиционировании равнозначных контейнеров
- Исправлено: скин-движок - ошибки с форматированием времени
- Исправлено: скин-движок - элементы, расположенные на скрытых контейнерах, продолжали рисоваться в некоторых случаях


AIMP v3.50.1253 Beta 4 (19.04.2013)
===================================
- Исправлено: незначительные ошибки и недоработки
- Исправлено: плеер - настройки горячих клавиш не сохранялись в некоторых случаях
- Исправлено: плеер - ошибки при чтении ключей командной строки
- Исправлено: плейлист - нельзя переместить выделенную группу файлов внутрь другой даже при отключеном слиянии одноименных групп
- Исправлено: плейлист - ошибка при вызове диалога поиска новых файлов
- Исправлено: скин-движок - курсор мыши не пересчитывался в некоторых случаях
- Исправлено: скин-движок - множество мелких ошибок при работе с провайдерами


AIMP v3.50.1247 Beta 3 (10.04.2013)
===================================
+ Общее: добавлена поддержка жеста панорамирования для списков
- Исправлено: инсталятор запускает установленные приложения от имени администратора
- Исправлено: каталог радиостанций - ошибка при закрытии окна во время загрузки списка
- Исправлено: незначительные ошибки и недоработки
- Исправлено: планировщик - ошибки с применением плейлиста в качестве мелодии для будильника
- Исправлено: плеер - в некоторых случаях неправильно воспроизводит музыку в трекерных форматах - проигрывает только сэмплы
- Исправлено: плеер - ошибка при перемещении файла при помощи drag-n-drop из выпадающего окна с закладками в стороннее приложение
- Исправлено: плеер - ошибка при попытке проиграть audio CD из меню автозапуска
- Исправлено: плеер - список с горячими клавишами не перерисовывается после удаления сочетания с помощью клавиатуры
- Исправлено: плейлист - имя файла обрезается при сохранении треклиста в некоторых случаях
- Исправлено: плейлист - список не прокручивается при быстром поиске к искомому треку, если он находится в свернутой группе
- Исправлено: скин-движок - не сохраняется видимость контейнеров с элементами
- Исправлено: скин-движок - ошибка при попытке открепить трей-контрол от края экрана
- Исправлено: фонотека - не обновляется кэш после удаления файлов из таблицы
- Исправлено: фонотека - проигрываемый в фонотеке файл не может быть удален


AIMP v3.50.1237 Beta 2 (08.03.2013)
===================================
- Исправлено: редактор тегов сохраняет неверную информацию о размере ID3v2 тега


AIMP v3.50.1236 Beta 2 (07.03.2013)
===================================
* Аудиоконвертер: запись тегов в форматы WMA / WavPack теперь осуществляется с помощью движка AIMP
* Аудиоконвертер: теперь в теги пишется только общая информация при слиянии треков в один файл
* Плеер: скорость загрузки плейлистов увеличена на 25%
* Плеер: уменьшено время отклика окна в режиме панели инструментов рабочего стола при перетаскивании на него файлов
* Скин-движок: увеличена скорость отрисовки за счет кэширования фоновых элементов
* Скин-движок: улучшена совместимость со старыми скинами
- Исправлено: инсталятор - режим обновления не отличается от режима чистой установки
- Исправлено: инсталятор не создает ярлыки под windows 8
- Исправлено: незначительные ошибки и недоработки
- Исправлено: планировщик - состояние опции "выключить компьютер" не запоминается
- Исправлено: плеер - не работает добавление нескольких папок через командную строку, если в именах папок нет пробелов
- Исправлено: плеер - при отключении плагина страница с плагинами перематывается на начало
- Исправлено: редактор тегов вшивает две копии обложки альбома в файлы в формате FLAC
- Исправлено: скин-движок - в некоторых случаях не обновляется информация в QFI
- Исправлено: скин-движок - развернутое на весь экран окно уменьшается после перезапуска AIMP
- Исправлено: управление плейлистами - предпросмотр не работает для нескольких выбранных плейлистов
- Исправлено: фонотека - в аудиоконвертер добавляется весь сэт независимо от того, сколько треков было отправлено


AIMP v3.50.1224 Beta 1 (31.01.2013)
===================================
+ CoverArt downloader: клик по обложке открывает ее во внешнем просмотрщике изображений
+ CoverArt downloader: кэширование скачанных обложек в рамках рабочей сессии программы
+ Аудиоконвертер: горячая клавиша для запуска процесса конвертирования
+ Аудиоконвертер: добавлен кодировщик в формат OPUS
+ Аудиоконвертер: сохранение структуры папок при конвертации
+ Звуковой движок: добавлена поддержка i32v24 формата сэмплов
+ Звуковой движок: отдельная группа настроек для сведения при ручном переключении треков
+ Звуковой движок: улучшен эквалайзер - теперь регулируются все частоты между ползунками, а не только в их окрестности
+ Общее: перегруппированы настройки
+ Общее: плеер больше не поддерживает настройки от AIMP2
+ Общее: поддержка длинных путей (свыше 260 символов) для windows vista и более новых версий
+ Общее: поддержка разбиения на главы для форматов OGG, OPUS, M4A и M4B
+ Общее: увеличена производительность программы
+ Планировщик: будильник - добавлена возможность выполнить действие через заданный промежуток времени
+ Планировщик: будильник - добавлена возможность поставить плейлист в качестве мелодии
+ Плеер: в менеджер звуковых эффектов добавлены настройки для управления эквалайзером
+ Плеер: в подсказке к вкладке плейлиста теперь показывается информация о содержимом плейлиста
+ Плеер: добавлена горячая клавиша для команды "перечитать данные из прообраза"
+ Плеер: добавлены горячие клавиши для вызова менеджера закладок и эквалайзера в менеджере эффектов
+ Плеер: добавлены горячие клавиши для выставления оценки выбранным файлам / проигрываемому файлу
+ Плеер: очередь случайного воспроизведения файлов теперь сохраняется при закрытии программы
+ Плеер: поддержка drag-n-drop при работе с закладками
+ Плеер: при отправке нескольких файлов на съемный носитель они сливаются в одну очередь
+ Плеер: теперь при удалении настройки эквалайзера выдается диалог с подтверждением
+ Плеер: управление плейлистами - предпросмотр содержимого закрытых плейлистов с возможностью поиска
+ Редактор тегов: возможность растягивать окно редактора преднастроек шаблонов
+ Редактор тегов: добавлена колонка "размер файла"
+ Редактор тегов: переименование файлов - возможность замены / удаления определенных символов и сочетаний
+ Редактор тегов: переименование файлов - двусторонняя транслитерация (русский - английский)
+ Редактор тегов: переименование файлов - переработан дизайн окна
+ Редактор тегов: поддержка полей "BPM", "количество дисков" и "издатель"
+ Редактор тегов: поддержка тегов формата OPUS
+ Редактор тегов: расчет BPM (базируется на библиотеке SoundTouch)
+ Скин-движок: возможность отключения анимации спектра для проигрываемого трека
+ Скин-движок: возможность пристыковки окон к верхней и нижней частям экрана
+ Скин-движок: расширены возможности
+ Фонотека: возможность отключения автоматического перехода к следующему трека при проигрывании
+ Фонотека: возможность отображение рейтинга файла вместо оценки, если оценка не задана
+ Фонотека: возможность отправки файлов в плейлист AIMP
+ Фонотека: добавление файлов в базу данных с помощью drag-n-drop
+ Фонотека: добавлено контекстное меню для колонки с метками для быстрого назначения меток
+ Фонотека: добавлены горячие клавиши для управления воспроизведением
+ Фонотека: добавлены колонки "BPM", "композитор", "издатель" и "формат файла"
+ Фонотека: переработан диалог управления метками
+ Фонотека: скорость считывания оценок возросла в 10 раз
+ Элементы управления: контекстное меню - пункты теперь можно прокручивать колесиком мыши
+ Элементы управления: контекстное меню - фокусирование текущего выбранного пункта
+ Элементы управления: переключение между вкладками осуществляется по ctrl+tab и ctrl+shift+tab / ctrl+PageUp и ctrl+PageDown
+ Элементы управления: попиксельный скроллинг в ListView и TreeView
+ Элементы управления: скроллбар - переход месту под курсором осуществляется с зажатой клавишей shift


AIMP v3.20.1165 (21.12.2012)
============================
* Плеер: улучшен алгоритм поиска CUE для аудиофайлов с двойным расширением
* Редактор тегов: обложка альбома теперь сохраняется в специальную секцию FLAC формата
- Исправлено: аудиоконвертер - ошибка при попытке удалить с диска виртуальный трек
- Исправлено: аудиоконвертер - формат сэмпла сохранялся некорректно для консольных кодировщиков
- Исправлено: в некоторых случаях содержимое плейлиста перестает рисоваться
- Исправлено: захват интернет-радио - консольные кодировщики отсутствуют в списке доступных
- Исправлено: плеер не видел CD-привод под буквой "a"
- Исправлено: плеер перестает воспроизводить звук, если подключенный DSP-плагин не смог инициализироваться корректно
- Исправлено: сочетание "ctrl+del" перехватывается плейлистом из второстепенных полей ввода


AIMP v3.20.1163 (28.11.2012)
============================
* Аудиоконвертер: добавлена колонка с номером трека
* Аудиоконвертер: поддержка макроса %IN
* Редактор тегов: добавлена колонка для тегов в формате M4A
* Фонотека: поддержка редактирования тегов проигрываемого файла
- Исправлено: быстрый редактор тегов - не отображается информация о радиостанции, если редактор был открыт из "quick file info" диалога
- Исправлено: быстрый редактор тегов - не отображается обложка альбома из папки для виртуальных файлов
- Исправлено: диалог с отчетом об ошибке не закрывается по клавише ESC
- Исправлено: захват интернет-радио - не пишутся теги в файл при записи потока в формате AAC без перекодирования
- Исправлено: незначительные ошибки и недоработки
- Исправлено: преднастройки эквалайзера создаются некорректно при новой установке на windows с не русской локалью
- Исправлено: скин-движок - замедленная перерисовка элементов визуализации
- Исправлено: скин-движок - полностью прозрачные элементы в старых скинах отображаются неверно


AIMP v3.20.1155 (16.11.2012)
============================
* Плейлист: быстрый поиск теперь завершается по клавише ESC
- Исправлено: диалог добавления папок - выделенная папка добавляется в плейлист вне зависимости от отметки
- Исправлено: звуковой движок неверно определяет поддерживаемые устройством форматы
- Исправлено: незначительные ошибки и недоработки
- Исправлено: найденные утечки памяти
- Исправлено: редактор тегов - номер трека не применяется к проигрываемому файлу
- Исправлено: редактор тегов - слова песни не разбиваются на строки для M4A формата
- Исправлено: фонотека - зависание при некоторых обстоятельствах во время операции перечитывания тегов / добавления файлов
- Исправлено: фонотека - инвертированное скроллирование алфавитного указателя колесиком мыши


AIMP v3.20.1148 RC 1 (19.10.2012)
=================================
* Диалог добавления папок: возможность ручного ввода пути в диалоге выбора папок
- Исправлено: вкладки плейлистов не перерисовывются после скроллирования, если анимация скроллирования отключена
- Исправлено: корявое отображение шрифта в информационной ленте под windows 8
- Исправлено: незначительные ошибки и недоработки
- Исправлено: некоторые элементы плейлиста не реагируют на смену расцветки обложки
- Исправлено: ошибки округления при подсчете длины трека из CUE
- Исправлено: плеер не открывает CUE файлы, содержащие ""
- Исправлено: приложение падает при записи интернет-радио


AIMP v3.20.1139 Beta 2 (28.09.2012)
===================================
+ Общее: расширен список доступных кодировок для преобразования не-юникодных строк в юникодную кодировку
+ Плейлист: добавлен макрос "%!" для сортировки в обратном порядке при использовании пользовательских шаблонов
* Звуковой движок: улучшена поддержка метаданных интернет радиостанций в формате ASF
* Скин-движок: ускорена отрисовка текстур
- Исправлено: аудиоконвертер - ошибки при кодировании в режиме слияния файлов в один с ведением CUE
- Исправлено: аудиоконвертер не переносит теги при кодировании в MusePack формат
- Исправлено: звуковой движок неверно определяет поддерживаемые устройством форматы
- Исправлено: незначительные ошибки и недоработки
- Исправлено: настройки цветовой гаммы скина не применяются к иконкам в трее и контекстном меню
- Исправлено: плеер не восстанавливается очередь после перезапуска
- Исправлено: плеер не мог открыть суб-треки с относительным путем из CUE списка


AIMP v3.20.1125 Beta 1 (02.09.2012)
===================================
+ Аудиоконвертер: возможность выключения компьютера по завершению конвертирования
+ Аудиоконвертер: возможность подключения консольных кодировщиков
+ Аудиоконвертер: возможность смены формата входящего аудиопотока
+ Аудиоконвертер: добавлен режим кодирования «в один файл» с ведением / без ведения CUE
+ Аудиоконвертер: запись данных в ID3v1 теги при кодировании в MP3
+ Аудиоконвертер: кодирование в MusePack формат
+ Звуковой движок: оптимизирован алгоритм кэширования исходного файла — теперь движок реже обращается к диску
+ Звуковой движок: поддержка вывода через WASAPI exclusive
+ Звуковой движок: увеличен верхний лимит размера кэша до 250 МБ
+ Общее: в подсказке к кнопке "повтор участка а-б" теперь показываются границы участка повтора
+ Общее: добавлена возможность просмотра обложек альбомов встроенных в файл в оригинальном разрешении
+ Общее: преднастройки эквалайзера теперь хранятся в отдельном файле
+ Плагины: в состав дистрибутива включен декодер для формата OPUS
+ Плагины: кодировщик в OGG vorbis обновлен до v1.3.3
+ Планировщик: возможность вывода компьютера из спящего режима
+ Планировщик: возможность перевода компьютера в спящий режим
+ Планировщик: возможность приостановить воспроизведение и/или закрыть плеер перед завершением работы компьютера
+ Планировщик: вывод сообщения с предупреждением перед завершением работы компьютера
+ Редактор тегов: возможность указать, в какие теги сохранять изменения
+ Редактор тегов: поддержка редактирования тегов в формате M4A
+ Фонотека: добавлена возможность навигации по записям по мере набора текста в выпадающем списке фильтра колонки
+ Фонотека: добавлена кнопка для сброса поискового запроса


AIMP v3.10.1074 (24.08.2012)
============================
- Исправлено: аудиоконвертер убирает точки из имени файла
- Исправлено: незначительные ошибки и недоработки
- Исправлено: неверно вычисляется автоимя для плейлиста, если в названии папки содержится точка


AIMP v3.10.1072 (07.08.2012)
============================
* Звуковой движок: улучшен алгоритм расширенной обработки каналов
* Плагины: улучшена совместимость с last.fm client v2
* Плагины: ускорен рендеринг визуализаций
* Скин-движок: улучшена совместимость со скинами от AIMP2
- Исправлено: %IN макрос раскрывается некорректно при отправке файлов из плейлиста во внешнюю папку
- Исправлено: аудиоконвертер выдает ошибку, если включить функцию перемещения выходного трека и не указать целевую папку
- Исправлено: аудиоконвертер игнорирует ключи командной строки
- Исправлено: аудиоконвертер увеличивает темп композиции в 2 раза при кодировании в MP3 mono
- Исправлено: незначительные ошибки и недоработки
- Исправлено: не работает навигация по записям по мере набора текста в редакторе тегов в меню выбора жанра
- Исправлено: плеер неправильно восстанавливает воспроизведение при запуске, если проигрываемый файл был удален из плейлиста
- Исправлено: плеер неправильно восстанавливает очередь воспроизведения, если хотя бы два плейлиста имеют одинаковое имя
- Исправлено: при навигации по значениям полей фонотека не предлагает создать новую группировку в некоторых случаях
- Исправлено: при удалении файла из плейлиста воспроизведение в некоторых случаях перескакивает через один трек


AIMP v3.10.1065 (04.07.2012)
============================
- Исправлено: в окне выбора закладок не работает навигация по записям по мере набора текста
- Исправлено: незначительные ошибки и недоработки
- Исправлено: несовместимость с synaptics TouchPad
- Исправлено: ошибка "cannot open file" при многопоточном кодировании из файла в формате WavPack + CUE
- Исправлено: при перетаскивании файла из плейлиста в другую папку он перемещается, а не копируется
- Исправлено: при применении любых настроек AIMP перезаписывает информацию об интеграции в реестр
- Исправлено: при удалении файла из плейлиста воспроизведение перескакивает через один трек
- Исправлено: утечка при работе с кодировщиком в формат MP3
- Исправлено: фонотека не учитывает количество проигрываний каждого из файлов при построении отчета о любимых композициях


AIMP v3.10.1061 (29.06.2012)
============================
* Аудиоконвертер: добавлено отображение прогресса конвертации в заголовке окна
* Плеер: добавлены следующие преднастройки для эквалайзера: headphones / reggae / ska / techno
- Исправлено: аудиоконвертер некорректно подбирает целевую частоту дискретизации в некоторых случаях
- Исправлено: курсор воспроизведения не сбрасывается при очистке плейлиста
- Исправлено: незначительные ошибки и недоработки
- Исправлено: ошибки в отображении окна эквалайзера в старых скинах
- Исправлено: трек удаляется из очереди дважды при старте его воспроизведения


AIMP v3.10.1051 RC 2 (01.06.2012)
=================================
* Закладки: возможность сортировки записей в менеджере закладок
* Плагины: улучшена поддержка input-плагинов от winamp
* Скин-движок: отрисовка текста ускорена в два раза
- Исправлено: "skip mode" не работает в диалоге отправки файлов из плейлиста в другую папку
- Исправлено: в некоторых случаях обложки из ID3v2.4 грузятся некорректно
- Исправлено: незначительные ошибки и недоработки
- Исправлено: плеер обрезает значение поля номера трека, если оно больше 255
- Исправлено: скин-движок - неверный шаг у полосы прокрутки с ползунком с неизменяемыми размерами
- Исправлено: скин-движок - элементы управления не получали фокус в некоторых случаях


AIMP v3.10.1045 RC 1 (21.05.2012)
=================================
* Теги: размер паддинга между тегом и аудиоданными теперь ограничен 100 КБайтами
* Теги: улучшен алгоритм подсчета длительности аудиофайла в формате MP3 VBR
- Исправлено: незначительные ошибки и недоработки
- Исправлено: неверный текст сообщений об ошибках, возникающих при инициализации устройства вывода
- Исправлено: окно эквалайзера не всегда учитывает настройки анимации
- Исправлено: ошибки в поведении и отображении старых скинов
- Исправлено: плеер некорректно читает теги, размер которых более 1 МБайта
- Исправлено: плейлист зависает при попытке удаления файлов с диска в некоторых случаях
- Исправлено: появление треска при прослушивании файлов с частотой дискретизации большей, чем заданная частота дискретизации устройства вывода
- Исправлено: функция "отключать прозрачность, если мышь над окном" работает некорректно в некоторых случаях


AIMP v3.10.1040 Beta 3 (08.05.2012)
===================================
* Декодеры: BASS обновлен до версии v2.4.9
* Звуковой движок: увеличена производительность
* Аудиоконвертер: кодировщики перенесены из папки "AIMP3\plugins" в "AIMP3\modules"
* Аудиоконвертер: поддержка blade-интерфейса библиотеки lame_enc.dll
- Исправлено: незначительные ошибки и недоработки
- Исправлено: не сохраняется размер окна, если оно находится в режиме "панели инструментов рабочего стола"
- Исправлено: окно выбора языка - выпадающий список отображается за окном
- Исправлено: ошибки в отображении старых скинов
- Исправлено: плейлист не принимает файлы из некоторых приложений с помощью drag-n-drop
- Исправлено: редактор тегов не записывает обложку в файл, если в нем не было до этого тегов
- Исправлено: утечка памяти в фонотеке


AIMP v3.10.1034 Beta 2 (27.04.2012)
===================================
+ Фонотека: добавлена возможность быстрой навигации по значениям полей с зажатой клавишей alt
* Звуковой движок: улучшен алгоритм передискретизации
* Общее: изменены подсказки при редактировании шаблонов
* Плейлист: повышено удобство выделения нескольких файлов с помощью мыши
* Фонотека: ускорено добавление файлов в БД
- Исправлено: воспроизведение выбранного трека не начиналось из быстрого поиска по нажатию клавиши enter
- Исправлено: захват интернет радио не работает
- Исправлено: макросы не раскручиваются в некоторых случаях
- Исправлено: незначительные ошибки и недоработки
- Исправлено: не применяется локализация при первом запуске программы
- Исправлено: неправильный расчет длительности для некоторых WavPack файлов
- Исправлено: опция "добавлять паузу между треками" работает некорректно
- Исправлено: ошибка при смене скина и его цвета
- Исправлено: ошибки в отображении старых скинов
- Исправлено: плеер зависает при нажатии на кнопку "проиграть", если в плейлисте все треки отключены
- Исправлено: повышенная нагрузка на процессор при проигрывании тишины с включенным эквалайзером
- Исправлено: фокус пропадает после удаления последнего файла в плейлисте


AIMP v3.10.1027 Beta 1 (16.04.2012)
===================================
+ Аудиоконвертер: добавлена возможность многопоточного кодирования
+ Аудиоконвертер: обновлен дизайн
+ Аудиоконвертер: поддержка кодирования в APE, FLAC, OGG, WAV, WV, WMA и MP3 (при наличии установленного кодека)
+ Аудиоконвертер: утилита "аудиоконвертер" снова поставляется вместе с плеером
+ Общее: добавлена возможность задать шаблон для бегущей строки при воспроизведении интернет радио
+ Общее: обновлен дизайн окна уведомления об ошибках
+ Общее: обновлен дизайн скина по умолчанию
+ Общее: опция "плавное нарастание громкости при старте воспроизведения" вынесена в меню быстрых настроек
+ Общее: пользовательские скины теперь хранятся в папке с настройками программы
+ Плагины: модуль проверки обновления - добавлена возможность полуавтоматической закачки и установки обновления
+ Плейлист: в главное меню добавлен пункт "оценка"
+ Плейлист: добавлен диалог управления плейлистами
+ Плейлист: добавлена возможность загружать сразу несколько плейлистов с помощью drag-n-drop
+ Плейлист: добавлена возможность полуавтоматической синхронизации плейлиста с выбранной папкой / плейлистом
+ Плейлист: добавлена возможность работы с группами с помощью клавиатуры
+ Плейлист: теперь плейлисты всегда хранятся в папке с настройками программы
+ Плейлист: теперь плейлисты не удаляются с диска при закрытии вкладки (опционально)
+ Скин-движок: расширены потенциальные возможности
+ Фонотека: возможность выбора плеера по умолчанию - AIMP или встроенный в фонотеку
+ Фонотека: убрана возможность доступа к каталогу интернет радиостанций
+ Фонотека: убрана возможность доступа к флэш-носителям
+ Фонотека: хранилище плейлистов перенесено в менеджер плейлистов плеера


AIMP v3.00.985 (06.04.2012)
===========================
- Исправлено: DropWheel отображается некорректно для скинов от AIMP2
- Исправлено: в некоторых случаях отображается неверная информация о формате трека в быстром редакторе тегов
- Исправлено: незначительные ошибки и недоработки
- Исправлено: неправильное определение битрейта и длительности некоторых OGG-файлов
- Исправлено: отображается неверная информация о битрейте для некоторых радиостанций
- Исправлено: оценка трека не отображается в плейлисте при использовании скинов от AIMP2
- Исправлено: плеер иногда начинает играть отключенные треки при переключении воспроизведения на другой плейлист с помощью горячих клавиш
- Исправлено: плеер не позволяет выводить звук через WASAPI под windows 8
- Исправлено: плеер не проигрывает до конца короткие файлы
- Исправлено: проблемы с отображением TrayControl-а
- Исправлено: проводник windows перестает отображать данные из тегов файла в формате WMA lossless, после их заполнения AIMP-ом
- Исправлено: треск при переходе с трека на трек при включенном эквалайзере
- Исправлено: файлы добавляются задом наперед при добавлении из диалога "поиск новых файлов"


AIMP v3.00.981 (16.02.2012)
===========================
* Плейлист: доработан алгоритм подхвата файлов разметки для аудиофайлов - поддержка файлов с двойным расширением
- Исправлено: буфер для DMO эффектов не очищается после остановки воспроизведения
- Исправлено: данные из файла разметки (CUE) не подхватываются для файлов в формате .DTS
- Исправлено: кнопка "по умолчанию" в менеджере эффектов сбрасывает все настройки только со второго раза
- Исправлено: неверно составляется автоимя преднастройки эквалайзера для виртуальных файлов
- Исправлено: некорректно считывается информация о длительности файла из плейлиста в формате PLS
- Исправлено: номер трека в очереди, отображаемый в плейлисте, обрезается в некоторых случаях
- Исправлено: папки и файлы не сортируются по имени при их добавлении из проводника windows
- Исправлено: плагины - lastfm client helper падает при попытке вызвать настройки, если lastfm client не установлен
- Исправлено: плагины - каталог радиостанций: ошибка при переключении на вкладку "IceCast", если хотя бы одна из записей не имеет информации о битрейте
- Исправлено: плагины - некоторые визуализации от AIMP2 не работают под AIMP3
- Исправлено: плагины - список теряет фокус после включения/отключения плагина
- Исправлено: плеер не позволяет добавить в плейлист файлы в формате AIFF
- Исправлено: при включенном эквалайзере слышно потрескивание на очень тихих треках
- Исправлено: программа зависала при попытке проиграть файл без аудиоданных, но имеющий теги


AIMP v3.00.976 (30.12.2011)
===========================
* Плеер: при проигрывании название радиостанции теперь задается автоматически, если оно не было задано пользователем
* Редактор тегов: номер трека больше не сохраняется в ID3v1, если значение превышает 255
- Исправлено: незначительные ошибки и недоработки
- Исправлено: плагины - last.fm плагин иногда не начинал скробблинг
- Исправлено: плеер - "повтор отрезка файла" иногда произвольно сбрасывает воспроизведение на начало
- Исправлено: плеер - в конце трека проигрывается кусок следующего трека, если включено случайное воспроизведении
- Исправлено: редактор тегов - не отображаются кнопки в футере, если разрешение экрана меньше 600 пикселей по высоте
- Исправлено: редактор тегов - таблица не обновляется после завершения работы функции автозаполнения тегов


AIMP v3.00.970 RC 3 (23.12.2011)
================================
* Общее: добавлена возможность установить скин из диалога выбора обложки
* Общее: улучшена поддержка мультимедиа клавиатурами
* Общее: улучшена совместимость с synaptics TouchPad
- Исправлено: каталог радиостанций - не добавляются ссылки в избранное
- Исправлено: каталог радиостанций - не работает отмена загрузки каталога с интернет
- Исправлено: каталог радиостанций - ошибка при переключении с вкладки ice cast на custom
- Исправлено: каталог радиостанций - ошибка при попытке активировать каталог в фонотеке
- Исправлено: не сохраняется значение настройки "кодировка для не-юникодных строк"
- Исправлено: плейлист - плеер не переходит на следующий плейлист при использовании режима случайного воспроизведения
- Исправлено: плейлист - ошибка при попытке проиграть прошлый плейлист, если он был закрыт
- Исправлено: при первом запуске плеера ползунки в эквалайзере стоят на -15 дб
- Исправлено: редактор тегов - автозаполнение тегов не срабатывает в некоторых случаях
- Исправлено: редактор тегов - макрос %IN начинает нумерацию с нуля
- Исправлено: скин-движок - не работает хит-тест маска для слайдеров
- Исправлено: скин-движок - некорректно отображается время трека длительностью более 100 минут


AIMP v3.00.961 RC 2 (02.12.2011)
================================
* Звуковой движок: улучшен алгоритм передискретизации
* Плагины: каталог радиостанций - возможность ручного ввода жанра
* Плеер: возможность запуска воспроизведения закладок с помощью клавиши enter
* Плеер: плеер теперь учитывает полноэкранные приложения только на текущем мониторе
* Треклист: общая длительность плейлиста теперь отображается в формате "ДД:ЧЧ:ММ:СС"
- Исправлено: ID3v2 тег читается не до конца в некоторых случаях
- Исправлено: внешний плейлист не перечитывается при повторном открытии с диска
- Исправлено: найденные утечки памяти
- Исправлено: не работает навигация по треку для удаленных файлов
- Исправлено: некорректная работа с плейлистами в формате M3U8
- Исправлено: нельзя кинуть новый файл в конец плейлиста, если включено слияние групп
- Исправлено: несовместимость с synaptics TouchPad
- Исправлено: несовместимость с антивирусами AVG и avast
- Исправлено: нет возможности записать интернет-радио, если станция не присылает метаданные
- Исправлено: опция "отображать информацию о выделенных файлах" не работает
- Исправлено: плеер не принимает ссылки на интернет-радио через командную строку
- Исправлено: фонотека неверно определяет букву диска в некоторых случаях


AIMP v3.00.950 RC 1 (06.11.2011)
================================
+ Плеер: возможность использования настроек прокси от IE
+ Плейлист: добавлен макрос %PD - имя родительской папки
+ Скин-движок: возможность отключения попиксельной полупрозрачности
+ Скин-движок: поддержка эффекта размытия фона под окном (только для windows 7 или новее)
* Плагины: DTS декодер теперь поставляется отдельно от плеера
* Плагины: plugins API - добавлен интерфейс для доступа к настройкам прокси
* Плеер: возможность сбросить user-agent в значение по умолчанию
* Плеер: добавлена справка на русском языке
* Скин-движок: ползунки - поддержка hot-состояния
- Исправлено: "default"-плейлист не очищался при импорте файлов из внешних приложений
- Исправлено: в некоторых случаях плеер перепрыгивал на случайный файл в плейлисте
- Исправлено: в некоторых случаях плеер повторял один и тот же файл 2 раза подряд при отключенном повторе трека
- Исправлено: инсталлятор при обновлении не удаляет плагины "из коробки", если пользователь от них отказался
- Исправлено: инсталлятор удалял многопользовательские настройки от AIMP2 при новой установке
- Исправлено: незначительные ошибки и недоработки
- Исправлено: метаданные интернет радиостанций иногда не считываются
- Исправлено: перестал работать пункт play/pause в контекстном меню, которое вызывается из значка в трее
- Исправлено: плагины - список компонент иногда не заполнялся
- Исправлено: после закрытия вкладки плейлиста фокус всегда перескакивал на первую вкладку
- Исправлено: программа зависала на windows XP, если по окончании перемещения файлов посредством drag-n-drop появлялось модальное окно
- Исправлено: скин-движок - плавное применение прозрачности иногда не работало корректно с окном TrayControl-а
- Исправлено: скин-движок - ошибки связанные с обработкой колесика мыши
- Исправлено: утечка при прослушивании интернет радио
- Исправлено: фонотека - не работают кнопки "повтор файла" и "случайный файл"


AIMP v3.00.934 Beta 5 (07.10.2011)
==================================
+ Плагины: расширено API
+ Плагины: планировщик - добавлена кнопка для быстрой установки текущего времени
+ Плеер: добавлена возможность изменения user-agent
+ Плеер: добавлена поддержка плейлистов в формате *.ASX
+ Плеер: добавлено контекстное меню кнопки "повтор трека" для быстрого доступа к вариантам повтора
+ Плеер: доработан эквалайзер
+ Редактор тегов: добавлена возможность изменения размера обложек
+ Фонотека: отображение обложки альбома в aero peak
* Плагины: last.fm плагин теперь работает только при наличии установленного last.fm-клиента
* Плагины: обновлен дизайн окна менеджера плагинов
* Скин-движок: поле ввода - поддержка выделения с клавиатуры
* Скин-движок: поле ввода - поддержка горячих клавиш для копирования / вставки текста
* Скин-движок: теперь потребляет меньше оперативной памяти
- Исправлено: в некоторых случаях ID3v2-теги парсятся некорректно
- Исправлено: в плейлисте не отображается номер диска, если он записан в тегах в формате "1/2"
- Исправлено: возникала ошибка после перезапуска плеера при попытке проиграть файлы, имеющие файл разметки (CUE)
- Исправлено: команда "поиск новых файлов" в некоторых случаях добавляла в плейлист уже имеющиеся файлы
- Исправлено: команда "удалить несуществующие файлы" удаляла ссылки на радиостанции
- Исправлено: не работает блокировка отключения дисплея в полноэкранном режиме визуализации
- Исправлено: не читается поле "номер диска" из тегов у файлов в формате M4A
- Исправлено: некорректная позиция диалога добавления ссылки на мульти мониторной системе
- Исправлено: некорректная работа с относительными путями
- Исправлено: некоторые скины отображались некорректно на системах с локалью, отличной от русской
- Исправлено: неправильно рассчитывается битрейт у некоторых файлов в формате TTA
- Исправлено: плагин для поддержки мультимедиа клавиатур отсутствовал в 916-ой сборке
- Исправлено: плеер зависает при навигации по треку, если используются DSP-плагины
- Исправлено: плеер зависал в некоторых случаях при попытке проиграть файлы в формате WAV
- Исправлено: плеер не воспринимал метаданные, присланные некоторыми интернет радиостанциями
- Исправлено: плеер падал при попытке проиграть поврежденный файл в формате MP3
- Исправлено: плеер перескакивал через один трек в некоторых случаях
- Исправлено: при воспроизведении файла слышится обрывок предыдущего, если плеер на момент воспроизведения стоял на паузе
- Исправлено: при воспроизведении файлов в формате DTS наблюдалось смещение на один канал
- Исправлено: путаются названия треков при захвате интернет-радио
- Исправлено: редактор тегов сохранял обложку альбома только в первый выбранный файл
- Исправлено: скин-движок - в некоторых скинах нельзя было выбрать вкладку плейлиста при помощи мыши
- Исправлено: скин-движок - в некоторых случаях окна не перерисовывались
- Исправлено: скин-движок - неправильно рассчитывался минимально допустимый размер окна при скрытии / показе дочерних контейнеров
- Исправлено: фонотека - "поиск новых файлов" не воспринимал новые подпапки
- Исправлено: фонотека - метки в списке появляются не сразу
- Исправлено: функция повтора трека некорректно работала с файлами длительностью меньше 2х секунд


AIMP v3.00.916 Beta 4 (07.08.2011)
==================================
- Исправлено: открытие файлов из внешних приложений происходит с задержкой в ~30 секунд


AIMP v3.00.915 Beta 4 (05.08.2011)
==================================
+ Плагины: last.fm плагин переведен на API v2.0
+ Плагины: добавлено расширение контекстного меню проводника windows
+ Плейлист: добавлена возможность отключить автоматическое слияние одноименных категорий
* Менеджер звуковых эффектов: подкорректирован шаг изменения питча
* Плагины: BASS_MIDI обновлен до v2.4.6.3
* Плагины: tak_deco_lib обновлен до v2.2
* Плейлист: улучшен алгоритм случайного воспроизведения треков
- Исправлено: "копирование в...": нет запроса на подтверждение перезаписи файла
- Исправлено: IAIMPController.AIMP_GetCurrentTrack не работает на сетевых файлах
- Исправлено: last.fm cкробблер не скроблит при прослушивании радио
- Исправлено: дисплей с широкой обложкой альбома закрывает поля с текстовой информацией
- Исправлено: добавление файлов стопорится при попытке прочитать CUE к несуществующему файлу
- Исправлено: информационная лента неправильно определяет наличие полноэкранного приложения на мультимониторной системе
- Исправлено: локальные горячие клавиши не работают в полноэкранном режиме визуализации
- Исправлено: макрос %DN игнорируется в редакторе тегов при переименовании файлов
- Исправлено: настройка "повторять плейлист, если в нем один файл" не работает при включенном случайном воспроизведении
- Исправлено: не переводится фокус на только что созданную драг-н-дропом вкладку
- Исправлено: не работает захват интернет-радио
- Исправлено: не читаются обложки в формате BMP
- Исправлено: отдается приоритет ID3v1 вместо ID3v2 в некоторых случаях
- Исправлено: плеер падает при переключении между скинами с разной ориентацией вкладок плейлиста
- Исправлено: плеер произвольно переходил на следующий трек в некоторых случаях при прослушивании сэтов
- Исправлено: портативная версия перехватывает на себя ассоциации от AIMP2
- Исправлено: при импорте данных из БД от AIMP2 не учитывалось поле "дата добавления файла"
- Исправлено: макрос %DC возвращает неправильное значение


AIMP v3.00.901 Beta 3 (02.07.2011)
==================================
+ Ядро: добавлена возможность сохранения тегов в проигрываемый в одном из приложений AIMP3 файл
- Исправлено: анимация вкладок плейлистов останавливается преждевременно в некоторых случаях
- Исправлено: плеер падает при попытке вызова диалога выбора папок
- Исправлено: плеер падает при попытке получения информации о новых версиях, если сервис недоступен


AIMP v3.00.900 Beta 3 (01.07.2011)
==================================
+ Скин-движок: добавлена возможность задать подсвеченное состояние вкладок плейлиста в качестве 3-его и 4-го кадра текстуры
+ Скин-движок: добавлена возможность изменения порядка элементов на контейнере по оси z
+ Скин-движок: добавлена возможность изменения расстояния между вкладками плейлиста
+ Скин-движок: добавлена возможность указать шрифт для активной проигрываемой вкладки плейлиста
* Звуковой движок: улучшен алгоритм расчета replaygain "на лету"
* Плейлист: ускорена загрузка плейлиста в формате AIMPPL
* Скин-движок: отрисовка текста ускорена в два раза
- Исправлено: CD-TEXT парсится некорректно
- Исправлено: PluginsAPI - данные для визуализаций рассчитывались некорректно в некоторых случаях
- Исправлено: PluginsAPI - информация об оценке файла не заносится в AIMP2_RemoteInfo объект
- Исправлено: автоматический переход на следующий трек не срабатывает при прослушивании онлайн-плейлистов
- Исправлено: будильник игнорирует настройки добавления файлов в плейлист
- Исправлено: задержка перед стартом воспроизведения файла в формате AAC
- Исправлено: информационная лента - настройки не сохраняются в некоторых случаях
- Исправлено: информационная лента - не показывается оценка аудиофайла
- Исправлено: медленная запись тегов в файлы большого размера
- Исправлено: незначительные ошибки и недоработки
- Исправлено: не добавляются в плейлист отличные от .CDA файлы при импортировании CD\DVD
- Исправлено: некорректно парсятся метаданные с некоторых интернет-радио станций
- Исправлено: некорректно парсятся некоторые плейлисты в формате M3U / M3U8
- Исправлено: некорректно работает навигация по файлам размером больше 2 ГБайт
- Исправлено: некорректно раскручиваются файлы разметки CUE, описывающие несколько многотрековых файлов
- Исправлено: некорректно рассчитывается длительность некоторых файлов в формате WMA
- Исправлено: некоторые файлы в формате APE не могут быть воспроизведены
- Исправлено: опция "останавливать воспроизведение при удалении файла" игнорируется в случае закрытия вкладки плейлиста
- Исправлено: плеер зависает при переключении между файлами в формата DTS 5.1
- Исправлено: плеер начинает воспроизведение после физического удаления файла из плейлиста, даже если он был остановлен
- Исправлено: плеер не видит файлы в формате .M4B
- Исправлено: плеер пропускает небольшой кусок трека при снятии с паузы
- Исправлено: треск при переходе с трека на трек с включенным replaygain
- Исправлено: утечка, возникающая в некоторых случаях при добавлении файлов в плейлист
- Исправлено: файлы в формате .CDA не открываются в плеере по двойному клику в windows explorer
- Исправлено: файлы размером больше 2 ГБайт не проигрываются при включенном кэшировании
- Исправлено: файлы разметки (CUE) не извлекались из аудиофайлов размером больше 2 ГБайт
- Исправлено: фонотека - в некоторых случаях сбрасывались параметры учета прослушиваний
- Исправлено: фонотека - не сохраняется положение данных в таблице при применении / удалении меток
- Исправлено: фонотека строит отчет очень долго


AIMP v3.00.881 Beta 2 (06.05.2011)
==================================
+ Фонотека: добавлена возможность копировать / перемещать файлы в подпапки методом drag and drop
+ Фонотека: добавлена возможность перетаскивать папки из дерева группировки
* Плеер: улучшена поддержка мультимедиа клавиатур
* Теги: ускорено чтение информации из MP3 файлов
- Исправлено: воспроизведение через ASIO останавливается при открытии настроек
- Исправлено: изменения в некоторых плейлистах не сохранялись при закрытии программы
- Исправлено: незначительные ошибки и недоработки
- Исправлено: не работает поиск новых файлов в фонотеке
- Исправлено: не сохраняется состояние плеера при навигации плейлисту, если идет подключение к интернет радиостанции
- Исправлено: некорректно отображаются некоторые визуализации
- Исправлено: некорректно работает групповое заполнение тегов на основе имени файла
- Исправлено: некорректно работают обложки от AIMP2 с полупрозрачными элементами
- Исправлено: нельзя изменить размер окна плейлиста в стандартном скине
- Исправлено: неправильно работает фильтр изменения темпа
- Исправлено: плеер не мог ассоциироваться с файлами в некоторых случаях
- Исправлено: плеер останавливает воспроизведение при переключении устройства вывода по умолчанию
- Исправлено: при изменении размеров окно не "магнитится" к верхнему краю экрана
- Исправлено: при показе информации о выбранном файле в QTE не обновляются данные, если он был открыт
- Исправлено: при сохранении плейлиста обрезается его имя, если оно содержит точку
- Исправлено: при старте воспроизведения нового трека воспроизводится кусок предыдущего, если плеер стоял на паузе
- Исправлено: при физическом удалении проигрываемого трека плеер игнорирует опции, запрещающие автоматический переход на следующий трек
- Исправлено: редактор тегов не видит номер диска
- Исправлено: тормозит анимация эквалайзера на некоторых видео картах
- Исправлено: урезаются название некоторых треков при прослушивании интернет радиостанций


AIMP v3.00.861 Beta 1 (01.04.2011)
==================================
+ Планировщик: возможность использовать плейлист в качестве сигнала будильника
+ Плеер: ASIO - добавлена возможность выбрать каналы, которые будут использованы для вывода звука
+ Плеер: возможность создания новой вкладки плейлиста под курсором мыши при перетаскивании файлов
+ Плеер: добавлен пункт меню "автоподстройка эквалайзера под жанр песни"
+ Фонотека: возможность воспроизведения файлов / плейлистов в AIMP3
+ Фонотека: возможность ручного импорта базы данных из AIMP2
* Декодеры: обновлены компоненты BASS
* Плагины: убран плагин для просмотра каталога интернет-радиостанций shoutcast.com
* Плеер: настройки плавного перехода и паузы между треками выделены в отдельные пункты
* Плейлист: увеличена скорость загрузки плейлистов
* Скин-движок: увеличена скорость отрисовки
- Исправлено: автовыключение компьютера некорректно срабатывает по окончанию очереди
- Исправлено: берется неверное название для плейлиста, если он загружен из внешнего файла
- Исправлено: вызов информации о файле в плейлисте по alt+click сбивает автонастройку эквалайзера
- Исправлено: значение опции "фонотека: разрешить сбор статистики" не сохраняется
- Исправлено: незначительные ошибки и недоработки
- Исправлено: названия некоторых треков отображаются не полностью при прослушивании интернет-радиостанций
- Исправлено: некорректно возобновляется проигрывание при запуске программы, если несколько плейлистов имеют одинаковое имя
- Исправлено: некорректно группируются треки, если они были разбиты по файлу разметки
- Исправлено: некорректно рисуются скины на windows XP, если глубина цвета дисплея меньше 32 bit
- Исправлено: плеер зависает при переключении треков на интернет-радиостанции
- Исправлено: по умолчанию активен режим вывода моно
- Исправлено: положение записей в таблице не пересчитывается после сортировки
- Исправлено: редактор тегов - не обновляется адресная строка после переименования файла
- Исправлено: редактор тегов - нет возможность отключить AutoTag, если он был включен
- Исправлено: редактор тегов - функция "не заполнять, если поле не пустое" не работает
- Исправлено: файлы не перемещаются, если во время операции перетаскивания воспользоваться клавиатурой для навигации по плейлисту


AIMP v3.00.851 Beta 1 (09.03.2011)
==================================
+ Плейлист: добавлена возможность сворачивать / разворачивать все группы в плейлисте кликом с зажатым alt
* Звуковой движок: переделан алгоритм расчета спектра
* Плеер: настройки отображения плейлиста вынесены на отдельную вкладку
* Скины движок: улучшена совместимость со скинами от AIMP2
* Ядро: ускорен алгоритм сортировки
* Ядро: ускорен вывод текста
- Исправлено: quick file info забирает на себя фокус при появлении
- Исправлено: быстрый редактор тегов не сохраняет изменения в файл, если он проигрывается
- Исправлено: в некоторых случаях горячие клавиши не срабатывают
- Исправлено: в плейлисте не отображается информация о текущем треке на радиостанции
- Исправлено: незначительные ошибки и недоработки
- Исправлено: не отображается статус подключения к радиостанции
- Исправлено: не применялись настройки кроссфейдинга в некоторых случаях
- Исправлено: обнуляются поля ввода при переключении вкладок в пакетном режиме быстрого редактора тегов
- Исправлено: плеер зависает при переходе на следующий трек
- Исправлено: расширенный редактор тегов не воспринимает файлы в формате WavPack


AIMP v3.00.840 Beta 1 (22.02.2011)
==================================
* Плагины: улучшена совместимость с winamp input
* Плеер: интеграция в контекстное меню временно отключена
* Скин-движок: увеличена скорость отрисовки
- Исправлено: "копировать в ..." не запоминает последние выбранные папки
- Исправлено: автовыключение компьютера некорректно срабатывает по окончанию очереди
- Исправлено: в некоторых случаях метки в фонотеке исключаются некорректно
- Исправлено: в некоторых случаях не работает быстрый поиск
- Исправлено: в редакторе тегов не обновляется информация о выбранном треке при прокрутке списка с клавиатуры
- Исправлено: графическая ошибка в диалоге "отсутствующие файлы" фонотеки
- Исправлено: не подхватывается файл разметки для образов
- Исправлено: не сохраняется опция "сохранять полные пути к файлам"
- Исправлено: не сохраняются некоторые параметры захвата интернет-радио
- Исправлено: одиночный клик по иконке в трее срабатывает с задержкой, даже если не назначено действие на двойной клик
- Исправлено: опция "повторять плейлист, если в нем один файл" доступна даже при отключенном повторе плейлиста
- Исправлено: отсутствует пакетная обработка тегов в фонотеке
- Исправлено: ошибки, связанные с удалением тишины в конце трека
- Исправлено: полоса прокрутки рисуется некорректно в некоторых скинах
- Исправлено: при физическом удалении проигрываемого файла из плейлиста плеер переходит на предыдущий трек
- Исправлено: ссылка на радиостанцию не добавляется в качестве мелодии будильника


AIMP v3.00.832 Beta 1 (05.02.2011)
==================================
* Плейлист: улучшена группировка записей по папкам
* Редактор тегов: улучшена работа с функцией заполнения тегов по имени файла
* Редактор тегов: функция переименования теперь не учитывает регистр имён файлов
* Скин-движок: теперь спектрум отображает все частоты
* Скин-движок: улучшена совместимость со скинами от AIMP2
* Скин-движок: улучшено юзабилити создания новых плейлистов методом drag and drop
* Скин-движок: ускорена отрисовка
* Фонотека: улучшена работа функции "переход к текущему файлу"
- Исправлено: WAV-DTS не проигрывается
- Исправлено: не возобновляются звуковые эффекты после перезапуска программы
- Исправлено: в некоторых случаях возникает ошибка при попытке воспроизведения файла при включенном кэшировании
- Исправлено: заикание при переключении на следующий трек, если он имеет обложку альбома в высоком разрешении
- Исправлено: не появляются кнопки скроллирования, если контекстное меню не влезает на экран
- Исправлено: не работает сортировка по шаблону %m
- Исправлено: некорректно обрабатывается смена устройства, если плеер остановлен
- Исправлено: некорректно определяется формат аудиопотока некоторых радиостанций
- Исправлено: некорректно отображается контекстное меню на мультимониторной конфигурации
- Исправлено: некорректно парсятся некоторые файлы разметки
- Исправлено: некорректно работает выделение записей с зажатым ctrl
- Исправлено: некорректное поведение функции "начать воспроизведение при запуске"
- Исправлено: некорректное регулирование некоторых звуковых эффектов
- Исправлено: ошибки при работе с метками в фонотеки
- Исправлено: плеер не переходит на предыдущий трек, если курсор стоит в начале списка
- Исправлено: сбрасываются контент-фильтры в фонотеке при навигации по группам
- Исправлены незначительные ошибки и замечания


AIMP v3.00.815 Beta 1 (30.12.2010)
==================================
* Декодеры: обновлены компоненты BASS
* Скин-движок: увеличена скорость отрисовки


AIMP v3.00.810 Beta 1 (20.12.2010)
==================================
+ CoverArt downloader: кэширование предыдущего результата поиска
+ CoverArt downloader: поиск обложки теперь не начинается сразу по появлению окна
+ LastFM скробблер: скробблинг треков с интернет-радио
+ LastFM скробблер: теперь работает напрямую с сервисом
+ Будильник: возможность плавного нарастания громкости
+ Захват интернет-радио: возможность ведения файла разметки в формате CUE
+ Захват интернет-радио: возможность записи потока "как есть" (только для MP3 / AAC / AAC+)
+ Захват интернет-радио: расширены настройки разбиения на файлы - по времени / по размеру
+ Звуковой движок: поддержка ASIO / WASAPI / direct sound
+ Звуковой движок: поддержка файлов в формате OGG с несколькими треками внутри
+ Звуковой движок: поддержка форматов DTS / TAK
+ Звуковой движок: расширены настройки смешивания треков
+ Звуковой движок: своя система вывода звука, BASS теперь используется только как декодер
+ Звуковой движок: улучшена работа с *.iso.wv / *.iso.ape файлами
+ Звуковой движок: эмуляция 5.1 / 7.1 каналов
+ Инфолента: возможность отображения обложки альбома
+ Инфолента: возможность регулирования прозрачности фона
+ Каталог интернет радиостанций: добавлена вкладка "избранное"
+ Каталог интернет радиостанций: интеграция в фонотеку
+ Менеджер очереди: информация о длительности трека в таблице
+ Менеджер очереди: общее время всех треков в очереди
+ Наборы иконок: добавлена возможность назначить каждому формату файла свою иконку
+ Плеер: возможность закрепить плеер / плейлист у границы экрана
+ Плеер: возможность назначить альтернативные глобальные горячие клавиши
+ Плеер: возможность пристыковывать плеер со склеенным к главному окну плейлистом к границе экрана
+ Плеер: возможность случайного переключения визуализаций
+ Плеер: менеджер плагинов перенесен в настройки
+ Плеер: новый дизайн
+ Плеер: переработано окно настроек
+ Плеер: расширены настройки анимации бегущей строки
+ Плеер: расширены настройки экспорта треклиста
+ Плейлист: возможность блокировки от изменений
+ Плейлист: возможность назначить индивидуальные настройки отображения каждому плейлисту
+ Плейлист: возможность отключить автоматическую разбивку файлов по CUE
+ Плейлист: добавлен "режим одного плейлиста"
+ Плейлист: добавлены макросы %up(), %low(), %caps(), %replace() и %char()
+ Плейлист: категории - добавлена возможность сворачивания
+ Плейлист: категории - настраиваемый шаблон разбиения
+ Плейлист: категории - отображение информации о размере и длительности
+ Плейлист: категории больше не могут разделяться на несколько частей
+ Редактор тегов: replaygain - возможность автоматического рассчета значений
+ Редактор тегов: replaygain - возможность ручного ввода значений
+ Редактор тегов: добавлены колонки в таблицу: битрейт / длительность / ID3v1 / ID3v2 / APE / WMA / vorbis
+ Редактор тегов: переименование одного файла - выделяется только имя файла
+ Редактор тегов: переименование по шаблону - возможность работы с копией файла
+ Редактор тегов: переименование по шаблону - добавлен диалог подтверждения замены при совпадении имен файлов
+ Редактор тегов: поле "номер трека / количество треков" разделено на два для удобства редактирования
+ Скины: возможность клонировать элементы gauge и spectrum
+ Скины: возможность размещать вкладки плейлистов вертикально
+ Скины: возможность создавать круглые регуляторы
+ Скины: полноценная поддержка полупрозрачных текстур
+ Скины: расширены настройки элементов
+ Скины: трей-иконка теперь задается скином
+ Теги: M4A / M4B / MP4 - только чтение
+ Теги: OGG - чтение / запись обложек альбомов
+ Теги: TTA / OFR / OFS - чтение и запись
+ Теги: увеличена скорость чтения
+ Фонотека: быстрая фильтрация контента по значениям столбцов
+ Фонотека: возможность группировки по любым столбцам
+ Фонотека: возможность скрытия окна группировки
+ Фонотека: генерация отчета - общее время прослушиваний, любимый исполнитель / альбом / жанр
+ Фонотека: добавлена поддержка меток
+ Фонотека: при группировке по альбомам теперь учитывается номер диска
+ Фонотека: реализована в виде отдельного приложения
+ Фонотека: сортировка по нескольким столбцам сразу
+ Фонотека: учет разделителей ID3v2.4
+ Фонотека: фильтр файлов по размеру и/или длительности при добавлении в БД
* Плеер: главное окно теперь не замораживается при перетаскивании файла из плейлиста на сменное устройство
* Плейлист: "отправить в..." - возможность копирования дополнительных файлов вместе с основными
* Плейлист: "отправить в..." - добавлены настройки переименования файлов по шаблону


AIMP v2.61.583 (07.08.2010)
===========================
* Обновлена справка
* Обновлены компоненты BASS
* Обновлены локализации
- Исправлено: незначительные ошибки
- Исправлено: не обновляется информация в aero peek при изменении обложки альбома проигрываемого файла
- Исправлено: не обновляется прогресс воспроизведения на кнопке на панели задач в некоторых случаях
- Исправлено: некорректно читается обложка альбома из ID3v2.4
- Исправлено: ошибка с созданием плейлиста при импорте файлов из внешних приложений


AIMP v2.61.570 (05.06.2010)
===========================
* Обновлена справка
* Обновлены компоненты BASS
* Обновлены скины
- Исправлено: воспроизведение трека начиналось не с начала в некоторых случаях
- Исправлено: границы участка повтора трека сбрасывались при навигации по треку
- Исправлено: не проигрывались некоторые WV файлы
- Исправлено: ошибка с множественном выбором папок в диалоге
- Исправлено: ошибка с множественным выделением в плейлисте
- Исправлено: ошибка с чтением длительности из некоторых WMA файлов


AIMP v2.61.560 (22.03.2010)
===========================
* Обновлена справка
* Обновлено лицензионное соглашение
* Обновлены библиотеки BASS
* Обновлены локализации
* Оптимизирован модуль чтения тегов
- Исправлено: автовыключение компьютера не срабатывало, если назначена пауза между треками
- Исправлено: в некоторых случаях терялось название радиостанции в плейлисте
- Исправлено: мелкие недоработки в скин-движке
- Исправлено: ошибки в модуле поддержки расширений функционала


AIMP v2.60.551 (15.02.2010)
===========================
* Обновлена справка
* Обновлены локализации
- Исправлено: не проигрывались CUE файлы, имеющие нестандартные символы в имени
- Исправлено: небольшие недоработки в GUI
- Исправлено: ошибка с чтением некоторых WavPack
- Исправлено: падение программы при закрытии, если открыт менеджер очереди
- Исправлено: передача заголовка текущего трека в DSP/general-плагины


AIMP v2.60.530 (05.01.2010)
===========================
+ Добавлена возможность переключать треки кликом по трей-иконке
* Обновлены локализации
- Исправлено: заикание в начале воспроизведения некоторых файлов
- Исправлено: ошибки c проигрыванием CUE-файлов


AIMP v2.60.528 (30.12.2009)
===========================
* Обновлены локализации
- Исправлено: ошибка с загрузкой некоторых all-in-one обложек
- Исправлено: ошибки в парсере CUE-файлов


AIMP v2.60.525 (07.12.2009)
===========================
* Обновлены локализации
- Исправлено: критическая ошибка в модуле проверки обновлений
- Исправлено: критическая ошибка с записью тегов в некоторые OGG-файлы


AIMP v2.60.520 (01.12.2009)
===========================
+ Добавлены 3 новых скина
* Обновлены локализации
* Обновлены файлы справок
- Исправлены незначительные ошибки


AIMP v2.60.512 RC3 (08.11.2009)
===============================
* Обновлены локализации
* Теперь запись интернет-радио продолжается после автоматического переподключения к станции после разрыва
- Исправлено: неинсталировались шрифты из обложек
- Исправлено: ошибка при чтении некоторых CUE-файлов
- Исправлены прочие незначительные ошибки


AIMP v2.60.510 RC3 (01.11.2009)
===============================
* Снижено потребление системных ресурсов
- Исправлено: некорректная кодировка у записей в плейлисте в некоторых случаях
- Исправлены найденные ошибки


AIMP v2.60.507 RC2 (20.10.2009)
===============================
+ Возможность отключить показ инфоленты при полноэкранных приложениях
* Обновлены библиотеки BASS и SQLite3
* Планировщик: доработано поле ввода времени
- Исправлены найденные ошибки


AIMP v2.60.505 RC1 (30.09.2009)
===============================
- Исправлены найденные ошибки


AIMP v2.60.499 RC1 (05.09.2009)
===============================
* Обновлены библиотеки BASS и SQLite3
- Исправлено: игнорировались настройки прокси в расширенном редакторе тегов
- Исправлено: ошибка с чтением тегов из некоторых MusePack-файлов
- Исправлены найденные ошибки


AIMP v2.60.497 Beta 4 (31.08.2009)
==================================
- Исправлены критические ошибки
- Исправлены прочие незначительные ошибки


AIMP v2.60.495 Beta 4 (28.08.2009)
==================================
+ Информационная лента: теперь не показывается при запущеных полноэкранных приложениях
+ Ядро: чтение информации об аудиоконтенте из MusePack v8
- Исправлена ошибка приводящая в некоторых случаях к зависанию программы
- Исправлена ошибка с чтением некоторых обложек из ID3v2
- Исправлено: игнорировались настройки прокси в модулях просмотрщик интернет радиостанций и CoverArt downloader
- Исправлены найденные ошибки


AIMP v2.60.491 Beta 3 (08.08.2009)
==================================
+ Добавлена возможность фильтрации скачиваемых обложек альбомов по размеру
+ Добавлены бета-версии справок на русском и английском языках
* Обложка по умолчанию: добавлено выпадающее меню со списком плейлистов
* Планировщик: добавлена возможность выполнить действие через заданный промежуток времени
* Планировщик: небольшие изменения интерфейса
- Исправлены незначительные ошибки
- Исправлены ошибки в скин-движке


AIMP v2.60.486 Beta 2 (11.07.2009)
==================================
* Обновлена итальянская локализация
* Обновлены файлы BASS
- Исправлены ошибки в скин-движке
- Исправлены ошибки в ядре


AIMP v2.60.485 Beta 2 (05.07.2009)
==================================
+ Добавлена интеллектуальная сортировка плейлиста (для WinXP или выше)
- Исправлены ошибки


AIMP v2.60.484 Beta 2 (01.07.2009)
==================================
+ Редактор тегов: добавлена колонка "наличие обложки альбома в теге файла"
* Улучшена сохраняемость настроек в случае экстренного выключения компьютера
* Фонотека: стиль отображения в режиме "без группировки" сменен с "CardsView" на "AlbumView"
- Исправлены найденные ошибки


AIMP v2.60.482 Beta 2 (20.06.2009)
==================================
- Исправлены критические ошибки


AIMP v2.60.480 Beta 2 (16.06.2009)
==================================
+ Добавлены плагины: интеграция в win7 TaskBar, планировщик
+ Редактор тегов [расширенный]: отображение подпапок в списке файлов
* Скин-движок: увеличeна скорость построения маски
* Улучшена совместимость с windows 7
- Исправлена ошибка с чтением некоторых ID3v2 тегов
- Исправлены ошибки


AIMP v2.60.472 Beta 1 (10.05.2009)
==================================
- Исправлены ошибки


AIMP v2.60.470 Beta 1 (01.05.2009)
==================================
* Небольшие изменения в функционале
* Скин-движок: увеличeна скорость отрисовки
- Исправлены ошибки


AIMP v2.60.466 Beta 1 (22.04.2009)
==================================
+ Docking engine: добавлена возможность отключить прилипание окон
+ Skin engine: добавлен регулятор насыщенности
* Небольшие изменения в функционале
- Исправлены многочисленные ошибки


AIMP v2.60.462 Beta 1 (09.04.2009)
==================================
+ DSP-manager: кнопка сброса эффектов в значение по умолчанию
+ DSP-manager: обновлен алгоритм эквалайзера
